import{S as Pc,i as jc,s as Mc,e as s,k as p,w as y,t as r,M as Ac,c as a,d as t,m as f,a as n,x as b,h as l,b as d,N as qc,G as e,g as h,y as $,q as C,o as T,B as N,v as zc,L as ws}from"../../chunks/vendor-hf-doc-builder.js";import{T as uo}from"../../chunks/Tip-hf-doc-builder.js";import{D as oe}from"../../chunks/Docstring-hf-doc-builder.js";import{C as ys}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Ve}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as xs}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as Dc}from"../../chunks/PipelineTag-hf-doc-builder.js";function Lc(k){let c,w,_,g,v;return g=new ys({props:{code:`from transformers import ConvNextConfig, ConvNextModel

# Initializing a ConvNext convnext-tiny-224 style configuration
configuration = ConvNextConfig()

# Initializing a model (with random weights) from the convnext-tiny-224 style configuration
model = ConvNextModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> ConvNextConfig, ConvNextModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a ConvNext convnext-tiny-224 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = ConvNextConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the convnext-tiny-224 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ConvNextModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){c=s("p"),w=r("Example:"),_=p(),y(g.$$.fragment)},l(i){c=a(i,"P",{});var m=n(c);w=l(m,"Example:"),m.forEach(t),_=f(i),b(g.$$.fragment,i)},m(i,m){h(i,c,m),e(c,w),h(i,_,m),$(g,i,m),v=!0},p:ws,i(i){v||(C(g.$$.fragment,i),v=!0)},o(i){T(g.$$.fragment,i),v=!1},d(i){i&&t(c),i&&t(_),N(g,i)}}}function Oc(k){let c,w,_,g,v;return{c(){c=s("p"),w=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),g=r("Module"),v=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(i){c=a(i,"P",{});var m=n(c);w=l(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(m,"CODE",{});var I=n(_);g=l(I,"Module"),I.forEach(t),v=l(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(i,m){h(i,c,m),e(c,w),e(c,_),e(_,g),e(c,v)},d(i){i&&t(c)}}}function Sc(k){let c,w,_,g,v;return g=new ys({props:{code:`from transformers import AutoImageProcessor, ConvNextModel
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/convnext-tiny-224")
model = ConvNextModel.from_pretrained("facebook/convnext-tiny-224")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, ConvNextModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ConvNextModel.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">768</span>, <span class="hljs-number">7</span>, <span class="hljs-number">7</span>]`}}),{c(){c=s("p"),w=r("Example:"),_=p(),y(g.$$.fragment)},l(i){c=a(i,"P",{});var m=n(c);w=l(m,"Example:"),m.forEach(t),_=f(i),b(g.$$.fragment,i)},m(i,m){h(i,c,m),e(c,w),h(i,_,m),$(g,i,m),v=!0},p:ws,i(i){v||(C(g.$$.fragment,i),v=!0)},o(i){T(g.$$.fragment,i),v=!1},d(i){i&&t(c),i&&t(_),N(g,i)}}}function Rc(k){let c,w,_,g,v;return{c(){c=s("p"),w=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),g=r("Module"),v=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(i){c=a(i,"P",{});var m=n(c);w=l(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(m,"CODE",{});var I=n(_);g=l(I,"Module"),I.forEach(t),v=l(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(i,m){h(i,c,m),e(c,w),e(c,_),e(_,g),e(c,v)},d(i){i&&t(c)}}}function Uc(k){let c,w,_,g,v;return g=new ys({props:{code:`from transformers import AutoImageProcessor, ConvNextForImageClassification
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/convnext-tiny-224")
model = ConvNextForImageClassification.from_pretrained("facebook/convnext-tiny-224")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = logits.argmax(-1).item()
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, ConvNextForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ConvNextForImageClassification.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = logits.argmax(-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tabby, tabby cat`}}),{c(){c=s("p"),w=r("Example:"),_=p(),y(g.$$.fragment)},l(i){c=a(i,"P",{});var m=n(c);w=l(m,"Example:"),m.forEach(t),_=f(i),b(g.$$.fragment,i)},m(i,m){h(i,c,m),e(c,w),h(i,_,m),$(g,i,m),v=!0},p:ws,i(i){v||(C(g.$$.fragment,i),v=!0)},o(i){T(g.$$.fragment,i),v=!1},d(i){i&&t(c),i&&t(_),N(g,i)}}}function Vc(k){let c,w,_,g,v,i,m,I,We,Ne,z,Z,se,E,He,K,Xe,Ee,O,Ke,ae,ne,Be,Ie,W,Je,Fe,H,we,Ge,he,j,D,ke,X,ye,Ye,Q,ee,it,q,te,re,ue,Ze,le,Pe,M,B,ie,de,Qe,J,L,et,A,tt,ot;return{c(){c=s("p"),w=r("TensorFlow models and layers in "),_=s("code"),g=r("transformers"),v=r(" accept two formats as input:"),i=p(),m=s("ul"),I=s("li"),We=r("having all inputs as keyword arguments (like PyTorch models), or"),Ne=p(),z=s("li"),Z=r("having all inputs as a list, tuple or dict in the first positional argument."),se=p(),E=s("p"),He=r(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),K=s("code"),Xe=r("model.fit()"),Ee=r(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),O=s("code"),Ke=r("model.fit()"),ae=r(` supports! If, however, you want to use the second
format outside of Keras methods like `),ne=s("code"),Be=r("fit()"),Ie=r(" and "),W=s("code"),Je=r("predict()"),Fe=r(`, such as when creating your own layers or models with
the Keras `),H=s("code"),we=r("Functional"),Ge=r(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),he=p(),j=s("ul"),D=s("li"),ke=r("a single Tensor with "),X=s("code"),ye=r("pixel_values"),Ye=r(" only and nothing else: "),Q=s("code"),ee=r("model(pixel_values)"),it=p(),q=s("li"),te=r(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),re=s("code"),ue=r("model([pixel_values, attention_mask])"),Ze=r(" or "),le=s("code"),Pe=r("model([pixel_values, attention_mask, token_type_ids])"),M=p(),B=s("li"),ie=r(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),de=s("code"),Qe=r('model({"pixel_values": pixel_values, "token_type_ids": token_type_ids})'),J=p(),L=s("p"),et=r(`Note that when creating models and layers with
`),A=s("a"),tt=r("subclassing"),ot=r(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(x){c=a(x,"P",{});var F=n(c);w=l(F,"TensorFlow models and layers in "),_=a(F,"CODE",{});var ft=n(_);g=l(ft,"transformers"),ft.forEach(t),v=l(F," accept two formats as input:"),F.forEach(t),i=f(x),m=a(x,"UL",{});var G=n(m);I=a(G,"LI",{});var mt=n(I);We=l(mt,"having all inputs as keyword arguments (like PyTorch models), or"),mt.forEach(t),Ne=f(G),z=a(G,"LI",{});var ht=n(z);Z=l(ht,"having all inputs as a list, tuple or dict in the first positional argument."),ht.forEach(t),G.forEach(t),se=f(x),E=a(x,"P",{});var P=n(E);He=l(P,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),K=a(P,"CODE",{});var ce=n(K);Xe=l(ce,"model.fit()"),ce.forEach(t),Ee=l(P,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),O=a(P,"CODE",{});var ge=n(O);Ke=l(ge,"model.fit()"),ge.forEach(t),ae=l(P,` supports! If, however, you want to use the second
format outside of Keras methods like `),ne=a(P,"CODE",{});var st=n(ne);Be=l(st,"fit()"),st.forEach(t),Ie=l(P," and "),W=a(P,"CODE",{});var be=n(W);Je=l(be,"predict()"),be.forEach(t),Fe=l(P,`, such as when creating your own layers or models with
the Keras `),H=a(P,"CODE",{});var ut=n(H);we=l(ut,"Functional"),ut.forEach(t),Ge=l(P,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),P.forEach(t),he=f(x),j=a(x,"UL",{});var R=n(j);D=a(R,"LI",{});var pe=n(D);ke=l(pe,"a single Tensor with "),X=a(pe,"CODE",{});var dt=n(X);ye=l(dt,"pixel_values"),dt.forEach(t),Ye=l(pe," only and nothing else: "),Q=a(pe,"CODE",{});var je=n(Q);ee=l(je,"model(pixel_values)"),je.forEach(t),pe.forEach(t),it=f(R),q=a(R,"LI",{});var fe=n(q);te=l(fe,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),re=a(fe,"CODE",{});var ct=n(re);ue=l(ct,"model([pixel_values, attention_mask])"),ct.forEach(t),Ze=l(fe," or "),le=a(fe,"CODE",{});var $e=n(le);Pe=l($e,"model([pixel_values, attention_mask, token_type_ids])"),$e.forEach(t),fe.forEach(t),M=f(R),B=a(R,"LI",{});var Me=n(B);ie=l(Me,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),de=a(Me,"CODE",{});var _e=n(de);Qe=l(_e,'model({"pixel_values": pixel_values, "token_type_ids": token_type_ids})'),_e.forEach(t),Me.forEach(t),R.forEach(t),J=f(x),L=a(x,"P",{});var S=n(L);et=l(S,`Note that when creating models and layers with
`),A=a(S,"A",{href:!0,rel:!0});var Ae=n(A);tt=l(Ae,"subclassing"),Ae.forEach(t),ot=l(S,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),S.forEach(t),this.h()},h(){d(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),d(A,"rel","nofollow")},m(x,F){h(x,c,F),e(c,w),e(c,_),e(_,g),e(c,v),h(x,i,F),h(x,m,F),e(m,I),e(I,We),e(m,Ne),e(m,z),e(z,Z),h(x,se,F),h(x,E,F),e(E,He),e(E,K),e(K,Xe),e(E,Ee),e(E,O),e(O,Ke),e(E,ae),e(E,ne),e(ne,Be),e(E,Ie),e(E,W),e(W,Je),e(E,Fe),e(E,H),e(H,we),e(E,Ge),h(x,he,F),h(x,j,F),e(j,D),e(D,ke),e(D,X),e(X,ye),e(D,Ye),e(D,Q),e(Q,ee),e(j,it),e(j,q),e(q,te),e(q,re),e(re,ue),e(q,Ze),e(q,le),e(le,Pe),e(j,M),e(j,B),e(B,ie),e(B,de),e(de,Qe),h(x,J,F),h(x,L,F),e(L,et),e(L,A),e(A,tt),e(L,ot)},d(x){x&&t(c),x&&t(i),x&&t(m),x&&t(se),x&&t(E),x&&t(he),x&&t(j),x&&t(J),x&&t(L)}}}function Wc(k){let c,w,_,g,v;return{c(){c=s("p"),w=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),g=r("Module"),v=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(i){c=a(i,"P",{});var m=n(c);w=l(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(m,"CODE",{});var I=n(_);g=l(I,"Module"),I.forEach(t),v=l(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(i,m){h(i,c,m),e(c,w),e(c,_),e(_,g),e(c,v)},d(i){i&&t(c)}}}function Hc(k){let c,w,_,g,v;return g=new ys({props:{code:`from transformers import AutoImageProcessor, TFConvNextModel
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("facebook/convnext-tiny-224")
model = TFConvNextModel.from_pretrained("facebook/convnext-tiny-224")

inputs = image_processor(images=image, return_tensors="tf")
outputs = model(**inputs)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, TFConvNextModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFConvNextModel.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){c=s("p"),w=r("Examples:"),_=p(),y(g.$$.fragment)},l(i){c=a(i,"P",{});var m=n(c);w=l(m,"Examples:"),m.forEach(t),_=f(i),b(g.$$.fragment,i)},m(i,m){h(i,c,m),e(c,w),h(i,_,m),$(g,i,m),v=!0},p:ws,i(i){v||(C(g.$$.fragment,i),v=!0)},o(i){T(g.$$.fragment,i),v=!1},d(i){i&&t(c),i&&t(_),N(g,i)}}}function Xc(k){let c,w,_,g,v,i,m,I,We,Ne,z,Z,se,E,He,K,Xe,Ee,O,Ke,ae,ne,Be,Ie,W,Je,Fe,H,we,Ge,he,j,D,ke,X,ye,Ye,Q,ee,it,q,te,re,ue,Ze,le,Pe,M,B,ie,de,Qe,J,L,et,A,tt,ot;return{c(){c=s("p"),w=r("TensorFlow models and layers in "),_=s("code"),g=r("transformers"),v=r(" accept two formats as input:"),i=p(),m=s("ul"),I=s("li"),We=r("having all inputs as keyword arguments (like PyTorch models), or"),Ne=p(),z=s("li"),Z=r("having all inputs as a list, tuple or dict in the first positional argument."),se=p(),E=s("p"),He=r(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),K=s("code"),Xe=r("model.fit()"),Ee=r(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),O=s("code"),Ke=r("model.fit()"),ae=r(` supports! If, however, you want to use the second
format outside of Keras methods like `),ne=s("code"),Be=r("fit()"),Ie=r(" and "),W=s("code"),Je=r("predict()"),Fe=r(`, such as when creating your own layers or models with
the Keras `),H=s("code"),we=r("Functional"),Ge=r(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),he=p(),j=s("ul"),D=s("li"),ke=r("a single Tensor with "),X=s("code"),ye=r("pixel_values"),Ye=r(" only and nothing else: "),Q=s("code"),ee=r("model(pixel_values)"),it=p(),q=s("li"),te=r(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),re=s("code"),ue=r("model([pixel_values, attention_mask])"),Ze=r(" or "),le=s("code"),Pe=r("model([pixel_values, attention_mask, token_type_ids])"),M=p(),B=s("li"),ie=r(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),de=s("code"),Qe=r('model({"pixel_values": pixel_values, "token_type_ids": token_type_ids})'),J=p(),L=s("p"),et=r(`Note that when creating models and layers with
`),A=s("a"),tt=r("subclassing"),ot=r(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(x){c=a(x,"P",{});var F=n(c);w=l(F,"TensorFlow models and layers in "),_=a(F,"CODE",{});var ft=n(_);g=l(ft,"transformers"),ft.forEach(t),v=l(F," accept two formats as input:"),F.forEach(t),i=f(x),m=a(x,"UL",{});var G=n(m);I=a(G,"LI",{});var mt=n(I);We=l(mt,"having all inputs as keyword arguments (like PyTorch models), or"),mt.forEach(t),Ne=f(G),z=a(G,"LI",{});var ht=n(z);Z=l(ht,"having all inputs as a list, tuple or dict in the first positional argument."),ht.forEach(t),G.forEach(t),se=f(x),E=a(x,"P",{});var P=n(E);He=l(P,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),K=a(P,"CODE",{});var ce=n(K);Xe=l(ce,"model.fit()"),ce.forEach(t),Ee=l(P,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),O=a(P,"CODE",{});var ge=n(O);Ke=l(ge,"model.fit()"),ge.forEach(t),ae=l(P,` supports! If, however, you want to use the second
format outside of Keras methods like `),ne=a(P,"CODE",{});var st=n(ne);Be=l(st,"fit()"),st.forEach(t),Ie=l(P," and "),W=a(P,"CODE",{});var be=n(W);Je=l(be,"predict()"),be.forEach(t),Fe=l(P,`, such as when creating your own layers or models with
the Keras `),H=a(P,"CODE",{});var ut=n(H);we=l(ut,"Functional"),ut.forEach(t),Ge=l(P,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),P.forEach(t),he=f(x),j=a(x,"UL",{});var R=n(j);D=a(R,"LI",{});var pe=n(D);ke=l(pe,"a single Tensor with "),X=a(pe,"CODE",{});var dt=n(X);ye=l(dt,"pixel_values"),dt.forEach(t),Ye=l(pe," only and nothing else: "),Q=a(pe,"CODE",{});var je=n(Q);ee=l(je,"model(pixel_values)"),je.forEach(t),pe.forEach(t),it=f(R),q=a(R,"LI",{});var fe=n(q);te=l(fe,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),re=a(fe,"CODE",{});var ct=n(re);ue=l(ct,"model([pixel_values, attention_mask])"),ct.forEach(t),Ze=l(fe," or "),le=a(fe,"CODE",{});var $e=n(le);Pe=l($e,"model([pixel_values, attention_mask, token_type_ids])"),$e.forEach(t),fe.forEach(t),M=f(R),B=a(R,"LI",{});var Me=n(B);ie=l(Me,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),de=a(Me,"CODE",{});var _e=n(de);Qe=l(_e,'model({"pixel_values": pixel_values, "token_type_ids": token_type_ids})'),_e.forEach(t),Me.forEach(t),R.forEach(t),J=f(x),L=a(x,"P",{});var S=n(L);et=l(S,`Note that when creating models and layers with
`),A=a(S,"A",{href:!0,rel:!0});var Ae=n(A);tt=l(Ae,"subclassing"),Ae.forEach(t),ot=l(S,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),S.forEach(t),this.h()},h(){d(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),d(A,"rel","nofollow")},m(x,F){h(x,c,F),e(c,w),e(c,_),e(_,g),e(c,v),h(x,i,F),h(x,m,F),e(m,I),e(I,We),e(m,Ne),e(m,z),e(z,Z),h(x,se,F),h(x,E,F),e(E,He),e(E,K),e(K,Xe),e(E,Ee),e(E,O),e(O,Ke),e(E,ae),e(E,ne),e(ne,Be),e(E,Ie),e(E,W),e(W,Je),e(E,Fe),e(E,H),e(H,we),e(E,Ge),h(x,he,F),h(x,j,F),e(j,D),e(D,ke),e(D,X),e(X,ye),e(D,Ye),e(D,Q),e(Q,ee),e(j,it),e(j,q),e(q,te),e(q,re),e(re,ue),e(q,Ze),e(q,le),e(le,Pe),e(j,M),e(j,B),e(B,ie),e(B,de),e(de,Qe),h(x,J,F),h(x,L,F),e(L,et),e(L,A),e(A,tt),e(L,ot)},d(x){x&&t(c),x&&t(i),x&&t(m),x&&t(se),x&&t(E),x&&t(he),x&&t(j),x&&t(J),x&&t(L)}}}function Kc(k){let c,w,_,g,v;return{c(){c=s("p"),w=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),g=r("Module"),v=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(i){c=a(i,"P",{});var m=n(c);w=l(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(m,"CODE",{});var I=n(_);g=l(I,"Module"),I.forEach(t),v=l(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(i,m){h(i,c,m),e(c,w),e(c,_),e(_,g),e(c,v)},d(i){i&&t(c)}}}function Bc(k){let c,w,_,g,v;return g=new ys({props:{code:`from transformers import AutoImageProcessor, TFConvNextForImageClassification
import tensorflow as tf
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("facebook/convnext-tiny-224")
model = TFConvNextForImageClassification.from_pretrained("facebook/convnext-tiny-224")

inputs = image_processor(images=image, return_tensors="tf")
outputs = model(**inputs)
logits = outputs.logits
# model predicts one of the 1000 ImageNet classes
predicted_class_idx = tf.math.argmax(logits, axis=-1)[0]
print("Predicted class:", model.config.id2label[int(predicted_class_idx)])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, TFConvNextForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFConvNextForImageClassification.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_idx = tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;Predicted class:&quot;</span>, model.config.id2label[<span class="hljs-built_in">int</span>(predicted_class_idx)])`}}),{c(){c=s("p"),w=r("Examples:"),_=p(),y(g.$$.fragment)},l(i){c=a(i,"P",{});var m=n(c);w=l(m,"Examples:"),m.forEach(t),_=f(i),b(g.$$.fragment,i)},m(i,m){h(i,c,m),e(c,w),h(i,_,m),$(g,i,m),v=!0},p:ws,i(i){v||(C(g.$$.fragment,i),v=!0)},o(i){T(g.$$.fragment,i),v=!1},d(i){i&&t(c),i&&t(_),N(g,i)}}}function Jc(k){let c,w,_,g,v;return{c(){c=s("p"),w=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),g=r("Module"),v=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(i){c=a(i,"P",{});var m=n(c);w=l(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(m,"CODE",{});var I=n(_);g=l(I,"Module"),I.forEach(t),v=l(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(i,m){h(i,c,m),e(c,w),e(c,_),e(_,g),e(c,v)},d(i){i&&t(c)}}}function Gc(k){let c,w,_,g,v;return g=new ys({props:{code:`from transformers import AutoImageProcessor, FlaxConvNextModel
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("facebook/convnext-tiny-224")
model = FlaxConvNextModel.from_pretrained("facebook/convnext-tiny-224")

inputs = image_processor(images=image, return_tensors="np")
outputs = model(**inputs)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, FlaxConvNextModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxConvNextModel.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){c=s("p"),w=r("Examples:"),_=p(),y(g.$$.fragment)},l(i){c=a(i,"P",{});var m=n(c);w=l(m,"Examples:"),m.forEach(t),_=f(i),b(g.$$.fragment,i)},m(i,m){h(i,c,m),e(c,w),h(i,_,m),$(g,i,m),v=!0},p:ws,i(i){v||(C(g.$$.fragment,i),v=!0)},o(i){T(g.$$.fragment,i),v=!1},d(i){i&&t(c),i&&t(_),N(g,i)}}}function Yc(k){let c,w,_,g,v;return{c(){c=s("p"),w=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s("code"),g=r("Module"),v=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(i){c=a(i,"P",{});var m=n(c);w=l(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(m,"CODE",{});var I=n(_);g=l(I,"Module"),I.forEach(t),v=l(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(i,m){h(i,c,m),e(c,w),e(c,_),e(_,g),e(c,v)},d(i){i&&t(c)}}}function Zc(k){let c,w,_,g,v;return g=new ys({props:{code:`from transformers import AutoImageProcessor, FlaxConvNextForImageClassification
from PIL import Image
import jax
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("facebook/convnext-tiny-224")
model = FlaxConvNextForImageClassification.from_pretrained("facebook/convnext-tiny-224")

inputs = image_processor(images=image, return_tensors="np")
outputs = model(**inputs)
logits = outputs.logits

# model predicts one of the 1000 ImageNet classes
predicted_class_idx = jax.numpy.argmax(logits, axis=-1)
print("Predicted class:", model.config.id2label[predicted_class_idx.item()])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, FlaxConvNextForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> jax
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxConvNextForImageClassification.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_idx = jax.numpy.argmax(logits, axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;Predicted class:&quot;</span>, model.config.id2label[predicted_class_idx.item()])`}}),{c(){c=s("p"),w=r("Example:"),_=p(),y(g.$$.fragment)},l(i){c=a(i,"P",{});var m=n(c);w=l(m,"Example:"),m.forEach(t),_=f(i),b(g.$$.fragment,i)},m(i,m){h(i,c,m),e(c,w),h(i,_,m),$(g,i,m),v=!0},p:ws,i(i){v||(C(g.$$.fragment,i),v=!0)},o(i){T(g.$$.fragment,i),v=!1},d(i){i&&t(c),i&&t(_),N(g,i)}}}function Qc(k){let c,w,_,g,v,i,m,I,We,Ne,z,Z,se,E,He,K,Xe,Ee,O,Ke,ae,ne,Be,Ie,W,Je,Fe,H,we,Ge,he,j,D,ke,X,ye,Ye,Q,ee,it,q,te,re,ue,Ze,le,Pe,M,B,ie,de,Qe,J,L,et,A,tt,ot,x,F,ft,G,mt,ht,P,ce,ge,st,be,ut,R,pe,dt,je,fe,ct,$e,Me,_e,S,Ae,zn,Dn,go,Ln,On,_o,Sn,Rn,Un,bs,Vn,$s,Wn,Xa,Cs,Hn,Ka,gt,Mt,Xs,vo,Xn,Ks,Kn,Ba,Ce,xo,Bn,_t,Jn,Ts,Gn,Yn,wo,Zn,Qn,er,vt,tr,Ns,or,sr,Es,ar,nr,rr,At,Ja,xt,qt,Bs,yo,lr,Js,ir,Ga,bo,$o,Ya,wt,zt,Gs,Co,dr,Ys,cr,Za,at,To,pr,Zs,fr,mr,Dt,No,hr,Qs,ur,Qa,yt,Lt,ea,Eo,gr,ta,_r,en,nt,Io,vr,Fo,xr,ko,wr,yr,br,qe,Po,$r,bt,Cr,Is,Tr,Nr,oa,Er,Ir,Fr,Ot,kr,St,tn,$t,Rt,sa,jo,Pr,aa,jr,on,Te,Mo,Mr,na,Ar,qr,Ao,zr,qo,Dr,Lr,Or,ze,zo,Sr,Ct,Rr,Fs,Ur,Vr,ra,Wr,Hr,Xr,Ut,Kr,Vt,sn,Tt,Wt,la,Do,Br,ia,Jr,an,me,Lo,Gr,Oo,Yr,ks,Zr,Qr,el,So,tl,Ro,ol,sl,al,Ht,nl,De,Uo,rl,Nt,ll,Ps,il,dl,da,cl,pl,fl,Xt,ml,Kt,nn,Et,Bt,ca,Vo,hl,pa,ul,rn,Y,Wo,gl,fa,_l,vl,Ho,xl,js,wl,yl,bl,Xo,$l,Ko,Cl,Tl,Nl,Jt,El,Le,Bo,Il,It,Fl,Ms,kl,Pl,ma,jl,Ml,Al,Gt,ql,Yt,ln,Ft,Zt,ha,Jo,zl,ua,Dl,dn,U,Go,Ll,ga,Ol,Sl,Yo,Rl,As,Ul,Vl,Wl,Zo,Hl,Qo,Xl,Kl,Bl,_a,Jl,Gl,rt,va,es,Yl,Zl,xa,ts,Ql,ei,wa,os,ti,oi,ya,ss,si,ai,Oe,as,ni,kt,ri,ba,li,ii,$a,di,ci,pi,Qt,fi,eo,cn,Pt,to,Ca,ns,mi,Ta,hi,pn,V,rs,ui,Na,gi,_i,ls,vi,qs,xi,wi,yi,is,bi,ds,$i,Ci,Ti,Ea,Ni,Ei,lt,Ia,cs,Ii,Fi,Fa,ps,ki,Pi,ka,fs,ji,Mi,Pa,ms,Ai,qi,Se,hs,zi,jt,Di,ja,Li,Oi,Ma,Si,Ri,Ui,oo,Vi,so,fn;return i=new Ve({}),E=new Ve({}),be=new Ve({}),$e=new Dc({props:{pipeline:"image-classification"}}),vo=new Ve({}),xo=new oe({props:{name:"class transformers.ConvNextConfig",anchor:"transformers.ConvNextConfig",parameters:[{name:"patch_size",val:" = 4"},{name:"num_stages",val:" = 4"},{name:"hidden_sizes",val:" = None"},{name:"depths",val:" = None"},{name:"hidden_act",val:" = 'gelu'"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"layer_scale_init_value",val:" = 1e-06"},{name:"drop_path_rate",val:" = 0.0"},{name:"out_features",val:" = None"},{name:"out_indices",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ConvNextConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.ConvNextConfig.patch_size",description:`<strong>patch_size</strong> (<code>int</code>, optional, defaults to 4) &#x2014;
Patch size to use in the patch embedding layer.`,name:"patch_size"},{anchor:"transformers.ConvNextConfig.num_stages",description:`<strong>num_stages</strong> (<code>int</code>, optional, defaults to 4) &#x2014;
The number of stages in the model.`,name:"num_stages"},{anchor:"transformers.ConvNextConfig.hidden_sizes",description:`<strong>hidden_sizes</strong> (<code>List[int]</code>, <em>optional</em>, defaults to [96, 192, 384, 768]) &#x2014;
Dimensionality (hidden size) at each stage.`,name:"hidden_sizes"},{anchor:"transformers.ConvNextConfig.depths",description:`<strong>depths</strong> (<code>List[int]</code>, <em>optional</em>, defaults to [3, 3, 9, 3]) &#x2014;
Depth (number of blocks) for each stage.`,name:"depths"},{anchor:"transformers.ConvNextConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in each block. If string, <code>&quot;gelu&quot;</code>, <code>&quot;relu&quot;</code>,
<code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.ConvNextConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.ConvNextConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.ConvNextConfig.layer_scale_init_value",description:`<strong>layer_scale_init_value</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-6) &#x2014;
The initial value for the layer scale.`,name:"layer_scale_init_value"},{anchor:"transformers.ConvNextConfig.drop_path_rate",description:`<strong>drop_path_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The drop rate for stochastic depth.`,name:"drop_path_rate"},{anchor:"transformers.ConvNextConfig.out_features",description:`<strong>out_features</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
If used as backbone, list of features to output. Can be any of <code>&quot;stem&quot;</code>, <code>&quot;stage1&quot;</code>, <code>&quot;stage2&quot;</code>, etc.
(depending on how many stages the model has). If unset and <code>out_indices</code> is set, will default to the
corresponding stages. If unset and <code>out_indices</code> is unset, will default to the last stage.`,name:"out_features"},{anchor:"transformers.ConvNextConfig.out_indices",description:`<strong>out_indices</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
If used as backbone, list of indices of features to output. Can be any of 0, 1, 2, etc. (depending on how
many stages the model has). If unset and <code>out_features</code> is set, will default to the corresponding stages.
If unset and <code>out_features</code> is unset, will default to the last stage.`,name:"out_indices"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/convnext/configuration_convnext.py#L35"}}),At=new xs({props:{anchor:"transformers.ConvNextConfig.example",$$slots:{default:[Lc]},$$scope:{ctx:k}}}),yo=new Ve({}),$o=new oe({props:{name:"class transformers.ConvNextFeatureExtractor",anchor:"transformers.ConvNextFeatureExtractor",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/convnext/feature_extraction_convnext.py#L26"}}),Co=new Ve({}),To=new oe({props:{name:"class transformers.ConvNextImageProcessor",anchor:"transformers.ConvNextImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"crop_pct",val:": float = None"},{name:"resample",val:": Resampling = <Resampling.BILINEAR: 2>"},{name:"do_rescale",val:": bool = True"},{name:"rescale_factor",val:": typing.Union[int, float] = 0.00392156862745098"},{name:"do_normalize",val:": bool = True"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ConvNextImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Controls whether to resize the image&#x2019;s (height, width) dimensions to the specified <code>size</code>. Can be overriden
by <code>do_resize</code> in the <code>preprocess</code> method.`,name:"do_resize"},{anchor:"transformers.ConvNextImageProcessor.size",description:`<strong>size</strong> (<code>Dict[str, int]</code> <em>optional</em>, defaults to <code>{&quot;shortest_edge&quot; -- 384}</code>):
Resolution of the output image after <code>resize</code> is applied. If <code>size[&quot;shortest_edge&quot;]</code> &gt;= 384, the image is
resized to <code>(size[&quot;shortest_edge&quot;], size[&quot;shortest_edge&quot;])</code>. Otherwise, the smaller edge of the image will
be matched to <code>int(size[&quot;shortest_edge&quot;]/crop_pct)</code>, after which the image is cropped to
<code>(size[&quot;shortest_edge&quot;], size[&quot;shortest_edge&quot;])</code>. Only has an effect if <code>do_resize</code> is set to <code>True</code>. Can
be overriden by <code>size</code> in the <code>preprocess</code> method.`,name:"size"},{anchor:"transformers.ConvNextImageProcessor.crop_pct",description:`<strong>crop_pct</strong> (<code>float</code> <em>optional</em>, defaults to 224 / 256) &#x2014;
Percentage of the image to crop. Only has an effect if <code>do_resize</code> is <code>True</code> and size &lt; 384. Can be
overriden by <code>crop_pct</code> in the <code>preprocess</code> method.`,name:"crop_pct"},{anchor:"transformers.ConvNextImageProcessor.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>PILImageResampling.BILINEAR</code>) &#x2014;
Resampling filter to use if resizing the image. Can be overriden by <code>resample</code> in the <code>preprocess</code> method.`,name:"resample"},{anchor:"transformers.ConvNextImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to rescale the image by the specified scale <code>rescale_factor</code>. Can be overriden by <code>do_rescale</code> in
the <code>preprocess</code> method.`,name:"do_rescale"},{anchor:"transformers.ConvNextImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>int</code> or <code>float</code>, <em>optional</em>, defaults to <code>1/255</code>) &#x2014;
Scale factor to use if rescaling the image. Can be overriden by <code>rescale_factor</code> in the <code>preprocess</code>
method.`,name:"rescale_factor"},{anchor:"transformers.ConvNextImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image. Can be overridden by the <code>do_normalize</code> parameter in the <code>preprocess</code>
method.`,name:"do_normalize"},{anchor:"transformers.ConvNextImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_MEAN</code>) &#x2014;
Mean to use if normalizing the image. This is a float or list of floats the length of the number of
channels in the image. Can be overridden by the <code>image_mean</code> parameter in the <code>preprocess</code> method.`,name:"image_mean"},{anchor:"transformers.ConvNextImageProcessor.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_STD</code>) &#x2014;
Standard deviation to use if normalizing the image. This is a float or list of floats the length of the
number of channels in the image. Can be overridden by the <code>image_std</code> parameter in the <code>preprocess</code> method.`,name:"image_std"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/convnext/image_processing_convnext.py#L50"}}),No=new oe({props:{name:"preprocess",anchor:"transformers.ConvNextImageProcessor.preprocess",parameters:[{name:"images",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]]"},{name:"do_resize",val:": bool = None"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"crop_pct",val:": float = None"},{name:"resample",val:": Resampling = None"},{name:"do_rescale",val:": bool = None"},{name:"rescale_factor",val:": float = None"},{name:"do_normalize",val:": bool = None"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"data_format",val:": ChannelDimension = <ChannelDimension.FIRST: 'channels_first'>"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ConvNextImageProcessor.preprocess.images",description:`<strong>images</strong> (<code>ImageInput</code>) &#x2014;
Image to preprocess.`,name:"images"},{anchor:"transformers.ConvNextImageProcessor.preprocess.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_resize</code>) &#x2014;
Whether to resize the image.`,name:"do_resize"},{anchor:"transformers.ConvNextImageProcessor.preprocess.size",description:`<strong>size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>self.size</code>) &#x2014;
Size of the output image after <code>resize</code> has been applied. If <code>size[&quot;shortest_edge&quot;]</code> &gt;= 384, the image
is resized to <code>(size[&quot;shortest_edge&quot;], size[&quot;shortest_edge&quot;])</code>. Otherwise, the smaller edge of the
image will be matched to <code>int(size[&quot;shortest_edge&quot;]/ crop_pct)</code>, after which the image is cropped to
<code>(size[&quot;shortest_edge&quot;], size[&quot;shortest_edge&quot;])</code>. Only has an effect if <code>do_resize</code> is set to <code>True</code>.`,name:"size"},{anchor:"transformers.ConvNextImageProcessor.preprocess.crop_pct",description:`<strong>crop_pct</strong> (<code>float</code>, <em>optional</em>, defaults to <code>self.crop_pct</code>) &#x2014;
Percentage of the image to crop if size &lt; 384.`,name:"crop_pct"},{anchor:"transformers.ConvNextImageProcessor.preprocess.resample",description:`<strong>resample</strong> (<code>int</code>, <em>optional</em>, defaults to <code>self.resample</code>) &#x2014;
Resampling filter to use if resizing the image. This can be one of <code>PILImageResampling</code>, filters. Only
has an effect if <code>do_resize</code> is set to <code>True</code>.`,name:"resample"},{anchor:"transformers.ConvNextImageProcessor.preprocess.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_rescale</code>) &#x2014;
Whether to rescale the image values between [0 - 1].`,name:"do_rescale"},{anchor:"transformers.ConvNextImageProcessor.preprocess.rescale_factor",description:`<strong>rescale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>self.rescale_factor</code>) &#x2014;
Rescale factor to rescale the image by if <code>do_rescale</code> is set to <code>True</code>.`,name:"rescale_factor"},{anchor:"transformers.ConvNextImageProcessor.preprocess.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_normalize</code>) &#x2014;
Whether to normalize the image.`,name:"do_normalize"},{anchor:"transformers.ConvNextImageProcessor.preprocess.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_mean</code>) &#x2014;
Image mean.`,name:"image_mean"},{anchor:"transformers.ConvNextImageProcessor.preprocess.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_std</code>) &#x2014;
Image standard deviation.`,name:"image_std"},{anchor:"transformers.ConvNextImageProcessor.preprocess.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <code>TensorType</code>, <em>optional</em>) &#x2014;
The type of tensors to return. Can be one of:<ul>
<li>Unset: Return a list of <code>np.ndarray</code>.</li>
<li><code>TensorType.TENSORFLOW</code> or <code>&apos;tf&apos;</code>: Return a batch of type <code>tf.Tensor</code>.</li>
<li><code>TensorType.PYTORCH</code> or <code>&apos;pt&apos;</code>: Return a batch of type <code>torch.Tensor</code>.</li>
<li><code>TensorType.NUMPY</code> or <code>&apos;np&apos;</code>: Return a batch of type <code>np.ndarray</code>.</li>
<li><code>TensorType.JAX</code> or <code>&apos;jax&apos;</code>: Return a batch of type <code>jax.numpy.ndarray</code>.</li>
</ul>`,name:"return_tensors"},{anchor:"transformers.ConvNextImageProcessor.preprocess.data_format",description:`<strong>data_format</strong> (<code>ChannelDimension</code> or <code>str</code>, <em>optional</em>, defaults to <code>ChannelDimension.FIRST</code>) &#x2014;
The channel dimension format for the output image. Can be one of:<ul>
<li><code>ChannelDimension.FIRST</code>: image in (num_channels, height, width) format.</li>
<li><code>ChannelDimension.LAST</code>: image in (height, width, num_channels) format.</li>
</ul>`,name:"data_format"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/convnext/image_processing_convnext.py#L204"}}),Eo=new Ve({}),Io=new oe({props:{name:"class transformers.ConvNextModel",anchor:"transformers.ConvNextModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ConvNextModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21485/en/model_doc/convnext#transformers.ConvNextConfig">ConvNextConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/convnext/modeling_convnext.py#L332"}}),Po=new oe({props:{name:"forward",anchor:"transformers.ConvNextModel.forward",parameters:[{name:"pixel_values",val:": FloatTensor = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.ConvNextModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21485/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/pr_21485/en/model_doc/mobilevit#transformers.MobileViTFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.ConvNextModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ConvNextModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21485/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/convnext/modeling_convnext.py#L346",returnDescription:`
<p>A <code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21485/en/model_doc/convnext#transformers.ConvNextConfig"
>ConvNextConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state after a pooling operation on the spatial dimensions.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ot=new uo({props:{$$slots:{default:[Oc]},$$scope:{ctx:k}}}),St=new xs({props:{anchor:"transformers.ConvNextModel.forward.example",$$slots:{default:[Sc]},$$scope:{ctx:k}}}),jo=new Ve({}),Mo=new oe({props:{name:"class transformers.ConvNextForImageClassification",anchor:"transformers.ConvNextForImageClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ConvNextForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21485/en/model_doc/convnext#transformers.ConvNextConfig">ConvNextConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/convnext/modeling_convnext.py#L398"}}),zo=new oe({props:{name:"forward",anchor:"transformers.ConvNextForImageClassification.forward",parameters:[{name:"pixel_values",val:": FloatTensor = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.ConvNextForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21485/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/pr_21485/en/model_doc/mobilevit#transformers.MobileViTFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.ConvNextForImageClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ConvNextForImageClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21485/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.ConvNextForImageClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/convnext/modeling_convnext.py#L413",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21485/en/model_doc/convnext#transformers.ConvNextConfig"
>ConvNextConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</li>
<li><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</li>
<li><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each stage) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also
called feature maps) of the model at the output of each stage.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ut=new uo({props:{$$slots:{default:[Rc]},$$scope:{ctx:k}}}),Vt=new xs({props:{anchor:"transformers.ConvNextForImageClassification.forward.example",$$slots:{default:[Uc]},$$scope:{ctx:k}}}),Do=new Ve({}),Lo=new oe({props:{name:"class transformers.TFConvNextModel",anchor:"transformers.TFConvNextModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFConvNextModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21485/en/model_doc/convnext#transformers.ConvNextConfig">ConvNextConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/convnext/modeling_tf_convnext.py#L451"}}),Ht=new uo({props:{$$slots:{default:[Vc]},$$scope:{ctx:k}}}),Uo=new oe({props:{name:"call",anchor:"transformers.TFConvNextModel.call",parameters:[{name:"pixel_values",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": bool = False"}],parametersDescription:[{anchor:"transformers.TFConvNextModel.call.pixel_values",description:`<strong>pixel_values</strong> (<code>np.ndarray</code>, <code>tf.Tensor</code>, <code>List[tf.Tensor]</code> \`<code>Dict[str, tf.Tensor]</code> or <code>Dict[str, np.ndarray]</code> and each example must have the shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21485/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/pr_21485/en/model_doc/mobilevit#transformers.MobileViTFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.TFConvNextModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFConvNextModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21485/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/convnext/modeling_tf_convnext.py#L456",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_21485/en/model_doc/convnext#transformers.ConvNextConfig"
>ConvNextConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
<p>This output is usually <em>not</em> a good summary of the semantic content of the input, you\u2019re often better with
averaging or pooling the sequence of hidden-states for the whole input sequence.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Xt=new uo({props:{$$slots:{default:[Wc]},$$scope:{ctx:k}}}),Kt=new xs({props:{anchor:"transformers.TFConvNextModel.call.example",$$slots:{default:[Hc]},$$scope:{ctx:k}}}),Vo=new Ve({}),Wo=new oe({props:{name:"class transformers.TFConvNextForImageClassification",anchor:"transformers.TFConvNextForImageClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFConvNextForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21485/en/model_doc/convnext#transformers.ConvNextConfig">ConvNextConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/convnext/modeling_tf_convnext.py#L526"}}),Jt=new uo({props:{$$slots:{default:[Xc]},$$scope:{ctx:k}}}),Bo=new oe({props:{name:"call",anchor:"transformers.TFConvNextForImageClassification.call",parameters:[{name:"pixel_values",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFConvNextForImageClassification.call.pixel_values",description:`<strong>pixel_values</strong> (<code>np.ndarray</code>, <code>tf.Tensor</code>, <code>List[tf.Tensor]</code> \`<code>Dict[str, tf.Tensor]</code> or <code>Dict[str, np.ndarray]</code> and each example must have the shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21485/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/pr_21485/en/model_doc/mobilevit#transformers.MobileViTFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.TFConvNextForImageClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFConvNextForImageClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21485/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFConvNextForImageClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> or <code>np.ndarray</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/convnext/modeling_tf_convnext.py#L541",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_21485/en/model_doc/convnext#transformers.ConvNextConfig"
>ConvNextConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Gt=new uo({props:{$$slots:{default:[Kc]},$$scope:{ctx:k}}}),Yt=new xs({props:{anchor:"transformers.TFConvNextForImageClassification.call.example",$$slots:{default:[Bc]},$$scope:{ctx:k}}}),Jo=new Ve({}),Go=new oe({props:{name:"class transformers.FlaxConvNextModel",anchor:"transformers.FlaxConvNextModel",parameters:[{name:"config",val:": ConvNextConfig"},{name:"input_shape",val:" = (1, 224, 224, 3)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxConvNextModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21485/en/model_doc/convnext#transformers.ConvNextConfig">ConvNextConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxConvNextModel.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/convnext/modeling_flax_convnext.py#L505"}}),as=new oe({props:{name:"__call__",anchor:"transformers.FlaxConvNextModel.__call__",parameters:[{name:"pixel_values",val:""},{name:"params",val:": dict = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/convnext/modeling_flax_convnext.py#L372",returnDescription:`
<p>A <code>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPoolingAndNoAttention</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.convnext.configuration_convnext.ConvNextConfig'&gt;</code>) and inputs.</p>
<ul>
<li><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</li>
<li><strong>pooler_output</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state after a pooling operation on the spatial dimensions.</li>
<li><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings, if the model has an embedding layer, + one
for the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states of the
model at the output of each layer plus the optional initial embedding outputs.</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPoolingAndNoAttention</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Qt=new uo({props:{$$slots:{default:[Jc]},$$scope:{ctx:k}}}),eo=new xs({props:{anchor:"transformers.FlaxConvNextModel.__call__.example",$$slots:{default:[Gc]},$$scope:{ctx:k}}}),ns=new Ve({}),rs=new oe({props:{name:"class transformers.FlaxConvNextForImageClassification",anchor:"transformers.FlaxConvNextForImageClassification",parameters:[{name:"config",val:": ConvNextConfig"},{name:"input_shape",val:" = (1, 224, 224, 3)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxConvNextForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21485/en/model_doc/convnext#transformers.ConvNextConfig">ConvNextConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxConvNextForImageClassification.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/convnext/modeling_flax_convnext.py#L591"}}),hs=new oe({props:{name:"__call__",anchor:"transformers.FlaxConvNextForImageClassification.__call__",parameters:[{name:"pixel_values",val:""},{name:"params",val:": dict = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/convnext/modeling_flax_convnext.py#L372",returnDescription:`
<p>A <code>transformers.modeling_flax_outputs.FlaxImageClassifierOutputWithNoAttention</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.convnext.configuration_convnext.ConvNextConfig'&gt;</code>) and inputs.</p>
<ul>
<li><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</li>
<li><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when</li>
<li><strong><code>config.output_hidden_states=True</code>):</strong>
Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings, if the model has an embedding layer, + one
for the output of each stage) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also
called feature maps) of the model at the output of each stage.</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_flax_outputs.FlaxImageClassifierOutputWithNoAttention</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),oo=new uo({props:{$$slots:{default:[Yc]},$$scope:{ctx:k}}}),so=new xs({props:{anchor:"transformers.FlaxConvNextForImageClassification.__call__.example",$$slots:{default:[Zc]},$$scope:{ctx:k}}}),{c(){c=s("meta"),w=p(),_=s("h1"),g=s("a"),v=s("span"),y(i.$$.fragment),m=p(),I=s("span"),We=r("ConvNeXT"),Ne=p(),z=s("h2"),Z=s("a"),se=s("span"),y(E.$$.fragment),He=p(),K=s("span"),Xe=r("Overview"),Ee=p(),O=s("p"),Ke=r("The ConvNeXT model was proposed in "),ae=s("a"),ne=r("A ConvNet for the 2020s"),Be=r(` by Zhuang Liu, Hanzi Mao, Chao-Yuan Wu, Christoph Feichtenhofer, Trevor Darrell, Saining Xie.
ConvNeXT is a pure convolutional model (ConvNet), inspired by the design of Vision Transformers, that claims to outperform them.`),Ie=p(),W=s("p"),Je=r("The abstract from the paper is the following:"),Fe=p(),H=s("p"),we=s("em"),Ge=r(`The \u201CRoaring 20s\u201D of visual recognition began with the introduction of Vision Transformers (ViTs), which quickly superseded ConvNets as the state-of-the-art image classification model.
A vanilla ViT, on the other hand, faces difficulties when applied to general computer vision tasks such as object detection and semantic segmentation. It is the hierarchical Transformers
(e.g., Swin Transformers) that reintroduced several ConvNet priors, making Transformers practically viable as a generic vision backbone and demonstrating remarkable performance on a wide
variety of vision tasks. However, the effectiveness of such hybrid approaches is still largely credited to the intrinsic superiority of Transformers, rather than the inherent inductive
biases of convolutions. In this work, we reexamine the design spaces and test the limits of what a pure ConvNet can achieve. We gradually \u201Cmodernize\u201D a standard ResNet toward the design
of a vision Transformer, and discover several key components that contribute to the performance difference along the way. The outcome of this exploration is a family of pure ConvNet models
dubbed ConvNeXt. Constructed entirely from standard ConvNet modules, ConvNeXts compete favorably with Transformers in terms of accuracy and scalability, achieving 87.8% ImageNet top-1 accuracy
and outperforming Swin Transformers on COCO detection and ADE20K segmentation, while maintaining the simplicity and efficiency of standard ConvNets.`),he=p(),j=s("p"),D=r("Tips:"),ke=p(),X=s("ul"),ye=s("li"),Ye=r("See the code examples below each model regarding usage."),Q=p(),ee=s("img"),q=p(),te=s("small"),re=r("ConvNeXT architecture. Taken from the "),ue=s("a"),Ze=r("original paper"),le=r("."),Pe=p(),M=s("p"),B=r("This model was contributed by "),ie=s("a"),de=r("nielsr"),Qe=r(". TensorFlow version of the model was contributed by "),J=s("a"),L=r("ariG23498"),et=r(`,
`),A=s("a"),tt=r("gante"),ot=r(", and "),x=s("a"),F=r("sayakpaul"),ft=r(" (equal contribution). The original code can be found "),G=s("a"),mt=r("here"),ht=r("."),P=p(),ce=s("h2"),ge=s("a"),st=s("span"),y(be.$$.fragment),ut=p(),R=s("span"),pe=r("Resources"),dt=p(),je=s("p"),fe=r("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with ConvNeXT."),ct=p(),y($e.$$.fragment),Me=p(),_e=s("ul"),S=s("li"),Ae=s("a"),zn=r("ConvNextForImageClassification"),Dn=r(" is supported by this "),go=s("a"),Ln=r("example script"),On=r(" and "),_o=s("a"),Sn=r("notebook"),Rn=r("."),Un=p(),bs=s("li"),Vn=r("See also: "),$s=s("a"),Wn=r("Image classification task guide"),Xa=p(),Cs=s("p"),Hn=r("If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Ka=p(),gt=s("h2"),Mt=s("a"),Xs=s("span"),y(vo.$$.fragment),Xn=p(),Ks=s("span"),Kn=r("ConvNextConfig"),Ba=p(),Ce=s("div"),y(xo.$$.fragment),Bn=p(),_t=s("p"),Jn=r("This is the configuration class to store the configuration of a "),Ts=s("a"),Gn=r("ConvNextModel"),Yn=r(`. It is used to instantiate an
ConvNeXT model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the ConvNeXT
`),wo=s("a"),Zn=r("facebook/convnext-tiny-224"),Qn=r(" architecture."),er=p(),vt=s("p"),tr=r("Configuration objects inherit from "),Ns=s("a"),or=r("PretrainedConfig"),sr=r(` and can be used to control the model outputs. Read the
documentation from `),Es=s("a"),ar=r("PretrainedConfig"),nr=r(" for more information."),rr=p(),y(At.$$.fragment),Ja=p(),xt=s("h2"),qt=s("a"),Bs=s("span"),y(yo.$$.fragment),lr=p(),Js=s("span"),ir=r("ConvNextFeatureExtractor"),Ga=p(),bo=s("div"),y($o.$$.fragment),Ya=p(),wt=s("h2"),zt=s("a"),Gs=s("span"),y(Co.$$.fragment),dr=p(),Ys=s("span"),cr=r("ConvNextImageProcessor"),Za=p(),at=s("div"),y(To.$$.fragment),pr=p(),Zs=s("p"),fr=r("Constructs a ConvNeXT image processor."),mr=p(),Dt=s("div"),y(No.$$.fragment),hr=p(),Qs=s("p"),ur=r("Preprocess an image or batch of images."),Qa=p(),yt=s("h2"),Lt=s("a"),ea=s("span"),y(Eo.$$.fragment),gr=p(),ta=s("span"),_r=r("ConvNextModel"),en=p(),nt=s("div"),y(Io.$$.fragment),vr=p(),Fo=s("p"),xr=r(`The bare ConvNext model outputting raw features without any specific head on top.
This model is a PyTorch `),ko=s("a"),wr=r("torch.nn.Module"),yr=r(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),br=p(),qe=s("div"),y(Po.$$.fragment),$r=p(),bt=s("p"),Cr=r("The "),Is=s("a"),Tr=r("ConvNextModel"),Nr=r(" forward method, overrides the "),oa=s("code"),Er=r("__call__"),Ir=r(" special method."),Fr=p(),y(Ot.$$.fragment),kr=p(),y(St.$$.fragment),tn=p(),$t=s("h2"),Rt=s("a"),sa=s("span"),y(jo.$$.fragment),Pr=p(),aa=s("span"),jr=r("ConvNextForImageClassification"),on=p(),Te=s("div"),y(Mo.$$.fragment),Mr=p(),na=s("p"),Ar=r(`ConvNext Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),qr=p(),Ao=s("p"),zr=r("This model is a PyTorch "),qo=s("a"),Dr=r("torch.nn.Module"),Lr=r(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Or=p(),ze=s("div"),y(zo.$$.fragment),Sr=p(),Ct=s("p"),Rr=r("The "),Fs=s("a"),Ur=r("ConvNextForImageClassification"),Vr=r(" forward method, overrides the "),ra=s("code"),Wr=r("__call__"),Hr=r(" special method."),Xr=p(),y(Ut.$$.fragment),Kr=p(),y(Vt.$$.fragment),sn=p(),Tt=s("h2"),Wt=s("a"),la=s("span"),y(Do.$$.fragment),Br=p(),ia=s("span"),Jr=r("TFConvNextModel"),an=p(),me=s("div"),y(Lo.$$.fragment),Gr=p(),Oo=s("p"),Yr=r(`The bare ConvNext model outputting raw features without any specific head on top.
This model inherits from `),ks=s("a"),Zr=r("TFPreTrainedModel"),Qr=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),el=p(),So=s("p"),tl=r("This model is also a "),Ro=s("a"),ol=r("tf.keras.Model"),sl=r(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),al=p(),y(Ht.$$.fragment),nl=p(),De=s("div"),y(Uo.$$.fragment),rl=p(),Nt=s("p"),ll=r("The "),Ps=s("a"),il=r("TFConvNextModel"),dl=r(" forward method, overrides the "),da=s("code"),cl=r("__call__"),pl=r(" special method."),fl=p(),y(Xt.$$.fragment),ml=p(),y(Kt.$$.fragment),nn=p(),Et=s("h2"),Bt=s("a"),ca=s("span"),y(Vo.$$.fragment),hl=p(),pa=s("span"),ul=r("TFConvNextForImageClassification"),rn=p(),Y=s("div"),y(Wo.$$.fragment),gl=p(),fa=s("p"),_l=r(`ConvNext Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),vl=p(),Ho=s("p"),xl=r("This model inherits from "),js=s("a"),wl=r("TFPreTrainedModel"),yl=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),bl=p(),Xo=s("p"),$l=r("This model is also a "),Ko=s("a"),Cl=r("tf.keras.Model"),Tl=r(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Nl=p(),y(Jt.$$.fragment),El=p(),Le=s("div"),y(Bo.$$.fragment),Il=p(),It=s("p"),Fl=r("The "),Ms=s("a"),kl=r("TFConvNextForImageClassification"),Pl=r(" forward method, overrides the "),ma=s("code"),jl=r("__call__"),Ml=r(" special method."),Al=p(),y(Gt.$$.fragment),ql=p(),y(Yt.$$.fragment),ln=p(),Ft=s("h2"),Zt=s("a"),ha=s("span"),y(Jo.$$.fragment),zl=p(),ua=s("span"),Dl=r("FlaxConvNextModel"),dn=p(),U=s("div"),y(Go.$$.fragment),Ll=p(),ga=s("p"),Ol=r("The bare ConvNext model outputting raw features without any specific head on top."),Sl=p(),Yo=s("p"),Rl=r("This model inherits from "),As=s("a"),Ul=r("FlaxPreTrainedModel"),Vl=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Wl=p(),Zo=s("p"),Hl=r("This model is also a Flax Linen "),Qo=s("a"),Xl=r("flax.linen.Module"),Kl=r(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Bl=p(),_a=s("p"),Jl=r("Finally, this model supports inherent JAX features such as:"),Gl=p(),rt=s("ul"),va=s("li"),es=s("a"),Yl=r("Just-In-Time (JIT) compilation"),Zl=p(),xa=s("li"),ts=s("a"),Ql=r("Automatic Differentiation"),ei=p(),wa=s("li"),os=s("a"),ti=r("Vectorization"),oi=p(),ya=s("li"),ss=s("a"),si=r("Parallelization"),ai=p(),Oe=s("div"),y(as.$$.fragment),ni=p(),kt=s("p"),ri=r("The "),ba=s("code"),li=r("FlaxConvNextPreTrainedModel"),ii=r(" forward method, overrides the "),$a=s("code"),di=r("__call__"),ci=r(" special method."),pi=p(),y(Qt.$$.fragment),fi=p(),y(eo.$$.fragment),cn=p(),Pt=s("h2"),to=s("a"),Ca=s("span"),y(ns.$$.fragment),mi=p(),Ta=s("span"),hi=r("FlaxConvNextForImageClassification"),pn=p(),V=s("div"),y(rs.$$.fragment),ui=p(),Na=s("p"),gi=r(`ConvNext Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),_i=p(),ls=s("p"),vi=r("This model inherits from "),qs=s("a"),xi=r("FlaxPreTrainedModel"),wi=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),yi=p(),is=s("p"),bi=r("This model is also a Flax Linen "),ds=s("a"),$i=r("flax.linen.Module"),Ci=r(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Ti=p(),Ea=s("p"),Ni=r("Finally, this model supports inherent JAX features such as:"),Ei=p(),lt=s("ul"),Ia=s("li"),cs=s("a"),Ii=r("Just-In-Time (JIT) compilation"),Fi=p(),Fa=s("li"),ps=s("a"),ki=r("Automatic Differentiation"),Pi=p(),ka=s("li"),fs=s("a"),ji=r("Vectorization"),Mi=p(),Pa=s("li"),ms=s("a"),Ai=r("Parallelization"),qi=p(),Se=s("div"),y(hs.$$.fragment),zi=p(),jt=s("p"),Di=r("The "),ja=s("code"),Li=r("FlaxConvNextPreTrainedModel"),Oi=r(" forward method, overrides the "),Ma=s("code"),Si=r("__call__"),Ri=r(" special method."),Ui=p(),y(oo.$$.fragment),Vi=p(),y(so.$$.fragment),this.h()},l(o){const u=Ac('[data-svelte="svelte-1phssyn"]',document.head);c=a(u,"META",{name:!0,content:!0}),u.forEach(t),w=f(o),_=a(o,"H1",{class:!0});var us=n(_);g=a(us,"A",{id:!0,class:!0,href:!0});var Aa=n(g);v=a(Aa,"SPAN",{});var qa=n(v);b(i.$$.fragment,qa),qa.forEach(t),Aa.forEach(t),m=f(us),I=a(us,"SPAN",{});var za=n(I);We=l(za,"ConvNeXT"),za.forEach(t),us.forEach(t),Ne=f(o),z=a(o,"H2",{class:!0});var gs=n(z);Z=a(gs,"A",{id:!0,class:!0,href:!0});var Da=n(Z);se=a(Da,"SPAN",{});var La=n(se);b(E.$$.fragment,La),La.forEach(t),Da.forEach(t),He=f(gs),K=a(gs,"SPAN",{});var Oa=n(K);Xe=l(Oa,"Overview"),Oa.forEach(t),gs.forEach(t),Ee=f(o),O=a(o,"P",{});var _s=n(O);Ke=l(_s,"The ConvNeXT model was proposed in "),ae=a(_s,"A",{href:!0,rel:!0});var Sa=n(ae);ne=l(Sa,"A ConvNet for the 2020s"),Sa.forEach(t),Be=l(_s,` by Zhuang Liu, Hanzi Mao, Chao-Yuan Wu, Christoph Feichtenhofer, Trevor Darrell, Saining Xie.
ConvNeXT is a pure convolutional model (ConvNet), inspired by the design of Vision Transformers, that claims to outperform them.`),_s.forEach(t),Ie=f(o),W=a(o,"P",{});var Ra=n(W);Je=l(Ra,"The abstract from the paper is the following:"),Ra.forEach(t),Fe=f(o),H=a(o,"P",{});var Ua=n(H);we=a(Ua,"EM",{});var Va=n(we);Ge=l(Va,`The \u201CRoaring 20s\u201D of visual recognition began with the introduction of Vision Transformers (ViTs), which quickly superseded ConvNets as the state-of-the-art image classification model.
A vanilla ViT, on the other hand, faces difficulties when applied to general computer vision tasks such as object detection and semantic segmentation. It is the hierarchical Transformers
(e.g., Swin Transformers) that reintroduced several ConvNet priors, making Transformers practically viable as a generic vision backbone and demonstrating remarkable performance on a wide
variety of vision tasks. However, the effectiveness of such hybrid approaches is still largely credited to the intrinsic superiority of Transformers, rather than the inherent inductive
biases of convolutions. In this work, we reexamine the design spaces and test the limits of what a pure ConvNet can achieve. We gradually \u201Cmodernize\u201D a standard ResNet toward the design
of a vision Transformer, and discover several key components that contribute to the performance difference along the way. The outcome of this exploration is a family of pure ConvNet models
dubbed ConvNeXt. Constructed entirely from standard ConvNet modules, ConvNeXts compete favorably with Transformers in terms of accuracy and scalability, achieving 87.8% ImageNet top-1 accuracy
and outperforming Swin Transformers on COCO detection and ADE20K segmentation, while maintaining the simplicity and efficiency of standard ConvNets.`),Va.forEach(t),Ua.forEach(t),he=f(o),j=a(o,"P",{});var Wa=n(j);D=l(Wa,"Tips:"),Wa.forEach(t),ke=f(o),X=a(o,"UL",{});var Ha=n(X);ye=a(Ha,"LI",{});var Hi=n(ye);Ye=l(Hi,"See the code examples below each model regarding usage."),Hi.forEach(t),Ha.forEach(t),Q=f(o),ee=a(o,"IMG",{src:!0,alt:!0,width:!0}),q=f(o),te=a(o,"SMALL",{});var mn=n(te);re=l(mn,"ConvNeXT architecture. Taken from the "),ue=a(mn,"A",{href:!0});var Xi=n(ue);Ze=l(Xi,"original paper"),Xi.forEach(t),le=l(mn,"."),mn.forEach(t),Pe=f(o),M=a(o,"P",{});var Re=n(M);B=l(Re,"This model was contributed by "),ie=a(Re,"A",{href:!0,rel:!0});var Ki=n(ie);de=l(Ki,"nielsr"),Ki.forEach(t),Qe=l(Re,". TensorFlow version of the model was contributed by "),J=a(Re,"A",{href:!0,rel:!0});var Bi=n(J);L=l(Bi,"ariG23498"),Bi.forEach(t),et=l(Re,`,
`),A=a(Re,"A",{href:!0,rel:!0});var Ji=n(A);tt=l(Ji,"gante"),Ji.forEach(t),ot=l(Re,", and "),x=a(Re,"A",{href:!0,rel:!0});var Gi=n(x);F=l(Gi,"sayakpaul"),Gi.forEach(t),ft=l(Re," (equal contribution). The original code can be found "),G=a(Re,"A",{href:!0,rel:!0});var Yi=n(G);mt=l(Yi,"here"),Yi.forEach(t),ht=l(Re,"."),Re.forEach(t),P=f(o),ce=a(o,"H2",{class:!0});var hn=n(ce);ge=a(hn,"A",{id:!0,class:!0,href:!0});var Zi=n(ge);st=a(Zi,"SPAN",{});var Qi=n(st);b(be.$$.fragment,Qi),Qi.forEach(t),Zi.forEach(t),ut=f(hn),R=a(hn,"SPAN",{});var ed=n(R);pe=l(ed,"Resources"),ed.forEach(t),hn.forEach(t),dt=f(o),je=a(o,"P",{});var td=n(je);fe=l(td,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with ConvNeXT."),td.forEach(t),ct=f(o),b($e.$$.fragment,o),Me=f(o),_e=a(o,"UL",{});var un=n(_e);S=a(un,"LI",{});var vs=n(S);Ae=a(vs,"A",{href:!0});var od=n(Ae);zn=l(od,"ConvNextForImageClassification"),od.forEach(t),Dn=l(vs," is supported by this "),go=a(vs,"A",{href:!0,rel:!0});var sd=n(go);Ln=l(sd,"example script"),sd.forEach(t),On=l(vs," and "),_o=a(vs,"A",{href:!0,rel:!0});var ad=n(_o);Sn=l(ad,"notebook"),ad.forEach(t),Rn=l(vs,"."),vs.forEach(t),Un=f(un),bs=a(un,"LI",{});var Wi=n(bs);Vn=l(Wi,"See also: "),$s=a(Wi,"A",{href:!0});var nd=n($s);Wn=l(nd,"Image classification task guide"),nd.forEach(t),Wi.forEach(t),un.forEach(t),Xa=f(o),Cs=a(o,"P",{});var rd=n(Cs);Hn=l(rd,"If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),rd.forEach(t),Ka=f(o),gt=a(o,"H2",{class:!0});var gn=n(gt);Mt=a(gn,"A",{id:!0,class:!0,href:!0});var ld=n(Mt);Xs=a(ld,"SPAN",{});var id=n(Xs);b(vo.$$.fragment,id),id.forEach(t),ld.forEach(t),Xn=f(gn),Ks=a(gn,"SPAN",{});var dd=n(Ks);Kn=l(dd,"ConvNextConfig"),dd.forEach(t),gn.forEach(t),Ba=f(o),Ce=a(o,"DIV",{class:!0});var ao=n(Ce);b(xo.$$.fragment,ao),Bn=f(ao),_t=a(ao,"P",{});var zs=n(_t);Jn=l(zs,"This is the configuration class to store the configuration of a "),Ts=a(zs,"A",{href:!0});var cd=n(Ts);Gn=l(cd,"ConvNextModel"),cd.forEach(t),Yn=l(zs,`. It is used to instantiate an
ConvNeXT model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the ConvNeXT
`),wo=a(zs,"A",{href:!0,rel:!0});var pd=n(wo);Zn=l(pd,"facebook/convnext-tiny-224"),pd.forEach(t),Qn=l(zs," architecture."),zs.forEach(t),er=f(ao),vt=a(ao,"P",{});var Ds=n(vt);tr=l(Ds,"Configuration objects inherit from "),Ns=a(Ds,"A",{href:!0});var fd=n(Ns);or=l(fd,"PretrainedConfig"),fd.forEach(t),sr=l(Ds,` and can be used to control the model outputs. Read the
documentation from `),Es=a(Ds,"A",{href:!0});var md=n(Es);ar=l(md,"PretrainedConfig"),md.forEach(t),nr=l(Ds," for more information."),Ds.forEach(t),rr=f(ao),b(At.$$.fragment,ao),ao.forEach(t),Ja=f(o),xt=a(o,"H2",{class:!0});var _n=n(xt);qt=a(_n,"A",{id:!0,class:!0,href:!0});var hd=n(qt);Bs=a(hd,"SPAN",{});var ud=n(Bs);b(yo.$$.fragment,ud),ud.forEach(t),hd.forEach(t),lr=f(_n),Js=a(_n,"SPAN",{});var gd=n(Js);ir=l(gd,"ConvNextFeatureExtractor"),gd.forEach(t),_n.forEach(t),Ga=f(o),bo=a(o,"DIV",{class:!0});var _d=n(bo);b($o.$$.fragment,_d),_d.forEach(t),Ya=f(o),wt=a(o,"H2",{class:!0});var vn=n(wt);zt=a(vn,"A",{id:!0,class:!0,href:!0});var vd=n(zt);Gs=a(vd,"SPAN",{});var xd=n(Gs);b(Co.$$.fragment,xd),xd.forEach(t),vd.forEach(t),dr=f(vn),Ys=a(vn,"SPAN",{});var wd=n(Ys);cr=l(wd,"ConvNextImageProcessor"),wd.forEach(t),vn.forEach(t),Za=f(o),at=a(o,"DIV",{class:!0});var Ls=n(at);b(To.$$.fragment,Ls),pr=f(Ls),Zs=a(Ls,"P",{});var yd=n(Zs);fr=l(yd,"Constructs a ConvNeXT image processor."),yd.forEach(t),mr=f(Ls),Dt=a(Ls,"DIV",{class:!0});var xn=n(Dt);b(No.$$.fragment,xn),hr=f(xn),Qs=a(xn,"P",{});var bd=n(Qs);ur=l(bd,"Preprocess an image or batch of images."),bd.forEach(t),xn.forEach(t),Ls.forEach(t),Qa=f(o),yt=a(o,"H2",{class:!0});var wn=n(yt);Lt=a(wn,"A",{id:!0,class:!0,href:!0});var $d=n(Lt);ea=a($d,"SPAN",{});var Cd=n(ea);b(Eo.$$.fragment,Cd),Cd.forEach(t),$d.forEach(t),gr=f(wn),ta=a(wn,"SPAN",{});var Td=n(ta);_r=l(Td,"ConvNextModel"),Td.forEach(t),wn.forEach(t),en=f(o),nt=a(o,"DIV",{class:!0});var Os=n(nt);b(Io.$$.fragment,Os),vr=f(Os),Fo=a(Os,"P",{});var yn=n(Fo);xr=l(yn,`The bare ConvNext model outputting raw features without any specific head on top.
This model is a PyTorch `),ko=a(yn,"A",{href:!0,rel:!0});var Nd=n(ko);wr=l(Nd,"torch.nn.Module"),Nd.forEach(t),yr=l(yn,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),yn.forEach(t),br=f(Os),qe=a(Os,"DIV",{class:!0});var no=n(qe);b(Po.$$.fragment,no),$r=f(no),bt=a(no,"P",{});var Ss=n(bt);Cr=l(Ss,"The "),Is=a(Ss,"A",{href:!0});var Ed=n(Is);Tr=l(Ed,"ConvNextModel"),Ed.forEach(t),Nr=l(Ss," forward method, overrides the "),oa=a(Ss,"CODE",{});var Id=n(oa);Er=l(Id,"__call__"),Id.forEach(t),Ir=l(Ss," special method."),Ss.forEach(t),Fr=f(no),b(Ot.$$.fragment,no),kr=f(no),b(St.$$.fragment,no),no.forEach(t),Os.forEach(t),tn=f(o),$t=a(o,"H2",{class:!0});var bn=n($t);Rt=a(bn,"A",{id:!0,class:!0,href:!0});var Fd=n(Rt);sa=a(Fd,"SPAN",{});var kd=n(sa);b(jo.$$.fragment,kd),kd.forEach(t),Fd.forEach(t),Pr=f(bn),aa=a(bn,"SPAN",{});var Pd=n(aa);jr=l(Pd,"ConvNextForImageClassification"),Pd.forEach(t),bn.forEach(t),on=f(o),Te=a(o,"DIV",{class:!0});var ro=n(Te);b(Mo.$$.fragment,ro),Mr=f(ro),na=a(ro,"P",{});var jd=n(na);Ar=l(jd,`ConvNext Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),jd.forEach(t),qr=f(ro),Ao=a(ro,"P",{});var $n=n(Ao);zr=l($n,"This model is a PyTorch "),qo=a($n,"A",{href:!0,rel:!0});var Md=n(qo);Dr=l(Md,"torch.nn.Module"),Md.forEach(t),Lr=l($n,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),$n.forEach(t),Or=f(ro),ze=a(ro,"DIV",{class:!0});var lo=n(ze);b(zo.$$.fragment,lo),Sr=f(lo),Ct=a(lo,"P",{});var Rs=n(Ct);Rr=l(Rs,"The "),Fs=a(Rs,"A",{href:!0});var Ad=n(Fs);Ur=l(Ad,"ConvNextForImageClassification"),Ad.forEach(t),Vr=l(Rs," forward method, overrides the "),ra=a(Rs,"CODE",{});var qd=n(ra);Wr=l(qd,"__call__"),qd.forEach(t),Hr=l(Rs," special method."),Rs.forEach(t),Xr=f(lo),b(Ut.$$.fragment,lo),Kr=f(lo),b(Vt.$$.fragment,lo),lo.forEach(t),ro.forEach(t),sn=f(o),Tt=a(o,"H2",{class:!0});var Cn=n(Tt);Wt=a(Cn,"A",{id:!0,class:!0,href:!0});var zd=n(Wt);la=a(zd,"SPAN",{});var Dd=n(la);b(Do.$$.fragment,Dd),Dd.forEach(t),zd.forEach(t),Br=f(Cn),ia=a(Cn,"SPAN",{});var Ld=n(ia);Jr=l(Ld,"TFConvNextModel"),Ld.forEach(t),Cn.forEach(t),an=f(o),me=a(o,"DIV",{class:!0});var pt=n(me);b(Lo.$$.fragment,pt),Gr=f(pt),Oo=a(pt,"P",{});var Tn=n(Oo);Yr=l(Tn,`The bare ConvNext model outputting raw features without any specific head on top.
This model inherits from `),ks=a(Tn,"A",{href:!0});var Od=n(ks);Zr=l(Od,"TFPreTrainedModel"),Od.forEach(t),Qr=l(Tn,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Tn.forEach(t),el=f(pt),So=a(pt,"P",{});var Nn=n(So);tl=l(Nn,"This model is also a "),Ro=a(Nn,"A",{href:!0,rel:!0});var Sd=n(Ro);ol=l(Sd,"tf.keras.Model"),Sd.forEach(t),sl=l(Nn,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Nn.forEach(t),al=f(pt),b(Ht.$$.fragment,pt),nl=f(pt),De=a(pt,"DIV",{class:!0});var io=n(De);b(Uo.$$.fragment,io),rl=f(io),Nt=a(io,"P",{});var Us=n(Nt);ll=l(Us,"The "),Ps=a(Us,"A",{href:!0});var Rd=n(Ps);il=l(Rd,"TFConvNextModel"),Rd.forEach(t),dl=l(Us," forward method, overrides the "),da=a(Us,"CODE",{});var Ud=n(da);cl=l(Ud,"__call__"),Ud.forEach(t),pl=l(Us," special method."),Us.forEach(t),fl=f(io),b(Xt.$$.fragment,io),ml=f(io),b(Kt.$$.fragment,io),io.forEach(t),pt.forEach(t),nn=f(o),Et=a(o,"H2",{class:!0});var En=n(Et);Bt=a(En,"A",{id:!0,class:!0,href:!0});var Vd=n(Bt);ca=a(Vd,"SPAN",{});var Wd=n(ca);b(Vo.$$.fragment,Wd),Wd.forEach(t),Vd.forEach(t),hl=f(En),pa=a(En,"SPAN",{});var Hd=n(pa);ul=l(Hd,"TFConvNextForImageClassification"),Hd.forEach(t),En.forEach(t),rn=f(o),Y=a(o,"DIV",{class:!0});var Ue=n(Y);b(Wo.$$.fragment,Ue),gl=f(Ue),fa=a(Ue,"P",{});var Xd=n(fa);_l=l(Xd,`ConvNext Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),Xd.forEach(t),vl=f(Ue),Ho=a(Ue,"P",{});var In=n(Ho);xl=l(In,"This model inherits from "),js=a(In,"A",{href:!0});var Kd=n(js);wl=l(Kd,"TFPreTrainedModel"),Kd.forEach(t),yl=l(In,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),In.forEach(t),bl=f(Ue),Xo=a(Ue,"P",{});var Fn=n(Xo);$l=l(Fn,"This model is also a "),Ko=a(Fn,"A",{href:!0,rel:!0});var Bd=n(Ko);Cl=l(Bd,"tf.keras.Model"),Bd.forEach(t),Tl=l(Fn,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Fn.forEach(t),Nl=f(Ue),b(Jt.$$.fragment,Ue),El=f(Ue),Le=a(Ue,"DIV",{class:!0});var co=n(Le);b(Bo.$$.fragment,co),Il=f(co),It=a(co,"P",{});var Vs=n(It);Fl=l(Vs,"The "),Ms=a(Vs,"A",{href:!0});var Jd=n(Ms);kl=l(Jd,"TFConvNextForImageClassification"),Jd.forEach(t),Pl=l(Vs," forward method, overrides the "),ma=a(Vs,"CODE",{});var Gd=n(ma);jl=l(Gd,"__call__"),Gd.forEach(t),Ml=l(Vs," special method."),Vs.forEach(t),Al=f(co),b(Gt.$$.fragment,co),ql=f(co),b(Yt.$$.fragment,co),co.forEach(t),Ue.forEach(t),ln=f(o),Ft=a(o,"H2",{class:!0});var kn=n(Ft);Zt=a(kn,"A",{id:!0,class:!0,href:!0});var Yd=n(Zt);ha=a(Yd,"SPAN",{});var Zd=n(ha);b(Jo.$$.fragment,Zd),Zd.forEach(t),Yd.forEach(t),zl=f(kn),ua=a(kn,"SPAN",{});var Qd=n(ua);Dl=l(Qd,"FlaxConvNextModel"),Qd.forEach(t),kn.forEach(t),dn=f(o),U=a(o,"DIV",{class:!0});var ve=n(U);b(Go.$$.fragment,ve),Ll=f(ve),ga=a(ve,"P",{});var ec=n(ga);Ol=l(ec,"The bare ConvNext model outputting raw features without any specific head on top."),ec.forEach(t),Sl=f(ve),Yo=a(ve,"P",{});var Pn=n(Yo);Rl=l(Pn,"This model inherits from "),As=a(Pn,"A",{href:!0});var tc=n(As);Ul=l(tc,"FlaxPreTrainedModel"),tc.forEach(t),Vl=l(Pn,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Pn.forEach(t),Wl=f(ve),Zo=a(ve,"P",{});var jn=n(Zo);Hl=l(jn,"This model is also a Flax Linen "),Qo=a(jn,"A",{href:!0,rel:!0});var oc=n(Qo);Xl=l(oc,"flax.linen.Module"),oc.forEach(t),Kl=l(jn,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),jn.forEach(t),Bl=f(ve),_a=a(ve,"P",{});var sc=n(_a);Jl=l(sc,"Finally, this model supports inherent JAX features such as:"),sc.forEach(t),Gl=f(ve),rt=a(ve,"UL",{});var po=n(rt);va=a(po,"LI",{});var ac=n(va);es=a(ac,"A",{href:!0,rel:!0});var nc=n(es);Yl=l(nc,"Just-In-Time (JIT) compilation"),nc.forEach(t),ac.forEach(t),Zl=f(po),xa=a(po,"LI",{});var rc=n(xa);ts=a(rc,"A",{href:!0,rel:!0});var lc=n(ts);Ql=l(lc,"Automatic Differentiation"),lc.forEach(t),rc.forEach(t),ei=f(po),wa=a(po,"LI",{});var ic=n(wa);os=a(ic,"A",{href:!0,rel:!0});var dc=n(os);ti=l(dc,"Vectorization"),dc.forEach(t),ic.forEach(t),oi=f(po),ya=a(po,"LI",{});var cc=n(ya);ss=a(cc,"A",{href:!0,rel:!0});var pc=n(ss);si=l(pc,"Parallelization"),pc.forEach(t),cc.forEach(t),po.forEach(t),ai=f(ve),Oe=a(ve,"DIV",{class:!0});var fo=n(Oe);b(as.$$.fragment,fo),ni=f(fo),kt=a(fo,"P",{});var Ws=n(kt);ri=l(Ws,"The "),ba=a(Ws,"CODE",{});var fc=n(ba);li=l(fc,"FlaxConvNextPreTrainedModel"),fc.forEach(t),ii=l(Ws," forward method, overrides the "),$a=a(Ws,"CODE",{});var mc=n($a);di=l(mc,"__call__"),mc.forEach(t),ci=l(Ws," special method."),Ws.forEach(t),pi=f(fo),b(Qt.$$.fragment,fo),fi=f(fo),b(eo.$$.fragment,fo),fo.forEach(t),ve.forEach(t),cn=f(o),Pt=a(o,"H2",{class:!0});var Mn=n(Pt);to=a(Mn,"A",{id:!0,class:!0,href:!0});var hc=n(to);Ca=a(hc,"SPAN",{});var uc=n(Ca);b(ns.$$.fragment,uc),uc.forEach(t),hc.forEach(t),mi=f(Mn),Ta=a(Mn,"SPAN",{});var gc=n(Ta);hi=l(gc,"FlaxConvNextForImageClassification"),gc.forEach(t),Mn.forEach(t),pn=f(o),V=a(o,"DIV",{class:!0});var xe=n(V);b(rs.$$.fragment,xe),ui=f(xe),Na=a(xe,"P",{});var _c=n(Na);gi=l(_c,`ConvNext Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),_c.forEach(t),_i=f(xe),ls=a(xe,"P",{});var An=n(ls);vi=l(An,"This model inherits from "),qs=a(An,"A",{href:!0});var vc=n(qs);xi=l(vc,"FlaxPreTrainedModel"),vc.forEach(t),wi=l(An,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),An.forEach(t),yi=f(xe),is=a(xe,"P",{});var qn=n(is);bi=l(qn,"This model is also a Flax Linen "),ds=a(qn,"A",{href:!0,rel:!0});var xc=n(ds);$i=l(xc,"flax.linen.Module"),xc.forEach(t),Ci=l(qn,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),qn.forEach(t),Ti=f(xe),Ea=a(xe,"P",{});var wc=n(Ea);Ni=l(wc,"Finally, this model supports inherent JAX features such as:"),wc.forEach(t),Ei=f(xe),lt=a(xe,"UL",{});var mo=n(lt);Ia=a(mo,"LI",{});var yc=n(Ia);cs=a(yc,"A",{href:!0,rel:!0});var bc=n(cs);Ii=l(bc,"Just-In-Time (JIT) compilation"),bc.forEach(t),yc.forEach(t),Fi=f(mo),Fa=a(mo,"LI",{});var $c=n(Fa);ps=a($c,"A",{href:!0,rel:!0});var Cc=n(ps);ki=l(Cc,"Automatic Differentiation"),Cc.forEach(t),$c.forEach(t),Pi=f(mo),ka=a(mo,"LI",{});var Tc=n(ka);fs=a(Tc,"A",{href:!0,rel:!0});var Nc=n(fs);ji=l(Nc,"Vectorization"),Nc.forEach(t),Tc.forEach(t),Mi=f(mo),Pa=a(mo,"LI",{});var Ec=n(Pa);ms=a(Ec,"A",{href:!0,rel:!0});var Ic=n(ms);Ai=l(Ic,"Parallelization"),Ic.forEach(t),Ec.forEach(t),mo.forEach(t),qi=f(xe),Se=a(xe,"DIV",{class:!0});var ho=n(Se);b(hs.$$.fragment,ho),zi=f(ho),jt=a(ho,"P",{});var Hs=n(jt);Di=l(Hs,"The "),ja=a(Hs,"CODE",{});var Fc=n(ja);Li=l(Fc,"FlaxConvNextPreTrainedModel"),Fc.forEach(t),Oi=l(Hs," forward method, overrides the "),Ma=a(Hs,"CODE",{});var kc=n(Ma);Si=l(kc,"__call__"),kc.forEach(t),Ri=l(Hs," special method."),Hs.forEach(t),Ui=f(ho),b(oo.$$.fragment,ho),Vi=f(ho),b(so.$$.fragment,ho),ho.forEach(t),xe.forEach(t),this.h()},h(){d(c,"name","hf:doc:metadata"),d(c,"content",JSON.stringify(ep)),d(g,"id","convnext"),d(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(g,"href","#convnext"),d(_,"class","relative group"),d(Z,"id","overview"),d(Z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Z,"href","#overview"),d(z,"class","relative group"),d(ae,"href","https://arxiv.org/abs/2201.03545"),d(ae,"rel","nofollow"),qc(ee.src,it="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/convnext_architecture.jpg")||d(ee,"src",it),d(ee,"alt","drawing"),d(ee,"width","600"),d(ue,"href","https://arxiv.org/abs/2201.03545"),d(ie,"href","https://huggingface.co/nielsr"),d(ie,"rel","nofollow"),d(J,"href","https://github.com/ariG23498"),d(J,"rel","nofollow"),d(A,"href","https://github.com/gante"),d(A,"rel","nofollow"),d(x,"href","https://github.com/sayakpaul"),d(x,"rel","nofollow"),d(G,"href","https://github.com/facebookresearch/ConvNeXt"),d(G,"rel","nofollow"),d(ge,"id","resources"),d(ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ge,"href","#resources"),d(ce,"class","relative group"),d(Ae,"href","/docs/transformers/pr_21485/en/model_doc/convnext#transformers.ConvNextForImageClassification"),d(go,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/image-classification"),d(go,"rel","nofollow"),d(_o,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/image_classification.ipynb"),d(_o,"rel","nofollow"),d($s,"href","../tasks/image_classification"),d(Mt,"id","transformers.ConvNextConfig"),d(Mt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Mt,"href","#transformers.ConvNextConfig"),d(gt,"class","relative group"),d(Ts,"href","/docs/transformers/pr_21485/en/model_doc/convnext#transformers.ConvNextModel"),d(wo,"href","https://huggingface.co/facebook/convnext-tiny-224"),d(wo,"rel","nofollow"),d(Ns,"href","/docs/transformers/pr_21485/en/main_classes/configuration#transformers.PretrainedConfig"),d(Es,"href","/docs/transformers/pr_21485/en/main_classes/configuration#transformers.PretrainedConfig"),d(Ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(qt,"id","transformers.ConvNextFeatureExtractor"),d(qt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(qt,"href","#transformers.ConvNextFeatureExtractor"),d(xt,"class","relative group"),d(bo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(zt,"id","transformers.ConvNextImageProcessor"),d(zt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(zt,"href","#transformers.ConvNextImageProcessor"),d(wt,"class","relative group"),d(Dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Lt,"id","transformers.ConvNextModel"),d(Lt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Lt,"href","#transformers.ConvNextModel"),d(yt,"class","relative group"),d(ko,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(ko,"rel","nofollow"),d(Is,"href","/docs/transformers/pr_21485/en/model_doc/convnext#transformers.ConvNextModel"),d(qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Rt,"id","transformers.ConvNextForImageClassification"),d(Rt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Rt,"href","#transformers.ConvNextForImageClassification"),d($t,"class","relative group"),d(qo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(qo,"rel","nofollow"),d(Fs,"href","/docs/transformers/pr_21485/en/model_doc/convnext#transformers.ConvNextForImageClassification"),d(ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Wt,"id","transformers.TFConvNextModel"),d(Wt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Wt,"href","#transformers.TFConvNextModel"),d(Tt,"class","relative group"),d(ks,"href","/docs/transformers/pr_21485/en/main_classes/model#transformers.TFPreTrainedModel"),d(Ro,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),d(Ro,"rel","nofollow"),d(Ps,"href","/docs/transformers/pr_21485/en/model_doc/convnext#transformers.TFConvNextModel"),d(De,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Bt,"id","transformers.TFConvNextForImageClassification"),d(Bt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Bt,"href","#transformers.TFConvNextForImageClassification"),d(Et,"class","relative group"),d(js,"href","/docs/transformers/pr_21485/en/main_classes/model#transformers.TFPreTrainedModel"),d(Ko,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),d(Ko,"rel","nofollow"),d(Ms,"href","/docs/transformers/pr_21485/en/model_doc/convnext#transformers.TFConvNextForImageClassification"),d(Le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Zt,"id","transformers.FlaxConvNextModel"),d(Zt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Zt,"href","#transformers.FlaxConvNextModel"),d(Ft,"class","relative group"),d(As,"href","/docs/transformers/pr_21485/en/main_classes/model#transformers.FlaxPreTrainedModel"),d(Qo,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),d(Qo,"rel","nofollow"),d(es,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),d(es,"rel","nofollow"),d(ts,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),d(ts,"rel","nofollow"),d(os,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),d(os,"rel","nofollow"),d(ss,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),d(ss,"rel","nofollow"),d(Oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(to,"id","transformers.FlaxConvNextForImageClassification"),d(to,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(to,"href","#transformers.FlaxConvNextForImageClassification"),d(Pt,"class","relative group"),d(qs,"href","/docs/transformers/pr_21485/en/main_classes/model#transformers.FlaxPreTrainedModel"),d(ds,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),d(ds,"rel","nofollow"),d(cs,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),d(cs,"rel","nofollow"),d(ps,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),d(ps,"rel","nofollow"),d(fs,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),d(fs,"rel","nofollow"),d(ms,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),d(ms,"rel","nofollow"),d(Se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,u){e(document.head,c),h(o,w,u),h(o,_,u),e(_,g),e(g,v),$(i,v,null),e(_,m),e(_,I),e(I,We),h(o,Ne,u),h(o,z,u),e(z,Z),e(Z,se),$(E,se,null),e(z,He),e(z,K),e(K,Xe),h(o,Ee,u),h(o,O,u),e(O,Ke),e(O,ae),e(ae,ne),e(O,Be),h(o,Ie,u),h(o,W,u),e(W,Je),h(o,Fe,u),h(o,H,u),e(H,we),e(we,Ge),h(o,he,u),h(o,j,u),e(j,D),h(o,ke,u),h(o,X,u),e(X,ye),e(ye,Ye),h(o,Q,u),h(o,ee,u),h(o,q,u),h(o,te,u),e(te,re),e(te,ue),e(ue,Ze),e(te,le),h(o,Pe,u),h(o,M,u),e(M,B),e(M,ie),e(ie,de),e(M,Qe),e(M,J),e(J,L),e(M,et),e(M,A),e(A,tt),e(M,ot),e(M,x),e(x,F),e(M,ft),e(M,G),e(G,mt),e(M,ht),h(o,P,u),h(o,ce,u),e(ce,ge),e(ge,st),$(be,st,null),e(ce,ut),e(ce,R),e(R,pe),h(o,dt,u),h(o,je,u),e(je,fe),h(o,ct,u),$($e,o,u),h(o,Me,u),h(o,_e,u),e(_e,S),e(S,Ae),e(Ae,zn),e(S,Dn),e(S,go),e(go,Ln),e(S,On),e(S,_o),e(_o,Sn),e(S,Rn),e(_e,Un),e(_e,bs),e(bs,Vn),e(bs,$s),e($s,Wn),h(o,Xa,u),h(o,Cs,u),e(Cs,Hn),h(o,Ka,u),h(o,gt,u),e(gt,Mt),e(Mt,Xs),$(vo,Xs,null),e(gt,Xn),e(gt,Ks),e(Ks,Kn),h(o,Ba,u),h(o,Ce,u),$(xo,Ce,null),e(Ce,Bn),e(Ce,_t),e(_t,Jn),e(_t,Ts),e(Ts,Gn),e(_t,Yn),e(_t,wo),e(wo,Zn),e(_t,Qn),e(Ce,er),e(Ce,vt),e(vt,tr),e(vt,Ns),e(Ns,or),e(vt,sr),e(vt,Es),e(Es,ar),e(vt,nr),e(Ce,rr),$(At,Ce,null),h(o,Ja,u),h(o,xt,u),e(xt,qt),e(qt,Bs),$(yo,Bs,null),e(xt,lr),e(xt,Js),e(Js,ir),h(o,Ga,u),h(o,bo,u),$($o,bo,null),h(o,Ya,u),h(o,wt,u),e(wt,zt),e(zt,Gs),$(Co,Gs,null),e(wt,dr),e(wt,Ys),e(Ys,cr),h(o,Za,u),h(o,at,u),$(To,at,null),e(at,pr),e(at,Zs),e(Zs,fr),e(at,mr),e(at,Dt),$(No,Dt,null),e(Dt,hr),e(Dt,Qs),e(Qs,ur),h(o,Qa,u),h(o,yt,u),e(yt,Lt),e(Lt,ea),$(Eo,ea,null),e(yt,gr),e(yt,ta),e(ta,_r),h(o,en,u),h(o,nt,u),$(Io,nt,null),e(nt,vr),e(nt,Fo),e(Fo,xr),e(Fo,ko),e(ko,wr),e(Fo,yr),e(nt,br),e(nt,qe),$(Po,qe,null),e(qe,$r),e(qe,bt),e(bt,Cr),e(bt,Is),e(Is,Tr),e(bt,Nr),e(bt,oa),e(oa,Er),e(bt,Ir),e(qe,Fr),$(Ot,qe,null),e(qe,kr),$(St,qe,null),h(o,tn,u),h(o,$t,u),e($t,Rt),e(Rt,sa),$(jo,sa,null),e($t,Pr),e($t,aa),e(aa,jr),h(o,on,u),h(o,Te,u),$(Mo,Te,null),e(Te,Mr),e(Te,na),e(na,Ar),e(Te,qr),e(Te,Ao),e(Ao,zr),e(Ao,qo),e(qo,Dr),e(Ao,Lr),e(Te,Or),e(Te,ze),$(zo,ze,null),e(ze,Sr),e(ze,Ct),e(Ct,Rr),e(Ct,Fs),e(Fs,Ur),e(Ct,Vr),e(Ct,ra),e(ra,Wr),e(Ct,Hr),e(ze,Xr),$(Ut,ze,null),e(ze,Kr),$(Vt,ze,null),h(o,sn,u),h(o,Tt,u),e(Tt,Wt),e(Wt,la),$(Do,la,null),e(Tt,Br),e(Tt,ia),e(ia,Jr),h(o,an,u),h(o,me,u),$(Lo,me,null),e(me,Gr),e(me,Oo),e(Oo,Yr),e(Oo,ks),e(ks,Zr),e(Oo,Qr),e(me,el),e(me,So),e(So,tl),e(So,Ro),e(Ro,ol),e(So,sl),e(me,al),$(Ht,me,null),e(me,nl),e(me,De),$(Uo,De,null),e(De,rl),e(De,Nt),e(Nt,ll),e(Nt,Ps),e(Ps,il),e(Nt,dl),e(Nt,da),e(da,cl),e(Nt,pl),e(De,fl),$(Xt,De,null),e(De,ml),$(Kt,De,null),h(o,nn,u),h(o,Et,u),e(Et,Bt),e(Bt,ca),$(Vo,ca,null),e(Et,hl),e(Et,pa),e(pa,ul),h(o,rn,u),h(o,Y,u),$(Wo,Y,null),e(Y,gl),e(Y,fa),e(fa,_l),e(Y,vl),e(Y,Ho),e(Ho,xl),e(Ho,js),e(js,wl),e(Ho,yl),e(Y,bl),e(Y,Xo),e(Xo,$l),e(Xo,Ko),e(Ko,Cl),e(Xo,Tl),e(Y,Nl),$(Jt,Y,null),e(Y,El),e(Y,Le),$(Bo,Le,null),e(Le,Il),e(Le,It),e(It,Fl),e(It,Ms),e(Ms,kl),e(It,Pl),e(It,ma),e(ma,jl),e(It,Ml),e(Le,Al),$(Gt,Le,null),e(Le,ql),$(Yt,Le,null),h(o,ln,u),h(o,Ft,u),e(Ft,Zt),e(Zt,ha),$(Jo,ha,null),e(Ft,zl),e(Ft,ua),e(ua,Dl),h(o,dn,u),h(o,U,u),$(Go,U,null),e(U,Ll),e(U,ga),e(ga,Ol),e(U,Sl),e(U,Yo),e(Yo,Rl),e(Yo,As),e(As,Ul),e(Yo,Vl),e(U,Wl),e(U,Zo),e(Zo,Hl),e(Zo,Qo),e(Qo,Xl),e(Zo,Kl),e(U,Bl),e(U,_a),e(_a,Jl),e(U,Gl),e(U,rt),e(rt,va),e(va,es),e(es,Yl),e(rt,Zl),e(rt,xa),e(xa,ts),e(ts,Ql),e(rt,ei),e(rt,wa),e(wa,os),e(os,ti),e(rt,oi),e(rt,ya),e(ya,ss),e(ss,si),e(U,ai),e(U,Oe),$(as,Oe,null),e(Oe,ni),e(Oe,kt),e(kt,ri),e(kt,ba),e(ba,li),e(kt,ii),e(kt,$a),e($a,di),e(kt,ci),e(Oe,pi),$(Qt,Oe,null),e(Oe,fi),$(eo,Oe,null),h(o,cn,u),h(o,Pt,u),e(Pt,to),e(to,Ca),$(ns,Ca,null),e(Pt,mi),e(Pt,Ta),e(Ta,hi),h(o,pn,u),h(o,V,u),$(rs,V,null),e(V,ui),e(V,Na),e(Na,gi),e(V,_i),e(V,ls),e(ls,vi),e(ls,qs),e(qs,xi),e(ls,wi),e(V,yi),e(V,is),e(is,bi),e(is,ds),e(ds,$i),e(is,Ci),e(V,Ti),e(V,Ea),e(Ea,Ni),e(V,Ei),e(V,lt),e(lt,Ia),e(Ia,cs),e(cs,Ii),e(lt,Fi),e(lt,Fa),e(Fa,ps),e(ps,ki),e(lt,Pi),e(lt,ka),e(ka,fs),e(fs,ji),e(lt,Mi),e(lt,Pa),e(Pa,ms),e(ms,Ai),e(V,qi),e(V,Se),$(hs,Se,null),e(Se,zi),e(Se,jt),e(jt,Di),e(jt,ja),e(ja,Li),e(jt,Oi),e(jt,Ma),e(Ma,Si),e(jt,Ri),e(Se,Ui),$(oo,Se,null),e(Se,Vi),$(so,Se,null),fn=!0},p(o,[u]){const us={};u&2&&(us.$$scope={dirty:u,ctx:o}),At.$set(us);const Aa={};u&2&&(Aa.$$scope={dirty:u,ctx:o}),Ot.$set(Aa);const qa={};u&2&&(qa.$$scope={dirty:u,ctx:o}),St.$set(qa);const za={};u&2&&(za.$$scope={dirty:u,ctx:o}),Ut.$set(za);const gs={};u&2&&(gs.$$scope={dirty:u,ctx:o}),Vt.$set(gs);const Da={};u&2&&(Da.$$scope={dirty:u,ctx:o}),Ht.$set(Da);const La={};u&2&&(La.$$scope={dirty:u,ctx:o}),Xt.$set(La);const Oa={};u&2&&(Oa.$$scope={dirty:u,ctx:o}),Kt.$set(Oa);const _s={};u&2&&(_s.$$scope={dirty:u,ctx:o}),Jt.$set(_s);const Sa={};u&2&&(Sa.$$scope={dirty:u,ctx:o}),Gt.$set(Sa);const Ra={};u&2&&(Ra.$$scope={dirty:u,ctx:o}),Yt.$set(Ra);const Ua={};u&2&&(Ua.$$scope={dirty:u,ctx:o}),Qt.$set(Ua);const Va={};u&2&&(Va.$$scope={dirty:u,ctx:o}),eo.$set(Va);const Wa={};u&2&&(Wa.$$scope={dirty:u,ctx:o}),oo.$set(Wa);const Ha={};u&2&&(Ha.$$scope={dirty:u,ctx:o}),so.$set(Ha)},i(o){fn||(C(i.$$.fragment,o),C(E.$$.fragment,o),C(be.$$.fragment,o),C($e.$$.fragment,o),C(vo.$$.fragment,o),C(xo.$$.fragment,o),C(At.$$.fragment,o),C(yo.$$.fragment,o),C($o.$$.fragment,o),C(Co.$$.fragment,o),C(To.$$.fragment,o),C(No.$$.fragment,o),C(Eo.$$.fragment,o),C(Io.$$.fragment,o),C(Po.$$.fragment,o),C(Ot.$$.fragment,o),C(St.$$.fragment,o),C(jo.$$.fragment,o),C(Mo.$$.fragment,o),C(zo.$$.fragment,o),C(Ut.$$.fragment,o),C(Vt.$$.fragment,o),C(Do.$$.fragment,o),C(Lo.$$.fragment,o),C(Ht.$$.fragment,o),C(Uo.$$.fragment,o),C(Xt.$$.fragment,o),C(Kt.$$.fragment,o),C(Vo.$$.fragment,o),C(Wo.$$.fragment,o),C(Jt.$$.fragment,o),C(Bo.$$.fragment,o),C(Gt.$$.fragment,o),C(Yt.$$.fragment,o),C(Jo.$$.fragment,o),C(Go.$$.fragment,o),C(as.$$.fragment,o),C(Qt.$$.fragment,o),C(eo.$$.fragment,o),C(ns.$$.fragment,o),C(rs.$$.fragment,o),C(hs.$$.fragment,o),C(oo.$$.fragment,o),C(so.$$.fragment,o),fn=!0)},o(o){T(i.$$.fragment,o),T(E.$$.fragment,o),T(be.$$.fragment,o),T($e.$$.fragment,o),T(vo.$$.fragment,o),T(xo.$$.fragment,o),T(At.$$.fragment,o),T(yo.$$.fragment,o),T($o.$$.fragment,o),T(Co.$$.fragment,o),T(To.$$.fragment,o),T(No.$$.fragment,o),T(Eo.$$.fragment,o),T(Io.$$.fragment,o),T(Po.$$.fragment,o),T(Ot.$$.fragment,o),T(St.$$.fragment,o),T(jo.$$.fragment,o),T(Mo.$$.fragment,o),T(zo.$$.fragment,o),T(Ut.$$.fragment,o),T(Vt.$$.fragment,o),T(Do.$$.fragment,o),T(Lo.$$.fragment,o),T(Ht.$$.fragment,o),T(Uo.$$.fragment,o),T(Xt.$$.fragment,o),T(Kt.$$.fragment,o),T(Vo.$$.fragment,o),T(Wo.$$.fragment,o),T(Jt.$$.fragment,o),T(Bo.$$.fragment,o),T(Gt.$$.fragment,o),T(Yt.$$.fragment,o),T(Jo.$$.fragment,o),T(Go.$$.fragment,o),T(as.$$.fragment,o),T(Qt.$$.fragment,o),T(eo.$$.fragment,o),T(ns.$$.fragment,o),T(rs.$$.fragment,o),T(hs.$$.fragment,o),T(oo.$$.fragment,o),T(so.$$.fragment,o),fn=!1},d(o){t(c),o&&t(w),o&&t(_),N(i),o&&t(Ne),o&&t(z),N(E),o&&t(Ee),o&&t(O),o&&t(Ie),o&&t(W),o&&t(Fe),o&&t(H),o&&t(he),o&&t(j),o&&t(ke),o&&t(X),o&&t(Q),o&&t(ee),o&&t(q),o&&t(te),o&&t(Pe),o&&t(M),o&&t(P),o&&t(ce),N(be),o&&t(dt),o&&t(je),o&&t(ct),N($e,o),o&&t(Me),o&&t(_e),o&&t(Xa),o&&t(Cs),o&&t(Ka),o&&t(gt),N(vo),o&&t(Ba),o&&t(Ce),N(xo),N(At),o&&t(Ja),o&&t(xt),N(yo),o&&t(Ga),o&&t(bo),N($o),o&&t(Ya),o&&t(wt),N(Co),o&&t(Za),o&&t(at),N(To),N(No),o&&t(Qa),o&&t(yt),N(Eo),o&&t(en),o&&t(nt),N(Io),N(Po),N(Ot),N(St),o&&t(tn),o&&t($t),N(jo),o&&t(on),o&&t(Te),N(Mo),N(zo),N(Ut),N(Vt),o&&t(sn),o&&t(Tt),N(Do),o&&t(an),o&&t(me),N(Lo),N(Ht),N(Uo),N(Xt),N(Kt),o&&t(nn),o&&t(Et),N(Vo),o&&t(rn),o&&t(Y),N(Wo),N(Jt),N(Bo),N(Gt),N(Yt),o&&t(ln),o&&t(Ft),N(Jo),o&&t(dn),o&&t(U),N(Go),N(as),N(Qt),N(eo),o&&t(cn),o&&t(Pt),N(ns),o&&t(pn),o&&t(V),N(rs),N(hs),N(oo),N(so)}}}const ep={local:"convnext",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.ConvNextConfig",title:"ConvNextConfig"},{local:"transformers.ConvNextFeatureExtractor",title:"ConvNextFeatureExtractor"},{local:"transformers.ConvNextImageProcessor",title:"ConvNextImageProcessor"},{local:"transformers.ConvNextModel",title:"ConvNextModel"},{local:"transformers.ConvNextForImageClassification",title:"ConvNextForImageClassification"},{local:"transformers.TFConvNextModel",title:"TFConvNextModel"},{local:"transformers.TFConvNextForImageClassification",title:"TFConvNextForImageClassification"},{local:"transformers.FlaxConvNextModel",title:"FlaxConvNextModel"},{local:"transformers.FlaxConvNextForImageClassification",title:"FlaxConvNextForImageClassification"}],title:"ConvNeXT"};function tp(k){return zc(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class dp extends Pc{constructor(c){super();jc(this,c,tp,Qc,Mc,{})}}export{dp as default,ep as metadata};
