import{S as Kn,i as Gn,s as Yn,e as r,k as c,w as T,t as n,M as Jn,c as s,d as o,m,a,x as b,h as i,b as d,N as Xn,G as e,g as f,y as P,q as y,o as w,B as D,v as Qn,L as _r}from"../../chunks/vendor-hf-doc-builder.js";import{T as Aa}from"../../chunks/Tip-hf-doc-builder.js";import{D as I}from"../../chunks/Docstring-hf-doc-builder.js";import{C as vr}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as re}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as gr}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Zn(x){let h,$,_,u,v;return u=new vr({props:{code:`from transformers import DPTModel, DPTConfig

# Initializing a DPT dpt-large style configuration
configuration = DPTConfig()

# Initializing a model from the dpt-large style configuration
model = DPTModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> DPTModel, DPTConfig

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a DPT dpt-large style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = DPTConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model from the dpt-large style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = DPTModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){h=r("p"),$=n("Example:"),_=c(),T(u.$$.fragment)},l(l){h=s(l,"P",{});var g=a(h);$=i(g,"Example:"),g.forEach(o),_=m(l),b(u.$$.fragment,l)},m(l,g){f(l,h,g),e(h,$),f(l,_,g),P(u,l,g),v=!0},p:_r,i(l){v||(y(u.$$.fragment,l),v=!0)},o(l){w(u.$$.fragment,l),v=!1},d(l){l&&o(h),l&&o(_),D(u,l)}}}function ei(x){let h,$,_,u,v;return{c(){h=r("p"),$=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r("code"),u=n("Module"),v=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){h=s(l,"P",{});var g=a(h);$=i(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(g,"CODE",{});var E=a(_);u=i(E,"Module"),E.forEach(o),v=i(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(l,g){f(l,h,g),e(h,$),e(h,_),e(_,u),e(h,v)},d(l){l&&o(h)}}}function ti(x){let h,$,_,u,v;return u=new vr({props:{code:`from transformers import AutoImageProcessor, DPTModel
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("Intel/dpt-large")
model = DPTModel.from_pretrained("Intel/dpt-large")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, DPTModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;Intel/dpt-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = DPTModel.from_pretrained(<span class="hljs-string">&quot;Intel/dpt-large&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">577</span>, <span class="hljs-number">1024</span>]`}}),{c(){h=r("p"),$=n("Example:"),_=c(),T(u.$$.fragment)},l(l){h=s(l,"P",{});var g=a(h);$=i(g,"Example:"),g.forEach(o),_=m(l),b(u.$$.fragment,l)},m(l,g){f(l,h,g),e(h,$),f(l,_,g),P(u,l,g),v=!0},p:_r,i(l){v||(y(u.$$.fragment,l),v=!0)},o(l){w(u.$$.fragment,l),v=!1},d(l){l&&o(h),l&&o(_),D(u,l)}}}function oi(x){let h,$,_,u,v;return{c(){h=r("p"),$=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r("code"),u=n("Module"),v=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){h=s(l,"P",{});var g=a(h);$=i(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(g,"CODE",{});var E=a(_);u=i(E,"Module"),E.forEach(o),v=i(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(l,g){f(l,h,g),e(h,$),e(h,_),e(_,u),e(h,v)},d(l){l&&o(h)}}}function ri(x){let h,$,_,u,v;return u=new vr({props:{code:`from transformers import AutoImageProcessor, DPTForDepthEstimation
import torch
import numpy as np
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("Intel/dpt-large")
model = DPTForDepthEstimation.from_pretrained("Intel/dpt-large")

# prepare image for the model
inputs = image_processor(images=image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)
    predicted_depth = outputs.predicted_depth

# interpolate to original size
prediction = torch.nn.functional.interpolate(
    predicted_depth.unsqueeze(1),
    size=image.size[::-1],
    mode="bicubic",
    align_corners=False,
)

# visualize the prediction
output = prediction.squeeze().cpu().numpy()
formatted = (output * 255 / np.max(output)).astype("uint8")
depth = Image.fromarray(formatted)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, DPTForDepthEstimation
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> numpy <span class="hljs-keyword">as</span> np
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;Intel/dpt-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = DPTForDepthEstimation.from_pretrained(<span class="hljs-string">&quot;Intel/dpt-large&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># prepare image for the model</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)
<span class="hljs-meta">... </span>    predicted_depth = outputs.predicted_depth

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># interpolate to original size</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>prediction = torch.nn.functional.interpolate(
<span class="hljs-meta">... </span>    predicted_depth.unsqueeze(<span class="hljs-number">1</span>),
<span class="hljs-meta">... </span>    size=image.size[::-<span class="hljs-number">1</span>],
<span class="hljs-meta">... </span>    mode=<span class="hljs-string">&quot;bicubic&quot;</span>,
<span class="hljs-meta">... </span>    align_corners=<span class="hljs-literal">False</span>,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># visualize the prediction</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>output = prediction.squeeze().cpu().numpy()
<span class="hljs-meta">&gt;&gt;&gt; </span>formatted = (output * <span class="hljs-number">255</span> / np.<span class="hljs-built_in">max</span>(output)).astype(<span class="hljs-string">&quot;uint8&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>depth = Image.fromarray(formatted)`}}),{c(){h=r("p"),$=n("Examples:"),_=c(),T(u.$$.fragment)},l(l){h=s(l,"P",{});var g=a(h);$=i(g,"Examples:"),g.forEach(o),_=m(l),b(u.$$.fragment,l)},m(l,g){f(l,h,g),e(h,$),f(l,_,g),P(u,l,g),v=!0},p:_r,i(l){v||(y(u.$$.fragment,l),v=!0)},o(l){w(u.$$.fragment,l),v=!1},d(l){l&&o(h),l&&o(_),D(u,l)}}}function si(x){let h,$,_,u,v;return{c(){h=r("p"),$=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r("code"),u=n("Module"),v=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){h=s(l,"P",{});var g=a(h);$=i(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(g,"CODE",{});var E=a(_);u=i(E,"Module"),E.forEach(o),v=i(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(l,g){f(l,h,g),e(h,$),e(h,_),e(_,u),e(h,v)},d(l){l&&o(h)}}}function ai(x){let h,$,_,u,v;return u=new vr({props:{code:`from transformers import AutoImageProcessor, DPTForSemanticSegmentation
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("Intel/dpt-large-ade")
model = DPTForSemanticSegmentation.from_pretrained("Intel/dpt-large-ade")

inputs = image_processor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, DPTForSemanticSegmentation
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;Intel/dpt-large-ade&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = DPTForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;Intel/dpt-large-ade&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){h=r("p"),$=n("Examples:"),_=c(),T(u.$$.fragment)},l(l){h=s(l,"P",{});var g=a(h);$=i(g,"Examples:"),g.forEach(o),_=m(l),b(u.$$.fragment,l)},m(l,g){f(l,h,g),e(h,$),f(l,_,g),P(u,l,g),v=!0},p:_r,i(l){v||(y(u.$$.fragment,l),v=!0)},o(l){w(u.$$.fragment,l),v=!1},d(l){l&&o(h),l&&o(_),D(u,l)}}}function ni(x){let h,$,_,u,v,l,g,E,Tr,Eo,V,se,Ht,Se,br,Bt,Pr,Io,N,yr,je,wr,Dr,gt,$r,xr,zo,_t,kr,Fo,vt,Kt,Er,So,ae,Ma,jo,ne,Ir,Ce,zr,Fr,Co,L,Sr,Ae,jr,Cr,Me,Ar,Mr,Ao,W,ie,Gt,qe,qr,Yt,Nr,Mo,Tt,Lr,qo,O,Jt,U,Or,bt,Rr,Vr,Ne,Wr,Ur,Hr,Xt,Qt,Pt,Br,Kr,Zt,eo,yt,Gr,No,wt,Yr,Lo,H,le,to,Le,Jr,oo,Xr,Oo,k,Oe,Qr,B,Zr,Dt,es,ts,Re,os,rs,ss,K,as,$t,ns,is,xt,ls,ds,cs,de,ms,ce,Ve,ps,G,hs,kt,fs,us,ro,gs,_s,Ro,Y,me,so,We,vs,ao,Ts,Vo,M,Ue,bs,pe,He,Ps,no,ys,ws,he,Be,Ds,Ke,$s,Et,xs,ks,Wo,J,fe,io,Ge,Es,lo,Is,Uo,z,Ye,zs,co,Fs,Ss,ue,Je,js,mo,Cs,As,ge,Xe,Ms,Qe,qs,It,Ns,Ls,Ho,X,_e,po,Ze,Os,ho,Rs,Bo,q,et,Vs,tt,Ws,ot,Us,Hs,Bs,j,rt,Ks,Q,Gs,zt,Ys,Js,fo,Xs,Qs,Zs,ve,ea,Te,Ko,Z,be,uo,st,ta,go,oa,Go,F,at,ra,_o,sa,aa,nt,na,it,ia,la,da,C,lt,ca,ee,ma,Ft,pa,ha,vo,fa,ua,ga,Pe,_a,ye,Yo,te,we,To,dt,va,bo,Ta,Jo,S,ct,ba,Po,Pa,ya,mt,wa,pt,Da,$a,xa,A,ht,ka,oe,Ea,St,Ia,za,yo,Fa,Sa,ja,De,Ca,$e,Xo;return l=new re({}),Se=new re({}),qe=new re({}),Le=new re({}),Oe=new I({props:{name:"class transformers.DPTConfig",anchor:"transformers.DPTConfig",parameters:[{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.0"},{name:"attention_probs_dropout_prob",val:" = 0.0"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"image_size",val:" = 384"},{name:"patch_size",val:" = 16"},{name:"num_channels",val:" = 3"},{name:"is_hybrid",val:" = False"},{name:"qkv_bias",val:" = True"},{name:"backbone_out_indices",val:" = [2, 5, 8, 11]"},{name:"readout_type",val:" = 'project'"},{name:"reassemble_factors",val:" = [4, 2, 1, 0.5]"},{name:"neck_hidden_sizes",val:" = [96, 192, 384, 768]"},{name:"fusion_hidden_size",val:" = 256"},{name:"head_in_index",val:" = -1"},{name:"use_batch_norm_in_fusion_residual",val:" = False"},{name:"use_auxiliary_head",val:" = True"},{name:"auxiliary_loss_weight",val:" = 0.4"},{name:"semantic_loss_ignore_index",val:" = 255"},{name:"semantic_classifier_dropout",val:" = 0.1"},{name:"backbone_featmap_shape",val:" = [1, 1024, 24, 24]"},{name:"neck_ignore_stages",val:" = [0, 1]"},{name:"backbone_config",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DPTConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.DPTConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.DPTConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.DPTConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.DPTConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.DPTConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probabilitiy for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.DPTConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.DPTConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.DPTConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.DPTConfig.image_size",description:`<strong>image_size</strong> (<code>int</code>, <em>optional</em>, defaults to 384) &#x2014;
The size (resolution) of each image.`,name:"image_size"},{anchor:"transformers.DPTConfig.patch_size",description:`<strong>patch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
The size (resolution) of each patch.`,name:"patch_size"},{anchor:"transformers.DPTConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.DPTConfig.qkv_bias",description:`<strong>qkv_bias</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to add a bias to the queries, keys and values.`,name:"qkv_bias"},{anchor:"transformers.DPTConfig.backbone_out_indices",description:`<strong>backbone_out_indices</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[2, 5, 8, 11]</code>) &#x2014;
Indices of the intermediate hidden states to use from backbone.`,name:"backbone_out_indices"},{anchor:"transformers.DPTConfig.readout_type",description:`<strong>readout_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;project&quot;</code>) &#x2014;
The readout type to use when processing the readout token (CLS token) of the intermediate hidden states of
the ViT backbone. Can be one of [<code>&quot;ignore&quot;</code>, <code>&quot;add&quot;</code>, <code>&quot;project&quot;</code>].</p>
<ul>
<li>&#x201C;ignore&#x201D; simply ignores the CLS token.</li>
<li>&#x201C;add&#x201D; passes the information from the CLS token to all other tokens by adding the representations.</li>
<li>&#x201C;project&#x201D; passes information to the other tokens by concatenating the readout to all other tokens before
projecting the
representation to the original feature dimension D using a linear layer followed by a GELU non-linearity.</li>
</ul>`,name:"readout_type"},{anchor:"transformers.DPTConfig.is_hybrid",description:`<strong>is_hybrid</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use a hybrid backbone. Useful in the context of loading DPT-Hybrid models.`,name:"is_hybrid"},{anchor:"transformers.DPTConfig.reassemble_factors",description:`<strong>reassemble_factors</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[4, 2, 1, 0.5]</code>) &#x2014;
The up/downsampling factors of the reassemble layers.`,name:"reassemble_factors"},{anchor:"transformers.DPTConfig.neck_hidden_sizes",description:`<strong>neck_hidden_sizes</strong> (<code>List[str]</code>, <em>optional</em>, defaults to [96, 192, 384, 768]) &#x2014;
The hidden sizes to project to for the feature maps of the backbone.`,name:"neck_hidden_sizes"},{anchor:"transformers.DPTConfig.fusion_hidden_size",description:`<strong>fusion_hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
The number of channels before fusion.`,name:"fusion_hidden_size"},{anchor:"transformers.DPTConfig.head_in_index",description:`<strong>head_in_index</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
The index of the features to use in the heads.`,name:"head_in_index"},{anchor:"transformers.DPTConfig.use_batch_norm_in_fusion_residual",description:`<strong>use_batch_norm_in_fusion_residual</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use batch normalization in the pre-activate residual units of the fusion blocks.`,name:"use_batch_norm_in_fusion_residual"},{anchor:"transformers.DPTConfig.use_auxiliary_head",description:`<strong>use_auxiliary_head</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to use an auxiliary head during training.`,name:"use_auxiliary_head"},{anchor:"transformers.DPTConfig.auxiliary_loss_weight",description:`<strong>auxiliary_loss_weight</strong> (<code>float</code>, <em>optional</em>, defaults to 0.4) &#x2014;
Weight of the cross-entropy loss of the auxiliary head.`,name:"auxiliary_loss_weight"},{anchor:"transformers.DPTConfig.semantic_loss_ignore_index",description:`<strong>semantic_loss_ignore_index</strong> (<code>int</code>, <em>optional</em>, defaults to 255) &#x2014;
The index that is ignored by the loss function of the semantic segmentation model.`,name:"semantic_loss_ignore_index"},{anchor:"transformers.DPTConfig.semantic_classifier_dropout",description:`<strong>semantic_classifier_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the semantic classification head.`,name:"semantic_classifier_dropout"},{anchor:"transformers.DPTConfig.backbone_featmap_shape",description:`<strong>backbone_featmap_shape</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[1, 1024, 24, 24]</code>) &#x2014;
Used only for the <code>hybrid</code> embedding type. The shape of the feature maps of the backbone.`,name:"backbone_featmap_shape"},{anchor:"transformers.DPTConfig.neck_ignore_stages",description:`<strong>neck_ignore_stages</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[0, 1]</code>) &#x2014;
Used only for the <code>hybrid</code> embedding type. The stages of the readout layers to ignore.`,name:"neck_ignore_stages"},{anchor:"transformers.DPTConfig.backbone_config",description:`<strong>backbone_config</strong> (<code>Union[Dict[str, Any], PretrainedConfig]</code>, <em>optional</em>) &#x2014;
Used only for the <code>hybrid</code> embedding type. The configuration of the backbone in a dictionary.`,name:"backbone_config"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/dpt/configuration_dpt.py#L32"}}),de=new gr({props:{anchor:"transformers.DPTConfig.example",$$slots:{default:[Zn]},$$scope:{ctx:x}}}),Ve=new I({props:{name:"to_dict",anchor:"transformers.DPTConfig.to_dict",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/dpt/configuration_dpt.py#L220"}}),We=new re({}),Ue=new I({props:{name:"class transformers.DPTFeatureExtractor",anchor:"transformers.DPTFeatureExtractor",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/dpt/feature_extraction_dpt.py#L26"}}),He=new I({props:{name:"__call__",anchor:"transformers.DPTFeatureExtractor.__call__",parameters:[{name:"images",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/image_processing_utils.py#L462"}}),Be=new I({props:{name:"post_process_semantic_segmentation",anchor:"transformers.DPTFeatureExtractor.post_process_semantic_segmentation",parameters:[{name:"outputs",val:""},{name:"target_sizes",val:": typing.List[typing.Tuple] = None"}],parametersDescription:[{anchor:"transformers.DPTFeatureExtractor.post_process_semantic_segmentation.outputs",description:`<strong>outputs</strong> (<a href="/docs/transformers/pr_21485/en/model_doc/dpt#transformers.DPTForSemanticSegmentation">DPTForSemanticSegmentation</a>) &#x2014;
Raw outputs of the model.`,name:"outputs"},{anchor:"transformers.DPTFeatureExtractor.post_process_semantic_segmentation.target_sizes",description:`<strong>target_sizes</strong> (<code>List[Tuple]</code> of length <code>batch_size</code>, <em>optional</em>) &#x2014;
List of tuples corresponding to the requested final size (height, width) of each prediction. If unset,
predictions will not be resized.`,name:"target_sizes"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/dpt/image_processing_dpt.py#L342",returnDescription:`
<p><code>List[torch.Tensor]</code> of length <code>batch_size</code>, where each item is a semantic
segmentation map of shape (height, width) corresponding to the target_sizes entry (if <code>target_sizes</code> is
specified). Each entry of each <code>torch.Tensor</code> correspond to a semantic class id.</p>
`,returnType:`
<p>semantic_segmentation</p>
`}}),Ge=new re({}),Ye=new I({props:{name:"class transformers.DPTImageProcessor",anchor:"transformers.DPTImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"resample",val:": Resampling = <Resampling.BILINEAR: 2>"},{name:"keep_aspect_ratio",val:": bool = False"},{name:"ensure_multiple_of",val:": int = 1"},{name:"do_rescale",val:": bool = True"},{name:"rescale_factor",val:": typing.Union[int, float] = 0.00392156862745098"},{name:"do_normalize",val:": bool = True"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DPTImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to resize the image&#x2019;s (height, width) dimensions. Can be overidden by <code>do_resize</code> in <code>preprocess</code>.`,name:"do_resize"},{anchor:"transformers.DPTImageProcessor.size",description:`<strong>size</strong> (<code>Dict[str, int]</code> <em>optional</em>, defaults to <code>{&quot;height&quot; -- 384, &quot;width&quot;: 384}</code>):
Size of the image after resizing. Can be overidden by <code>size</code> in <code>preprocess</code>.`,name:"size"},{anchor:"transformers.DPTImageProcessor.keep_aspect_ratio",description:`<strong>keep_aspect_ratio</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, the image is resized to the largest possible size such that the aspect ratio is preserved. Can
be overidden by <code>keep_aspect_ratio</code> in <code>preprocess</code>.`,name:"keep_aspect_ratio"},{anchor:"transformers.DPTImageProcessor.ensure_multiple_of",description:`<strong>ensure_multiple_of</strong> (<code>int</code>, <em>optional</em>, defaults to <code>1</code>) &#x2014;
If <code>do_resize</code> is <code>True</code>, the image is resized to a size that is a multiple of this value. Can be overidden
by <code>ensure_multiple_of</code> in <code>preprocess</code>.`,name:"ensure_multiple_of"},{anchor:"transformers.DPTImageProcessor.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>PILImageResampling.BILINEAR</code>) &#x2014;
Defines the resampling filter to use if resizing the image. Can be overidden by <code>resample</code> in <code>preprocess</code>.`,name:"resample"},{anchor:"transformers.DPTImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to rescale the image by the specified scale <code>rescale_factor</code>. Can be overidden by <code>do_rescale</code> in
<code>preprocess</code>.`,name:"do_rescale"},{anchor:"transformers.DPTImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>int</code> or <code>float</code>, <em>optional</em>, defaults to <code>1/255</code>) &#x2014;
Scale factor to use if rescaling the image. Can be overidden by <code>rescale_factor</code> in <code>preprocess</code>.`,name:"rescale_factor"},{anchor:"transformers.DPTImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image. Can be overridden by the <code>do_normalize</code> parameter in the <code>preprocess</code>
method.`,name:"do_normalize"},{anchor:"transformers.DPTImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_MEAN</code>) &#x2014;
Mean to use if normalizing the image. This is a float or list of floats the length of the number of
channels in the image. Can be overridden by the <code>image_mean</code> parameter in the <code>preprocess</code> method.`,name:"image_mean"},{anchor:"transformers.DPTImageProcessor.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_STD</code>) &#x2014;
Standard deviation to use if normalizing the image. This is a float or list of floats the length of the
number of channels in the image. Can be overridden by the <code>image_std</code> parameter in the <code>preprocess</code> method.`,name:"image_std"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/dpt/image_processing_dpt.py#L88"}}),Je=new I({props:{name:"preprocess",anchor:"transformers.DPTImageProcessor.preprocess",parameters:[{name:"images",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]]"},{name:"do_resize",val:": bool = None"},{name:"size",val:": int = None"},{name:"keep_aspect_ratio",val:": bool = None"},{name:"ensure_multiple_of",val:": int = None"},{name:"resample",val:": Resampling = None"},{name:"do_rescale",val:": bool = None"},{name:"rescale_factor",val:": float = None"},{name:"do_normalize",val:": bool = None"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"data_format",val:": ChannelDimension = <ChannelDimension.FIRST: 'channels_first'>"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DPTImageProcessor.preprocess.images",description:`<strong>images</strong> (<code>ImageInput</code>) &#x2014;
Image to preprocess.`,name:"images"},{anchor:"transformers.DPTImageProcessor.preprocess.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_resize</code>) &#x2014;
Whether to resize the image.`,name:"do_resize"},{anchor:"transformers.DPTImageProcessor.preprocess.size",description:`<strong>size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>self.size</code>) &#x2014;
Size of the image after reszing. If <code>keep_aspect_ratio</code> is <code>True</code>, the image is resized to the largest
possible size such that the aspect ratio is preserved. If <code>ensure_multiple_of</code> is set, the image is
resized to a size that is a multiple of this value.`,name:"size"},{anchor:"transformers.DPTImageProcessor.preprocess.keep_aspect_ratio",description:`<strong>keep_aspect_ratio</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.keep_aspect_ratio</code>) &#x2014;
Whether to keep the aspect ratio of the image. If False, the image will be resized to (size, size). If
True, the image will be resized to keep the aspect ratio and the size will be the maximum possible.`,name:"keep_aspect_ratio"},{anchor:"transformers.DPTImageProcessor.preprocess.ensure_multiple_of",description:`<strong>ensure_multiple_of</strong> (<code>int</code>, <em>optional</em>, defaults to <code>self.ensure_multiple_of</code>) &#x2014;
Ensure that the image size is a multiple of this value.`,name:"ensure_multiple_of"},{anchor:"transformers.DPTImageProcessor.preprocess.resample",description:`<strong>resample</strong> (<code>int</code>, <em>optional</em>, defaults to <code>self.resample</code>) &#x2014;
Resampling filter to use if resizing the image. This can be one of the enum <code>PILImageResampling</code>, Only
has an effect if <code>do_resize</code> is set to <code>True</code>.`,name:"resample"},{anchor:"transformers.DPTImageProcessor.preprocess.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_rescale</code>) &#x2014;
Whether to rescale the image values between [0 - 1].`,name:"do_rescale"},{anchor:"transformers.DPTImageProcessor.preprocess.rescale_factor",description:`<strong>rescale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>self.rescale_factor</code>) &#x2014;
Rescale factor to rescale the image by if <code>do_rescale</code> is set to <code>True</code>.`,name:"rescale_factor"},{anchor:"transformers.DPTImageProcessor.preprocess.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_normalize</code>) &#x2014;
Whether to normalize the image.`,name:"do_normalize"},{anchor:"transformers.DPTImageProcessor.preprocess.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_mean</code>) &#x2014;
Image mean.`,name:"image_mean"},{anchor:"transformers.DPTImageProcessor.preprocess.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_std</code>) &#x2014;
Image standard deviation.`,name:"image_std"},{anchor:"transformers.DPTImageProcessor.preprocess.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <code>TensorType</code>, <em>optional</em>) &#x2014;
The type of tensors to return. Can be one of:<ul>
<li>Unset: Return a list of <code>np.ndarray</code>.</li>
<li><code>TensorType.TENSORFLOW</code> or <code>&apos;tf&apos;</code>: Return a batch of type <code>tf.Tensor</code>.</li>
<li><code>TensorType.PYTORCH</code> or <code>&apos;pt&apos;</code>: Return a batch of type <code>torch.Tensor</code>.</li>
<li><code>TensorType.NUMPY</code> or <code>&apos;np&apos;</code>: Return a batch of type <code>np.ndarray</code>.</li>
<li><code>TensorType.JAX</code> or <code>&apos;jax&apos;</code>: Return a batch of type <code>jax.numpy.ndarray</code>.</li>
</ul>`,name:"return_tensors"},{anchor:"transformers.DPTImageProcessor.preprocess.data_format",description:`<strong>data_format</strong> (<code>ChannelDimension</code> or <code>str</code>, <em>optional</em>, defaults to <code>ChannelDimension.FIRST</code>) &#x2014;
The channel dimension format for the output image. Can be one of:<ul>
<li><code>ChannelDimension.FIRST</code>: image in (num_channels, height, width) format.</li>
<li><code>ChannelDimension.LAST</code>: image in (height, width, num_channels) format.</li>
</ul>`,name:"data_format"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/dpt/image_processing_dpt.py#L237"}}),Xe=new I({props:{name:"post_process_semantic_segmentation",anchor:"transformers.DPTImageProcessor.post_process_semantic_segmentation",parameters:[{name:"outputs",val:""},{name:"target_sizes",val:": typing.List[typing.Tuple] = None"}],parametersDescription:[{anchor:"transformers.DPTImageProcessor.post_process_semantic_segmentation.outputs",description:`<strong>outputs</strong> (<a href="/docs/transformers/pr_21485/en/model_doc/dpt#transformers.DPTForSemanticSegmentation">DPTForSemanticSegmentation</a>) &#x2014;
Raw outputs of the model.`,name:"outputs"},{anchor:"transformers.DPTImageProcessor.post_process_semantic_segmentation.target_sizes",description:`<strong>target_sizes</strong> (<code>List[Tuple]</code> of length <code>batch_size</code>, <em>optional</em>) &#x2014;
List of tuples corresponding to the requested final size (height, width) of each prediction. If unset,
predictions will not be resized.`,name:"target_sizes"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/dpt/image_processing_dpt.py#L342",returnDescription:`
<p><code>List[torch.Tensor]</code> of length <code>batch_size</code>, where each item is a semantic
segmentation map of shape (height, width) corresponding to the target_sizes entry (if <code>target_sizes</code> is
specified). Each entry of each <code>torch.Tensor</code> correspond to a semantic class id.</p>
`,returnType:`
<p>semantic_segmentation</p>
`}}),Ze=new re({}),et=new I({props:{name:"class transformers.DPTModel",anchor:"transformers.DPTModel",parameters:[{name:"config",val:""},{name:"add_pooling_layer",val:" = True"}],parametersDescription:[{anchor:"transformers.DPTModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21485/en/model_doc/vit#transformers.ViTConfig">ViTConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/dpt/modeling_dpt.py#L864"}}),rt=new I({props:{name:"forward",anchor:"transformers.DPTModel.forward",parameters:[{name:"pixel_values",val:": FloatTensor"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.DPTModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21485/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <a href="/docs/transformers/pr_21485/en/model_doc/mobilevit#transformers.MobileViTFeatureExtractor.__call__">DPTImageProcessor.<strong>call</strong>()</a>
for details.`,name:"pixel_values"},{anchor:"transformers.DPTModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.DPTModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.DPTModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.DPTModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21485/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/dpt/modeling_dpt.py#L896",returnDescription:`
<p>A <code>transformers.models.dpt.modeling_dpt.BaseModelOutputWithPoolingAndIntermediateActivations</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21485/en/model_doc/dpt#transformers.DPTConfig"
>DPTConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>intermediate_activations</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>) \u2014 Intermediate activations that can be used to compute hidden states of the model at various layers.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.models.dpt.modeling_dpt.BaseModelOutputWithPoolingAndIntermediateActivations</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ve=new Aa({props:{$$slots:{default:[ei]},$$scope:{ctx:x}}}),Te=new gr({props:{anchor:"transformers.DPTModel.forward.example",$$slots:{default:[ti]},$$scope:{ctx:x}}}),st=new re({}),at=new I({props:{name:"class transformers.DPTForDepthEstimation",anchor:"transformers.DPTForDepthEstimation",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.DPTForDepthEstimation.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21485/en/model_doc/vit#transformers.ViTConfig">ViTConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/dpt/modeling_dpt.py#L1052"}}),lt=new I({props:{name:"forward",anchor:"transformers.DPTForDepthEstimation.forward",parameters:[{name:"pixel_values",val:": FloatTensor"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.DPTForDepthEstimation.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21485/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <a href="/docs/transformers/pr_21485/en/model_doc/mobilevit#transformers.MobileViTFeatureExtractor.__call__">DPTImageProcessor.<strong>call</strong>()</a>
for details.`,name:"pixel_values"},{anchor:"transformers.DPTForDepthEstimation.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.DPTForDepthEstimation.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.DPTForDepthEstimation.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.DPTForDepthEstimation.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21485/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.DPTForDepthEstimation.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, height, width)</code>, <em>optional</em>) &#x2014;
Ground truth depth estimation maps for computing the loss.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/dpt/modeling_dpt.py#L1067",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_outputs.DepthEstimatorOutput"
>transformers.modeling_outputs.DepthEstimatorOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21485/en/model_doc/dpt#transformers.DPTConfig"
>DPTConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>predicted_depth</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, height, width)</code>) \u2014 Predicted depth for each pixel.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, patch_size, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_outputs.DepthEstimatorOutput"
>transformers.modeling_outputs.DepthEstimatorOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Pe=new Aa({props:{$$slots:{default:[oi]},$$scope:{ctx:x}}}),ye=new gr({props:{anchor:"transformers.DPTForDepthEstimation.forward.example",$$slots:{default:[ri]},$$scope:{ctx:x}}}),dt=new re({}),ct=new I({props:{name:"class transformers.DPTForSemanticSegmentation",anchor:"transformers.DPTForSemanticSegmentation",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.DPTForSemanticSegmentation.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21485/en/model_doc/vit#transformers.ViTConfig">ViTConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/dpt/modeling_dpt.py#L1220"}}),ht=new I({props:{name:"forward",anchor:"transformers.DPTForSemanticSegmentation.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.DPTForSemanticSegmentation.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21485/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <a href="/docs/transformers/pr_21485/en/model_doc/mobilevit#transformers.MobileViTFeatureExtractor.__call__">DPTImageProcessor.<strong>call</strong>()</a>
for details.`,name:"pixel_values"},{anchor:"transformers.DPTForSemanticSegmentation.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.DPTForSemanticSegmentation.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.DPTForSemanticSegmentation.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.DPTForSemanticSegmentation.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21485/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.DPTForSemanticSegmentation.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, height, width)</code>, <em>optional</em>) &#x2014;
Ground truth semantic segmentation maps for computing the loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels &gt; 1</code>, a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/dpt/modeling_dpt.py#L1236",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_outputs.SemanticSegmenterOutput"
>transformers.modeling_outputs.SemanticSegmenterOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21485/en/model_doc/dpt#transformers.DPTConfig"
>DPTConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels, logits_height, logits_width)</code>) \u2014 Classification scores for each pixel.</p>
<Tip warning={true}>
<p>The logits returned do not necessarily have the same size as the <code>pixel_values</code> passed as inputs. This is
to avoid doing two interpolations and lose some quality when a user needs to resize the logits to the
original image size as post-processing. You should always check your logits shape and resize as needed.</p>
</Tip>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, patch_size, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, patch_size, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_outputs.SemanticSegmenterOutput"
>transformers.modeling_outputs.SemanticSegmenterOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),De=new Aa({props:{$$slots:{default:[si]},$$scope:{ctx:x}}}),$e=new gr({props:{anchor:"transformers.DPTForSemanticSegmentation.forward.example",$$slots:{default:[ai]},$$scope:{ctx:x}}}),{c(){h=r("meta"),$=c(),_=r("h1"),u=r("a"),v=r("span"),T(l.$$.fragment),g=c(),E=r("span"),Tr=n("DPT"),Eo=c(),V=r("h2"),se=r("a"),Ht=r("span"),T(Se.$$.fragment),br=c(),Bt=r("span"),Pr=n("Overview"),Io=c(),N=r("p"),yr=n("The DPT model was proposed in "),je=r("a"),wr=n("Vision Transformers for Dense Prediction"),Dr=n(` by Ren\xE9 Ranftl, Alexey Bochkovskiy, Vladlen Koltun.
DPT is a model that leverages the `),gt=r("a"),$r=n("Vision Transformer (ViT)"),xr=n(" as backbone for dense prediction tasks like semantic segmentation and depth estimation."),zo=c(),_t=r("p"),kr=n("The abstract from the paper is the following:"),Fo=c(),vt=r("p"),Kt=r("em"),Er=n("We introduce dense vision transformers, an architecture that leverages vision transformers in place of convolutional networks as a backbone for dense prediction tasks. We assemble tokens from various stages of the vision transformer into image-like representations at various resolutions and progressively combine them into full-resolution predictions using a convolutional decoder. The transformer backbone processes representations at a constant and relatively high resolution and has a global receptive field at every stage. These properties allow the dense vision transformer to provide finer-grained and more globally coherent predictions when compared to fully-convolutional networks. Our experiments show that this architecture yields substantial improvements on dense prediction tasks, especially when a large amount of training data is available. For monocular depth estimation, we observe an improvement of up to 28% in relative performance when compared to a state-of-the-art fully-convolutional network. When applied to semantic segmentation, dense vision transformers set a new state of the art on ADE20K with 49.02% mIoU. We further show that the architecture can be fine-tuned on smaller datasets such as NYUv2, KITTI, and Pascal Context where it also sets the new state of the art."),So=c(),ae=r("img"),jo=c(),ne=r("small"),Ir=n("DPT architecture. Taken from the "),Ce=r("a"),zr=n("original paper"),Fr=n("."),Co=c(),L=r("p"),Sr=n("This model was contributed by "),Ae=r("a"),jr=n("nielsr"),Cr=n(". The original code can be found "),Me=r("a"),Ar=n("here"),Mr=n("."),Ao=c(),W=r("h2"),ie=r("a"),Gt=r("span"),T(qe.$$.fragment),qr=c(),Yt=r("span"),Nr=n("Resources"),Mo=c(),Tt=r("p"),Lr=n("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with DPT."),qo=c(),O=r("ul"),Jt=r("li"),U=r("p"),Or=n("Demo notebooks for "),bt=r("a"),Rr=n("DPTForDepthEstimation"),Vr=n(" can be found "),Ne=r("a"),Wr=n("here"),Ur=n("."),Hr=c(),Xt=r("li"),Qt=r("p"),Pt=r("a"),Br=n("Semantic segmentation task guide"),Kr=c(),Zt=r("li"),eo=r("p"),yt=r("a"),Gr=n("Monocular depth estimation task guide"),No=c(),wt=r("p"),Yr=n("If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Lo=c(),H=r("h2"),le=r("a"),to=r("span"),T(Le.$$.fragment),Jr=c(),oo=r("span"),Xr=n("DPTConfig"),Oo=c(),k=r("div"),T(Oe.$$.fragment),Qr=c(),B=r("p"),Zr=n("This is the configuration class to store the configuration of a "),Dt=r("a"),es=n("DPTModel"),ts=n(`. It is used to instantiate an DPT
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the DPT
`),Re=r("a"),os=n("Intel/dpt-large"),rs=n(" architecture."),ss=c(),K=r("p"),as=n("Configuration objects inherit from "),$t=r("a"),ns=n("PretrainedConfig"),is=n(` and can be used to control the model outputs. Read the
documentation from `),xt=r("a"),ls=n("PretrainedConfig"),ds=n(" for more information."),cs=c(),T(de.$$.fragment),ms=c(),ce=r("div"),T(Ve.$$.fragment),ps=c(),G=r("p"),hs=n("Serializes this instance to a Python dictionary. Override the default "),kt=r("a"),fs=n("to_dict()"),us=n(`. Returns:
`),ro=r("code"),gs=n("Dict[str, any]"),_s=n(": Dictionary of all the attributes that make up this configuration instance,"),Ro=c(),Y=r("h2"),me=r("a"),so=r("span"),T(We.$$.fragment),vs=c(),ao=r("span"),Ts=n("DPTFeatureExtractor"),Vo=c(),M=r("div"),T(Ue.$$.fragment),bs=c(),pe=r("div"),T(He.$$.fragment),Ps=c(),no=r("p"),ys=n("Preprocess an image or a batch of images."),ws=c(),he=r("div"),T(Be.$$.fragment),Ds=c(),Ke=r("p"),$s=n("Converts the output of "),Et=r("a"),xs=n("DPTForSemanticSegmentation"),ks=n(" into semantic segmentation maps. Only supports PyTorch."),Wo=c(),J=r("h2"),fe=r("a"),io=r("span"),T(Ge.$$.fragment),Es=c(),lo=r("span"),Is=n("DPTImageProcessor"),Uo=c(),z=r("div"),T(Ye.$$.fragment),zs=c(),co=r("p"),Fs=n("Constructs a DPT image processor."),Ss=c(),ue=r("div"),T(Je.$$.fragment),js=c(),mo=r("p"),Cs=n("Preprocess an image or batch of images."),As=c(),ge=r("div"),T(Xe.$$.fragment),Ms=c(),Qe=r("p"),qs=n("Converts the output of "),It=r("a"),Ns=n("DPTForSemanticSegmentation"),Ls=n(" into semantic segmentation maps. Only supports PyTorch."),Ho=c(),X=r("h2"),_e=r("a"),po=r("span"),T(Ze.$$.fragment),Os=c(),ho=r("span"),Rs=n("DPTModel"),Bo=c(),q=r("div"),T(et.$$.fragment),Vs=c(),tt=r("p"),Ws=n(`The bare DPT Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),ot=r("a"),Us=n("torch.nn.Module"),Hs=n(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Bs=c(),j=r("div"),T(rt.$$.fragment),Ks=c(),Q=r("p"),Gs=n("The "),zt=r("a"),Ys=n("DPTModel"),Js=n(" forward method, overrides the "),fo=r("code"),Xs=n("__call__"),Qs=n(" special method."),Zs=c(),T(ve.$$.fragment),ea=c(),T(Te.$$.fragment),Ko=c(),Z=r("h2"),be=r("a"),uo=r("span"),T(st.$$.fragment),ta=c(),go=r("span"),oa=n("DPTForDepthEstimation"),Go=c(),F=r("div"),T(at.$$.fragment),ra=c(),_o=r("p"),sa=n("DPT Model with a depth estimation head on top (consisting of 3 convolutional layers) e.g. for KITTI, NYUv2."),aa=c(),nt=r("p"),na=n("This model is a PyTorch "),it=r("a"),ia=n("torch.nn.Module"),la=n(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),da=c(),C=r("div"),T(lt.$$.fragment),ca=c(),ee=r("p"),ma=n("The "),Ft=r("a"),pa=n("DPTForDepthEstimation"),ha=n(" forward method, overrides the "),vo=r("code"),fa=n("__call__"),ua=n(" special method."),ga=c(),T(Pe.$$.fragment),_a=c(),T(ye.$$.fragment),Yo=c(),te=r("h2"),we=r("a"),To=r("span"),T(dt.$$.fragment),va=c(),bo=r("span"),Ta=n("DPTForSemanticSegmentation"),Jo=c(),S=r("div"),T(ct.$$.fragment),ba=c(),Po=r("p"),Pa=n("DPT Model with a semantic segmentation head on top e.g. for ADE20k, CityScapes."),ya=c(),mt=r("p"),wa=n("This model is a PyTorch "),pt=r("a"),Da=n("torch.nn.Module"),$a=n(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),xa=c(),A=r("div"),T(ht.$$.fragment),ka=c(),oe=r("p"),Ea=n("The "),St=r("a"),Ia=n("DPTForSemanticSegmentation"),za=n(" forward method, overrides the "),yo=r("code"),Fa=n("__call__"),Sa=n(" special method."),ja=c(),T(De.$$.fragment),Ca=c(),T($e.$$.fragment),this.h()},l(t){const p=Jn('[data-svelte="svelte-1phssyn"]',document.head);h=s(p,"META",{name:!0,content:!0}),p.forEach(o),$=m(t),_=s(t,"H1",{class:!0});var ft=a(_);u=s(ft,"A",{id:!0,class:!0,href:!0});var wo=a(u);v=s(wo,"SPAN",{});var Do=a(v);b(l.$$.fragment,Do),Do.forEach(o),wo.forEach(o),g=m(ft),E=s(ft,"SPAN",{});var $o=a(E);Tr=i($o,"DPT"),$o.forEach(o),ft.forEach(o),Eo=m(t),V=s(t,"H2",{class:!0});var ut=a(V);se=s(ut,"A",{id:!0,class:!0,href:!0});var xo=a(se);Ht=s(xo,"SPAN",{});var ko=a(Ht);b(Se.$$.fragment,ko),ko.forEach(o),xo.forEach(o),br=m(ut),Bt=s(ut,"SPAN",{});var qa=a(Bt);Pr=i(qa,"Overview"),qa.forEach(o),ut.forEach(o),Io=m(t),N=s(t,"P",{});var jt=a(N);yr=i(jt,"The DPT model was proposed in "),je=s(jt,"A",{href:!0,rel:!0});var Na=a(je);wr=i(Na,"Vision Transformers for Dense Prediction"),Na.forEach(o),Dr=i(jt,` by Ren\xE9 Ranftl, Alexey Bochkovskiy, Vladlen Koltun.
DPT is a model that leverages the `),gt=s(jt,"A",{href:!0});var La=a(gt);$r=i(La,"Vision Transformer (ViT)"),La.forEach(o),xr=i(jt," as backbone for dense prediction tasks like semantic segmentation and depth estimation."),jt.forEach(o),zo=m(t),_t=s(t,"P",{});var Oa=a(_t);kr=i(Oa,"The abstract from the paper is the following:"),Oa.forEach(o),Fo=m(t),vt=s(t,"P",{});var Ra=a(vt);Kt=s(Ra,"EM",{});var Va=a(Kt);Er=i(Va,"We introduce dense vision transformers, an architecture that leverages vision transformers in place of convolutional networks as a backbone for dense prediction tasks. We assemble tokens from various stages of the vision transformer into image-like representations at various resolutions and progressively combine them into full-resolution predictions using a convolutional decoder. The transformer backbone processes representations at a constant and relatively high resolution and has a global receptive field at every stage. These properties allow the dense vision transformer to provide finer-grained and more globally coherent predictions when compared to fully-convolutional networks. Our experiments show that this architecture yields substantial improvements on dense prediction tasks, especially when a large amount of training data is available. For monocular depth estimation, we observe an improvement of up to 28% in relative performance when compared to a state-of-the-art fully-convolutional network. When applied to semantic segmentation, dense vision transformers set a new state of the art on ADE20K with 49.02% mIoU. We further show that the architecture can be fine-tuned on smaller datasets such as NYUv2, KITTI, and Pascal Context where it also sets the new state of the art."),Va.forEach(o),Ra.forEach(o),So=m(t),ae=s(t,"IMG",{src:!0,alt:!0,width:!0}),jo=m(t),ne=s(t,"SMALL",{});var Qo=a(ne);Ir=i(Qo,"DPT architecture. Taken from the "),Ce=s(Qo,"A",{href:!0,target:!0});var Wa=a(Ce);zr=i(Wa,"original paper"),Wa.forEach(o),Fr=i(Qo,"."),Qo.forEach(o),Co=m(t),L=s(t,"P",{});var Ct=a(L);Sr=i(Ct,"This model was contributed by "),Ae=s(Ct,"A",{href:!0,rel:!0});var Ua=a(Ae);jr=i(Ua,"nielsr"),Ua.forEach(o),Cr=i(Ct,". The original code can be found "),Me=s(Ct,"A",{href:!0,rel:!0});var Ha=a(Me);Ar=i(Ha,"here"),Ha.forEach(o),Mr=i(Ct,"."),Ct.forEach(o),Ao=m(t),W=s(t,"H2",{class:!0});var Zo=a(W);ie=s(Zo,"A",{id:!0,class:!0,href:!0});var Ba=a(ie);Gt=s(Ba,"SPAN",{});var Ka=a(Gt);b(qe.$$.fragment,Ka),Ka.forEach(o),Ba.forEach(o),qr=m(Zo),Yt=s(Zo,"SPAN",{});var Ga=a(Yt);Nr=i(Ga,"Resources"),Ga.forEach(o),Zo.forEach(o),Mo=m(t),Tt=s(t,"P",{});var Ya=a(Tt);Lr=i(Ya,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with DPT."),Ya.forEach(o),qo=m(t),O=s(t,"UL",{});var At=a(O);Jt=s(At,"LI",{});var Ja=a(Jt);U=s(Ja,"P",{});var Mt=a(U);Or=i(Mt,"Demo notebooks for "),bt=s(Mt,"A",{href:!0});var Xa=a(bt);Rr=i(Xa,"DPTForDepthEstimation"),Xa.forEach(o),Vr=i(Mt," can be found "),Ne=s(Mt,"A",{href:!0,rel:!0});var Qa=a(Ne);Wr=i(Qa,"here"),Qa.forEach(o),Ur=i(Mt,"."),Mt.forEach(o),Ja.forEach(o),Hr=m(At),Xt=s(At,"LI",{});var Za=a(Xt);Qt=s(Za,"P",{});var en=a(Qt);Pt=s(en,"A",{href:!0});var tn=a(Pt);Br=i(tn,"Semantic segmentation task guide"),tn.forEach(o),en.forEach(o),Za.forEach(o),Kr=m(At),Zt=s(At,"LI",{});var on=a(Zt);eo=s(on,"P",{});var rn=a(eo);yt=s(rn,"A",{href:!0});var sn=a(yt);Gr=i(sn,"Monocular depth estimation task guide"),sn.forEach(o),rn.forEach(o),on.forEach(o),At.forEach(o),No=m(t),wt=s(t,"P",{});var an=a(wt);Yr=i(an,"If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),an.forEach(o),Lo=m(t),H=s(t,"H2",{class:!0});var er=a(H);le=s(er,"A",{id:!0,class:!0,href:!0});var nn=a(le);to=s(nn,"SPAN",{});var ln=a(to);b(Le.$$.fragment,ln),ln.forEach(o),nn.forEach(o),Jr=m(er),oo=s(er,"SPAN",{});var dn=a(oo);Xr=i(dn,"DPTConfig"),dn.forEach(o),er.forEach(o),Oo=m(t),k=s(t,"DIV",{class:!0});var R=a(k);b(Oe.$$.fragment,R),Qr=m(R),B=s(R,"P",{});var qt=a(B);Zr=i(qt,"This is the configuration class to store the configuration of a "),Dt=s(qt,"A",{href:!0});var cn=a(Dt);es=i(cn,"DPTModel"),cn.forEach(o),ts=i(qt,`. It is used to instantiate an DPT
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the DPT
`),Re=s(qt,"A",{href:!0,rel:!0});var mn=a(Re);os=i(mn,"Intel/dpt-large"),mn.forEach(o),rs=i(qt," architecture."),qt.forEach(o),ss=m(R),K=s(R,"P",{});var Nt=a(K);as=i(Nt,"Configuration objects inherit from "),$t=s(Nt,"A",{href:!0});var pn=a($t);ns=i(pn,"PretrainedConfig"),pn.forEach(o),is=i(Nt,` and can be used to control the model outputs. Read the
documentation from `),xt=s(Nt,"A",{href:!0});var hn=a(xt);ls=i(hn,"PretrainedConfig"),hn.forEach(o),ds=i(Nt," for more information."),Nt.forEach(o),cs=m(R),b(de.$$.fragment,R),ms=m(R),ce=s(R,"DIV",{class:!0});var tr=a(ce);b(Ve.$$.fragment,tr),ps=m(tr),G=s(tr,"P",{});var Lt=a(G);hs=i(Lt,"Serializes this instance to a Python dictionary. Override the default "),kt=s(Lt,"A",{href:!0});var fn=a(kt);fs=i(fn,"to_dict()"),fn.forEach(o),us=i(Lt,`. Returns:
`),ro=s(Lt,"CODE",{});var un=a(ro);gs=i(un,"Dict[str, any]"),un.forEach(o),_s=i(Lt,": Dictionary of all the attributes that make up this configuration instance,"),Lt.forEach(o),tr.forEach(o),R.forEach(o),Ro=m(t),Y=s(t,"H2",{class:!0});var or=a(Y);me=s(or,"A",{id:!0,class:!0,href:!0});var gn=a(me);so=s(gn,"SPAN",{});var _n=a(so);b(We.$$.fragment,_n),_n.forEach(o),gn.forEach(o),vs=m(or),ao=s(or,"SPAN",{});var vn=a(ao);Ts=i(vn,"DPTFeatureExtractor"),vn.forEach(o),or.forEach(o),Vo=m(t),M=s(t,"DIV",{class:!0});var Ot=a(M);b(Ue.$$.fragment,Ot),bs=m(Ot),pe=s(Ot,"DIV",{class:!0});var rr=a(pe);b(He.$$.fragment,rr),Ps=m(rr),no=s(rr,"P",{});var Tn=a(no);ys=i(Tn,"Preprocess an image or a batch of images."),Tn.forEach(o),rr.forEach(o),ws=m(Ot),he=s(Ot,"DIV",{class:!0});var sr=a(he);b(Be.$$.fragment,sr),Ds=m(sr),Ke=s(sr,"P",{});var ar=a(Ke);$s=i(ar,"Converts the output of "),Et=s(ar,"A",{href:!0});var bn=a(Et);xs=i(bn,"DPTForSemanticSegmentation"),bn.forEach(o),ks=i(ar," into semantic segmentation maps. Only supports PyTorch."),ar.forEach(o),sr.forEach(o),Ot.forEach(o),Wo=m(t),J=s(t,"H2",{class:!0});var nr=a(J);fe=s(nr,"A",{id:!0,class:!0,href:!0});var Pn=a(fe);io=s(Pn,"SPAN",{});var yn=a(io);b(Ge.$$.fragment,yn),yn.forEach(o),Pn.forEach(o),Es=m(nr),lo=s(nr,"SPAN",{});var wn=a(lo);Is=i(wn,"DPTImageProcessor"),wn.forEach(o),nr.forEach(o),Uo=m(t),z=s(t,"DIV",{class:!0});var xe=a(z);b(Ye.$$.fragment,xe),zs=m(xe),co=s(xe,"P",{});var Dn=a(co);Fs=i(Dn,"Constructs a DPT image processor."),Dn.forEach(o),Ss=m(xe),ue=s(xe,"DIV",{class:!0});var ir=a(ue);b(Je.$$.fragment,ir),js=m(ir),mo=s(ir,"P",{});var $n=a(mo);Cs=i($n,"Preprocess an image or batch of images."),$n.forEach(o),ir.forEach(o),As=m(xe),ge=s(xe,"DIV",{class:!0});var lr=a(ge);b(Xe.$$.fragment,lr),Ms=m(lr),Qe=s(lr,"P",{});var dr=a(Qe);qs=i(dr,"Converts the output of "),It=s(dr,"A",{href:!0});var xn=a(It);Ns=i(xn,"DPTForSemanticSegmentation"),xn.forEach(o),Ls=i(dr," into semantic segmentation maps. Only supports PyTorch."),dr.forEach(o),lr.forEach(o),xe.forEach(o),Ho=m(t),X=s(t,"H2",{class:!0});var cr=a(X);_e=s(cr,"A",{id:!0,class:!0,href:!0});var kn=a(_e);po=s(kn,"SPAN",{});var En=a(po);b(Ze.$$.fragment,En),En.forEach(o),kn.forEach(o),Os=m(cr),ho=s(cr,"SPAN",{});var In=a(ho);Rs=i(In,"DPTModel"),In.forEach(o),cr.forEach(o),Bo=m(t),q=s(t,"DIV",{class:!0});var Rt=a(q);b(et.$$.fragment,Rt),Vs=m(Rt),tt=s(Rt,"P",{});var mr=a(tt);Ws=i(mr,`The bare DPT Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),ot=s(mr,"A",{href:!0,rel:!0});var zn=a(ot);Us=i(zn,"torch.nn.Module"),zn.forEach(o),Hs=i(mr,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),mr.forEach(o),Bs=m(Rt),j=s(Rt,"DIV",{class:!0});var ke=a(j);b(rt.$$.fragment,ke),Ks=m(ke),Q=s(ke,"P",{});var Vt=a(Q);Gs=i(Vt,"The "),zt=s(Vt,"A",{href:!0});var Fn=a(zt);Ys=i(Fn,"DPTModel"),Fn.forEach(o),Js=i(Vt," forward method, overrides the "),fo=s(Vt,"CODE",{});var Sn=a(fo);Xs=i(Sn,"__call__"),Sn.forEach(o),Qs=i(Vt," special method."),Vt.forEach(o),Zs=m(ke),b(ve.$$.fragment,ke),ea=m(ke),b(Te.$$.fragment,ke),ke.forEach(o),Rt.forEach(o),Ko=m(t),Z=s(t,"H2",{class:!0});var pr=a(Z);be=s(pr,"A",{id:!0,class:!0,href:!0});var jn=a(be);uo=s(jn,"SPAN",{});var Cn=a(uo);b(st.$$.fragment,Cn),Cn.forEach(o),jn.forEach(o),ta=m(pr),go=s(pr,"SPAN",{});var An=a(go);oa=i(An,"DPTForDepthEstimation"),An.forEach(o),pr.forEach(o),Go=m(t),F=s(t,"DIV",{class:!0});var Ee=a(F);b(at.$$.fragment,Ee),ra=m(Ee),_o=s(Ee,"P",{});var Mn=a(_o);sa=i(Mn,"DPT Model with a depth estimation head on top (consisting of 3 convolutional layers) e.g. for KITTI, NYUv2."),Mn.forEach(o),aa=m(Ee),nt=s(Ee,"P",{});var hr=a(nt);na=i(hr,"This model is a PyTorch "),it=s(hr,"A",{href:!0,rel:!0});var qn=a(it);ia=i(qn,"torch.nn.Module"),qn.forEach(o),la=i(hr,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),hr.forEach(o),da=m(Ee),C=s(Ee,"DIV",{class:!0});var Ie=a(C);b(lt.$$.fragment,Ie),ca=m(Ie),ee=s(Ie,"P",{});var Wt=a(ee);ma=i(Wt,"The "),Ft=s(Wt,"A",{href:!0});var Nn=a(Ft);pa=i(Nn,"DPTForDepthEstimation"),Nn.forEach(o),ha=i(Wt," forward method, overrides the "),vo=s(Wt,"CODE",{});var Ln=a(vo);fa=i(Ln,"__call__"),Ln.forEach(o),ua=i(Wt," special method."),Wt.forEach(o),ga=m(Ie),b(Pe.$$.fragment,Ie),_a=m(Ie),b(ye.$$.fragment,Ie),Ie.forEach(o),Ee.forEach(o),Yo=m(t),te=s(t,"H2",{class:!0});var fr=a(te);we=s(fr,"A",{id:!0,class:!0,href:!0});var On=a(we);To=s(On,"SPAN",{});var Rn=a(To);b(dt.$$.fragment,Rn),Rn.forEach(o),On.forEach(o),va=m(fr),bo=s(fr,"SPAN",{});var Vn=a(bo);Ta=i(Vn,"DPTForSemanticSegmentation"),Vn.forEach(o),fr.forEach(o),Jo=m(t),S=s(t,"DIV",{class:!0});var ze=a(S);b(ct.$$.fragment,ze),ba=m(ze),Po=s(ze,"P",{});var Wn=a(Po);Pa=i(Wn,"DPT Model with a semantic segmentation head on top e.g. for ADE20k, CityScapes."),Wn.forEach(o),ya=m(ze),mt=s(ze,"P",{});var ur=a(mt);wa=i(ur,"This model is a PyTorch "),pt=s(ur,"A",{href:!0,rel:!0});var Un=a(pt);Da=i(Un,"torch.nn.Module"),Un.forEach(o),$a=i(ur,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ur.forEach(o),xa=m(ze),A=s(ze,"DIV",{class:!0});var Fe=a(A);b(ht.$$.fragment,Fe),ka=m(Fe),oe=s(Fe,"P",{});var Ut=a(oe);Ea=i(Ut,"The "),St=s(Ut,"A",{href:!0});var Hn=a(St);Ia=i(Hn,"DPTForSemanticSegmentation"),Hn.forEach(o),za=i(Ut," forward method, overrides the "),yo=s(Ut,"CODE",{});var Bn=a(yo);Fa=i(Bn,"__call__"),Bn.forEach(o),Sa=i(Ut," special method."),Ut.forEach(o),ja=m(Fe),b(De.$$.fragment,Fe),Ca=m(Fe),b($e.$$.fragment,Fe),Fe.forEach(o),ze.forEach(o),this.h()},h(){d(h,"name","hf:doc:metadata"),d(h,"content",JSON.stringify(ii)),d(u,"id","dpt"),d(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(u,"href","#dpt"),d(_,"class","relative group"),d(se,"id","overview"),d(se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(se,"href","#overview"),d(V,"class","relative group"),d(je,"href","https://arxiv.org/abs/2103.13413"),d(je,"rel","nofollow"),d(gt,"href","vit"),Xn(ae.src,Ma="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/dpt_architecture.jpg")||d(ae,"src",Ma),d(ae,"alt","drawing"),d(ae,"width","600"),d(Ce,"href","https://arxiv.org/abs/2103.13413"),d(Ce,"target","_blank"),d(Ae,"href","https://huggingface.co/nielsr"),d(Ae,"rel","nofollow"),d(Me,"href","https://github.com/isl-org/DPT"),d(Me,"rel","nofollow"),d(ie,"id","resources"),d(ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ie,"href","#resources"),d(W,"class","relative group"),d(bt,"href","/docs/transformers/pr_21485/en/model_doc/dpt#transformers.DPTForDepthEstimation"),d(Ne,"href","https://github.com/NielsRogge/Transformers-Tutorials/tree/master/DPT"),d(Ne,"rel","nofollow"),d(Pt,"href","../tasks/semantic_segmentation"),d(yt,"href","../tasks/monocular_depth_estimation"),d(le,"id","transformers.DPTConfig"),d(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(le,"href","#transformers.DPTConfig"),d(H,"class","relative group"),d(Dt,"href","/docs/transformers/pr_21485/en/model_doc/dpt#transformers.DPTModel"),d(Re,"href","https://huggingface.co/Intel/dpt-large"),d(Re,"rel","nofollow"),d($t,"href","/docs/transformers/pr_21485/en/main_classes/configuration#transformers.PretrainedConfig"),d(xt,"href","/docs/transformers/pr_21485/en/main_classes/configuration#transformers.PretrainedConfig"),d(kt,"href","/docs/transformers/pr_21485/en/main_classes/configuration#transformers.PretrainedConfig.to_dict"),d(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(me,"id","transformers.DPTFeatureExtractor"),d(me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(me,"href","#transformers.DPTFeatureExtractor"),d(Y,"class","relative group"),d(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Et,"href","/docs/transformers/pr_21485/en/model_doc/dpt#transformers.DPTForSemanticSegmentation"),d(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(fe,"id","transformers.DPTImageProcessor"),d(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(fe,"href","#transformers.DPTImageProcessor"),d(J,"class","relative group"),d(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(It,"href","/docs/transformers/pr_21485/en/model_doc/dpt#transformers.DPTForSemanticSegmentation"),d(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(_e,"id","transformers.DPTModel"),d(_e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(_e,"href","#transformers.DPTModel"),d(X,"class","relative group"),d(ot,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(ot,"rel","nofollow"),d(zt,"href","/docs/transformers/pr_21485/en/model_doc/dpt#transformers.DPTModel"),d(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(be,"id","transformers.DPTForDepthEstimation"),d(be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(be,"href","#transformers.DPTForDepthEstimation"),d(Z,"class","relative group"),d(it,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(it,"rel","nofollow"),d(Ft,"href","/docs/transformers/pr_21485/en/model_doc/dpt#transformers.DPTForDepthEstimation"),d(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(we,"id","transformers.DPTForSemanticSegmentation"),d(we,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(we,"href","#transformers.DPTForSemanticSegmentation"),d(te,"class","relative group"),d(pt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(pt,"rel","nofollow"),d(St,"href","/docs/transformers/pr_21485/en/model_doc/dpt#transformers.DPTForSemanticSegmentation"),d(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,p){e(document.head,h),f(t,$,p),f(t,_,p),e(_,u),e(u,v),P(l,v,null),e(_,g),e(_,E),e(E,Tr),f(t,Eo,p),f(t,V,p),e(V,se),e(se,Ht),P(Se,Ht,null),e(V,br),e(V,Bt),e(Bt,Pr),f(t,Io,p),f(t,N,p),e(N,yr),e(N,je),e(je,wr),e(N,Dr),e(N,gt),e(gt,$r),e(N,xr),f(t,zo,p),f(t,_t,p),e(_t,kr),f(t,Fo,p),f(t,vt,p),e(vt,Kt),e(Kt,Er),f(t,So,p),f(t,ae,p),f(t,jo,p),f(t,ne,p),e(ne,Ir),e(ne,Ce),e(Ce,zr),e(ne,Fr),f(t,Co,p),f(t,L,p),e(L,Sr),e(L,Ae),e(Ae,jr),e(L,Cr),e(L,Me),e(Me,Ar),e(L,Mr),f(t,Ao,p),f(t,W,p),e(W,ie),e(ie,Gt),P(qe,Gt,null),e(W,qr),e(W,Yt),e(Yt,Nr),f(t,Mo,p),f(t,Tt,p),e(Tt,Lr),f(t,qo,p),f(t,O,p),e(O,Jt),e(Jt,U),e(U,Or),e(U,bt),e(bt,Rr),e(U,Vr),e(U,Ne),e(Ne,Wr),e(U,Ur),e(O,Hr),e(O,Xt),e(Xt,Qt),e(Qt,Pt),e(Pt,Br),e(O,Kr),e(O,Zt),e(Zt,eo),e(eo,yt),e(yt,Gr),f(t,No,p),f(t,wt,p),e(wt,Yr),f(t,Lo,p),f(t,H,p),e(H,le),e(le,to),P(Le,to,null),e(H,Jr),e(H,oo),e(oo,Xr),f(t,Oo,p),f(t,k,p),P(Oe,k,null),e(k,Qr),e(k,B),e(B,Zr),e(B,Dt),e(Dt,es),e(B,ts),e(B,Re),e(Re,os),e(B,rs),e(k,ss),e(k,K),e(K,as),e(K,$t),e($t,ns),e(K,is),e(K,xt),e(xt,ls),e(K,ds),e(k,cs),P(de,k,null),e(k,ms),e(k,ce),P(Ve,ce,null),e(ce,ps),e(ce,G),e(G,hs),e(G,kt),e(kt,fs),e(G,us),e(G,ro),e(ro,gs),e(G,_s),f(t,Ro,p),f(t,Y,p),e(Y,me),e(me,so),P(We,so,null),e(Y,vs),e(Y,ao),e(ao,Ts),f(t,Vo,p),f(t,M,p),P(Ue,M,null),e(M,bs),e(M,pe),P(He,pe,null),e(pe,Ps),e(pe,no),e(no,ys),e(M,ws),e(M,he),P(Be,he,null),e(he,Ds),e(he,Ke),e(Ke,$s),e(Ke,Et),e(Et,xs),e(Ke,ks),f(t,Wo,p),f(t,J,p),e(J,fe),e(fe,io),P(Ge,io,null),e(J,Es),e(J,lo),e(lo,Is),f(t,Uo,p),f(t,z,p),P(Ye,z,null),e(z,zs),e(z,co),e(co,Fs),e(z,Ss),e(z,ue),P(Je,ue,null),e(ue,js),e(ue,mo),e(mo,Cs),e(z,As),e(z,ge),P(Xe,ge,null),e(ge,Ms),e(ge,Qe),e(Qe,qs),e(Qe,It),e(It,Ns),e(Qe,Ls),f(t,Ho,p),f(t,X,p),e(X,_e),e(_e,po),P(Ze,po,null),e(X,Os),e(X,ho),e(ho,Rs),f(t,Bo,p),f(t,q,p),P(et,q,null),e(q,Vs),e(q,tt),e(tt,Ws),e(tt,ot),e(ot,Us),e(tt,Hs),e(q,Bs),e(q,j),P(rt,j,null),e(j,Ks),e(j,Q),e(Q,Gs),e(Q,zt),e(zt,Ys),e(Q,Js),e(Q,fo),e(fo,Xs),e(Q,Qs),e(j,Zs),P(ve,j,null),e(j,ea),P(Te,j,null),f(t,Ko,p),f(t,Z,p),e(Z,be),e(be,uo),P(st,uo,null),e(Z,ta),e(Z,go),e(go,oa),f(t,Go,p),f(t,F,p),P(at,F,null),e(F,ra),e(F,_o),e(_o,sa),e(F,aa),e(F,nt),e(nt,na),e(nt,it),e(it,ia),e(nt,la),e(F,da),e(F,C),P(lt,C,null),e(C,ca),e(C,ee),e(ee,ma),e(ee,Ft),e(Ft,pa),e(ee,ha),e(ee,vo),e(vo,fa),e(ee,ua),e(C,ga),P(Pe,C,null),e(C,_a),P(ye,C,null),f(t,Yo,p),f(t,te,p),e(te,we),e(we,To),P(dt,To,null),e(te,va),e(te,bo),e(bo,Ta),f(t,Jo,p),f(t,S,p),P(ct,S,null),e(S,ba),e(S,Po),e(Po,Pa),e(S,ya),e(S,mt),e(mt,wa),e(mt,pt),e(pt,Da),e(mt,$a),e(S,xa),e(S,A),P(ht,A,null),e(A,ka),e(A,oe),e(oe,Ea),e(oe,St),e(St,Ia),e(oe,za),e(oe,yo),e(yo,Fa),e(oe,Sa),e(A,ja),P(De,A,null),e(A,Ca),P($e,A,null),Xo=!0},p(t,[p]){const ft={};p&2&&(ft.$$scope={dirty:p,ctx:t}),de.$set(ft);const wo={};p&2&&(wo.$$scope={dirty:p,ctx:t}),ve.$set(wo);const Do={};p&2&&(Do.$$scope={dirty:p,ctx:t}),Te.$set(Do);const $o={};p&2&&($o.$$scope={dirty:p,ctx:t}),Pe.$set($o);const ut={};p&2&&(ut.$$scope={dirty:p,ctx:t}),ye.$set(ut);const xo={};p&2&&(xo.$$scope={dirty:p,ctx:t}),De.$set(xo);const ko={};p&2&&(ko.$$scope={dirty:p,ctx:t}),$e.$set(ko)},i(t){Xo||(y(l.$$.fragment,t),y(Se.$$.fragment,t),y(qe.$$.fragment,t),y(Le.$$.fragment,t),y(Oe.$$.fragment,t),y(de.$$.fragment,t),y(Ve.$$.fragment,t),y(We.$$.fragment,t),y(Ue.$$.fragment,t),y(He.$$.fragment,t),y(Be.$$.fragment,t),y(Ge.$$.fragment,t),y(Ye.$$.fragment,t),y(Je.$$.fragment,t),y(Xe.$$.fragment,t),y(Ze.$$.fragment,t),y(et.$$.fragment,t),y(rt.$$.fragment,t),y(ve.$$.fragment,t),y(Te.$$.fragment,t),y(st.$$.fragment,t),y(at.$$.fragment,t),y(lt.$$.fragment,t),y(Pe.$$.fragment,t),y(ye.$$.fragment,t),y(dt.$$.fragment,t),y(ct.$$.fragment,t),y(ht.$$.fragment,t),y(De.$$.fragment,t),y($e.$$.fragment,t),Xo=!0)},o(t){w(l.$$.fragment,t),w(Se.$$.fragment,t),w(qe.$$.fragment,t),w(Le.$$.fragment,t),w(Oe.$$.fragment,t),w(de.$$.fragment,t),w(Ve.$$.fragment,t),w(We.$$.fragment,t),w(Ue.$$.fragment,t),w(He.$$.fragment,t),w(Be.$$.fragment,t),w(Ge.$$.fragment,t),w(Ye.$$.fragment,t),w(Je.$$.fragment,t),w(Xe.$$.fragment,t),w(Ze.$$.fragment,t),w(et.$$.fragment,t),w(rt.$$.fragment,t),w(ve.$$.fragment,t),w(Te.$$.fragment,t),w(st.$$.fragment,t),w(at.$$.fragment,t),w(lt.$$.fragment,t),w(Pe.$$.fragment,t),w(ye.$$.fragment,t),w(dt.$$.fragment,t),w(ct.$$.fragment,t),w(ht.$$.fragment,t),w(De.$$.fragment,t),w($e.$$.fragment,t),Xo=!1},d(t){o(h),t&&o($),t&&o(_),D(l),t&&o(Eo),t&&o(V),D(Se),t&&o(Io),t&&o(N),t&&o(zo),t&&o(_t),t&&o(Fo),t&&o(vt),t&&o(So),t&&o(ae),t&&o(jo),t&&o(ne),t&&o(Co),t&&o(L),t&&o(Ao),t&&o(W),D(qe),t&&o(Mo),t&&o(Tt),t&&o(qo),t&&o(O),t&&o(No),t&&o(wt),t&&o(Lo),t&&o(H),D(Le),t&&o(Oo),t&&o(k),D(Oe),D(de),D(Ve),t&&o(Ro),t&&o(Y),D(We),t&&o(Vo),t&&o(M),D(Ue),D(He),D(Be),t&&o(Wo),t&&o(J),D(Ge),t&&o(Uo),t&&o(z),D(Ye),D(Je),D(Xe),t&&o(Ho),t&&o(X),D(Ze),t&&o(Bo),t&&o(q),D(et),D(rt),D(ve),D(Te),t&&o(Ko),t&&o(Z),D(st),t&&o(Go),t&&o(F),D(at),D(lt),D(Pe),D(ye),t&&o(Yo),t&&o(te),D(dt),t&&o(Jo),t&&o(S),D(ct),D(ht),D(De),D($e)}}}const ii={local:"dpt",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.DPTConfig",title:"DPTConfig"},{local:"transformers.DPTFeatureExtractor",title:"DPTFeatureExtractor"},{local:"transformers.DPTImageProcessor",title:"DPTImageProcessor"},{local:"transformers.DPTModel",title:"DPTModel"},{local:"transformers.DPTForDepthEstimation",title:"DPTForDepthEstimation"},{local:"transformers.DPTForSemanticSegmentation",title:"DPTForSemanticSegmentation"}],title:"DPT"};function li(x){return Qn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ui extends Kn{constructor(h){super();Gn(this,h,li,ni,Yn,{})}}export{ui as default,ii as metadata};
