import{S as gd,i as hd,s as md,e as s,k as p,w as $,t as l,M as ud,c as a,d as o,m as f,a as r,x as b,h as i,b as c,G as e,g as _,y,q as N,o as x,B as T,v as _d,L as Yt}from"../../chunks/vendor-hf-doc-builder.js";import{T as ko}from"../../chunks/Tip-hf-doc-builder.js";import{D as A}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Zt}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as K}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Qt}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as vd}from"../../chunks/PipelineTag-hf-doc-builder.js";function wd(j){let d,w,u,h,v;return h=new Zt({props:{code:`from transformers import RegNetConfig, RegNetModel

# Initializing a RegNet regnet-y-40 style configuration
configuration = RegNetConfig()
# Initializing a model from the regnet-y-40 style configuration
model = RegNetModel(configuration)
# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> RegNetConfig, RegNetModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a RegNet regnet-y-40 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = RegNetConfig()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model from the regnet-y-40 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RegNetModel(configuration)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=s("p"),w=l("Example:"),u=p(),$(h.$$.fragment)},l(n){d=a(n,"P",{});var g=r(d);w=i(g,"Example:"),g.forEach(o),u=f(n),b(h.$$.fragment,n)},m(n,g){_(n,d,g),e(d,w),_(n,u,g),y(h,n,g),v=!0},p:Yt,i(n){v||(N(h.$$.fragment,n),v=!0)},o(n){x(h.$$.fragment,n),v=!1},d(n){n&&o(d),n&&o(u),T(h,n)}}}function $d(j){let d,w,u,h,v;return{c(){d=s("p"),w=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),h=l("Module"),v=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=a(n,"P",{});var g=r(d);w=i(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(g,"CODE",{});var F=r(u);h=i(F,"Module"),F.forEach(o),v=i(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(n,g){_(n,d,g),e(d,w),e(d,u),e(u,h),e(d,v)},d(n){n&&o(d)}}}function bd(j){let d,w,u,h,v;return h=new Zt({props:{code:`from transformers import AutoImageProcessor, RegNetModel
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/regnet-y-040")
model = RegNetModel.from_pretrained("facebook/regnet-y-040")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, RegNetModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RegNetModel.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">1088</span>, <span class="hljs-number">7</span>, <span class="hljs-number">7</span>]`}}),{c(){d=s("p"),w=l("Example:"),u=p(),$(h.$$.fragment)},l(n){d=a(n,"P",{});var g=r(d);w=i(g,"Example:"),g.forEach(o),u=f(n),b(h.$$.fragment,n)},m(n,g){_(n,d,g),e(d,w),_(n,u,g),y(h,n,g),v=!0},p:Yt,i(n){v||(N(h.$$.fragment,n),v=!0)},o(n){x(h.$$.fragment,n),v=!1},d(n){n&&o(d),n&&o(u),T(h,n)}}}function yd(j){let d,w,u,h,v;return{c(){d=s("p"),w=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),h=l("Module"),v=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=a(n,"P",{});var g=r(d);w=i(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(g,"CODE",{});var F=r(u);h=i(F,"Module"),F.forEach(o),v=i(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(n,g){_(n,d,g),e(d,w),e(d,u),e(u,h),e(d,v)},d(n){n&&o(d)}}}function Nd(j){let d,w,u,h,v;return h=new Zt({props:{code:`from transformers import AutoImageProcessor, RegNetForImageClassification
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/regnet-y-040")
model = RegNetForImageClassification.from_pretrained("facebook/regnet-y-040")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = logits.argmax(-1).item()
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, RegNetForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RegNetForImageClassification.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = logits.argmax(-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tabby, tabby cat`}}),{c(){d=s("p"),w=l("Example:"),u=p(),$(h.$$.fragment)},l(n){d=a(n,"P",{});var g=r(d);w=i(g,"Example:"),g.forEach(o),u=f(n),b(h.$$.fragment,n)},m(n,g){_(n,d,g),e(d,w),_(n,u,g),y(h,n,g),v=!0},p:Yt,i(n){v||(N(h.$$.fragment,n),v=!0)},o(n){x(h.$$.fragment,n),v=!1},d(n){n&&o(d),n&&o(u),T(h,n)}}}function xd(j){let d,w,u,h,v;return{c(){d=s("p"),w=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),h=l("Module"),v=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=a(n,"P",{});var g=r(d);w=i(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(g,"CODE",{});var F=r(u);h=i(F,"Module"),F.forEach(o),v=i(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(n,g){_(n,d,g),e(d,w),e(d,u),e(u,h),e(d,v)},d(n){n&&o(d)}}}function Td(j){let d,w,u,h,v;return h=new Zt({props:{code:`from transformers import AutoImageProcessor, TFRegNetModel
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/regnet-y-040")
model = TFRegNetModel.from_pretrained("facebook/regnet-y-040")

inputs = image_processor(image, return_tensors="tf")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, TFRegNetModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFRegNetModel.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">1088</span>, <span class="hljs-number">7</span>, <span class="hljs-number">7</span>]`}}),{c(){d=s("p"),w=l("Example:"),u=p(),$(h.$$.fragment)},l(n){d=a(n,"P",{});var g=r(d);w=i(g,"Example:"),g.forEach(o),u=f(n),b(h.$$.fragment,n)},m(n,g){_(n,d,g),e(d,w),_(n,u,g),y(h,n,g),v=!0},p:Yt,i(n){v||(N(h.$$.fragment,n),v=!0)},o(n){x(h.$$.fragment,n),v=!1},d(n){n&&o(d),n&&o(u),T(h,n)}}}function jd(j){let d,w,u,h,v;return{c(){d=s("p"),w=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),h=l("Module"),v=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=a(n,"P",{});var g=r(d);w=i(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(g,"CODE",{});var F=r(u);h=i(F,"Module"),F.forEach(o),v=i(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(n,g){_(n,d,g),e(d,w),e(d,u),e(u,h),e(d,v)},d(n){n&&o(d)}}}function Fd(j){let d,w,u,h,v;return h=new Zt({props:{code:`from transformers import AutoImageProcessor, TFRegNetForImageClassification
import tensorflow as tf
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/regnet-y-040")
model = TFRegNetForImageClassification.from_pretrained("facebook/regnet-y-040")

inputs = image_processor(image, return_tensors="tf")
logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = int(tf.math.argmax(logits, axis=-1))
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, TFRegNetForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFRegNetForImageClassification.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = <span class="hljs-built_in">int</span>(tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tabby, tabby cat`}}),{c(){d=s("p"),w=l("Example:"),u=p(),$(h.$$.fragment)},l(n){d=a(n,"P",{});var g=r(d);w=i(g,"Example:"),g.forEach(o),u=f(n),b(h.$$.fragment,n)},m(n,g){_(n,d,g),e(d,w),_(n,u,g),y(h,n,g),v=!0},p:Yt,i(n){v||(N(h.$$.fragment,n),v=!0)},o(n){x(h.$$.fragment,n),v=!1},d(n){n&&o(d),n&&o(u),T(h,n)}}}function Rd(j){let d,w,u,h,v;return{c(){d=s("p"),w=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),h=l("Module"),v=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=a(n,"P",{});var g=r(d);w=i(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(g,"CODE",{});var F=r(u);h=i(F,"Module"),F.forEach(o),v=i(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(n,g){_(n,d,g),e(d,w),e(d,u),e(u,h),e(d,v)},d(n){n&&o(d)}}}function Id(j){let d,w,u,h,v;return h=new Zt({props:{code:`from transformers import AutoImageProcessor, FlaxRegNetModel
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("facebook/regnet-y-040")
model = FlaxRegNetModel.from_pretrained("facebook/regnet-y-040")

inputs = image_processor(images=image, return_tensors="np")
outputs = model(**inputs)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, FlaxRegNetModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxRegNetModel.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=s("p"),w=l("Examples:"),u=p(),$(h.$$.fragment)},l(n){d=a(n,"P",{});var g=r(d);w=i(g,"Examples:"),g.forEach(o),u=f(n),b(h.$$.fragment,n)},m(n,g){_(n,d,g),e(d,w),_(n,u,g),y(h,n,g),v=!0},p:Yt,i(n){v||(N(h.$$.fragment,n),v=!0)},o(n){x(h.$$.fragment,n),v=!1},d(n){n&&o(d),n&&o(u),T(h,n)}}}function Ed(j){let d,w,u,h,v;return{c(){d=s("p"),w=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),h=l("Module"),v=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=a(n,"P",{});var g=r(d);w=i(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(g,"CODE",{});var F=r(u);h=i(F,"Module"),F.forEach(o),v=i(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(n,g){_(n,d,g),e(d,w),e(d,u),e(u,h),e(d,v)},d(n){n&&o(d)}}}function kd(j){let d,w,u,h,v;return h=new Zt({props:{code:`from transformers import AutoImageProcessor, FlaxRegNetForImageClassification
from PIL import Image
import jax
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("facebook/regnet-y-040")
model = FlaxRegNetForImageClassification.from_pretrained("facebook/regnet-y-040")

inputs = image_processor(images=image, return_tensors="np")
outputs = model(**inputs)
logits = outputs.logits

# model predicts one of the 1000 ImageNet classes
predicted_class_idx = jax.numpy.argmax(logits, axis=-1)
print("Predicted class:", model.config.id2label[predicted_class_idx.item()])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, FlaxRegNetForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> jax
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxRegNetForImageClassification.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_idx = jax.numpy.argmax(logits, axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;Predicted class:&quot;</span>, model.config.id2label[predicted_class_idx.item()])`}}),{c(){d=s("p"),w=l("Example:"),u=p(),$(h.$$.fragment)},l(n){d=a(n,"P",{});var g=r(d);w=i(g,"Example:"),g.forEach(o),u=f(n),b(h.$$.fragment,n)},m(n,g){_(n,d,g),e(d,w),_(n,u,g),y(h,n,g),v=!0},p:Yt,i(n){v||(N(h.$$.fragment,n),v=!0)},o(n){x(h.$$.fragment,n),v=!1},d(n){n&&o(d),n&&o(u),T(h,n)}}}function Pd(j){let d,w,u,h,v,n,g,F,ya,ks,X,ge,Po,Ke,Na,Co,xa,Ps,he,Ta,Xe,ja,Fa,Cs,eo,Ra,Ms,to,Ia,As,oo,Mo,Ea,qs,so,ka,zs,me,Qe,Pa,ao,Ca,Ma,Aa,ue,qa,Ye,za,Da,Ze,Oa,Ds,E,La,et,Sa,Ua,tt,Wa,Va,ot,Ha,Ba,st,Ja,Ga,Os,Q,_e,Ao,at,Ka,qo,Xa,Ls,ro,Qa,Ss,rt,Us,ve,J,no,Ya,Za,nt,er,tr,lt,or,sr,ar,lo,rr,io,nr,Ws,co,lr,Vs,Y,we,zo,it,ir,Do,dr,Hs,C,dt,cr,Z,pr,po,fr,gr,ct,hr,mr,ur,ee,_r,fo,vr,wr,go,$r,br,yr,$e,Bs,te,be,Oo,pt,Nr,Lo,xr,Js,U,ft,Tr,gt,jr,ht,Fr,Rr,Ir,q,mt,Er,oe,kr,ho,Pr,Cr,So,Mr,Ar,qr,ye,zr,Ne,Gs,se,xe,Uo,ut,Dr,Wo,Or,Ks,M,_t,Lr,Vo,Sr,Ur,vt,Wr,wt,Vr,Hr,Br,z,$t,Jr,ae,Gr,mo,Kr,Xr,Ho,Qr,Yr,Zr,Te,en,je,Xs,re,Fe,Bo,bt,tn,Jo,on,Qs,W,yt,sn,Go,an,rn,D,Nt,nn,ne,ln,uo,dn,cn,Ko,pn,fn,gn,Re,hn,Ie,Ys,le,Ee,Xo,xt,mn,Qo,un,Zs,V,Tt,_n,Yo,vn,wn,O,jt,$n,ie,bn,_o,yn,Nn,Zo,xn,Tn,jn,ke,Fn,Pe,ea,de,Ce,es,Ft,Rn,ts,In,ta,R,Rt,En,os,kn,Pn,It,Cn,vo,Mn,An,qn,Et,zn,kt,Dn,On,Ln,ss,Sn,Un,H,as,Pt,Wn,Vn,rs,Ct,Hn,Bn,ns,Mt,Jn,Gn,ls,At,Kn,Xn,L,qt,Qn,ce,Yn,is,Zn,el,ds,tl,ol,sl,Me,al,Ae,oa,pe,qe,cs,zt,rl,ps,nl,sa,I,Dt,ll,fs,il,dl,Ot,cl,wo,pl,fl,gl,Lt,hl,St,ml,ul,_l,gs,vl,wl,B,hs,Ut,$l,bl,ms,Wt,yl,Nl,us,Vt,xl,Tl,_s,Ht,jl,Fl,S,Bt,Rl,fe,Il,vs,El,kl,ws,Pl,Cl,Ml,ze,Al,De,aa;return n=new K({}),Ke=new K({}),at=new K({}),rt=new vd({props:{pipeline:"image-classification"}}),it=new K({}),dt=new A({props:{name:"class transformers.RegNetConfig",anchor:"transformers.RegNetConfig",parameters:[{name:"num_channels",val:" = 3"},{name:"embedding_size",val:" = 32"},{name:"hidden_sizes",val:" = [128, 192, 512, 1088]"},{name:"depths",val:" = [2, 6, 12, 2]"},{name:"groups_width",val:" = 64"},{name:"layer_type",val:" = 'y'"},{name:"hidden_act",val:" = 'relu'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.RegNetConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.RegNetConfig.embedding_size",description:`<strong>embedding_size</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Dimensionality (hidden size) for the embedding layer.`,name:"embedding_size"},{anchor:"transformers.RegNetConfig.hidden_sizes",description:`<strong>hidden_sizes</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[256, 512, 1024, 2048]</code>) &#x2014;
Dimensionality (hidden size) at each stage.`,name:"hidden_sizes"},{anchor:"transformers.RegNetConfig.depths",description:`<strong>depths</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[3, 4, 6, 3]</code>) &#x2014;
Depth (number of layers) for each stage.`,name:"depths"},{anchor:"transformers.RegNetConfig.layer_type",description:`<strong>layer_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;y&quot;</code>) &#x2014;
The layer to use, it can be either <code>&quot;x&quot; or </code>&#x201C;y&#x201D;<code>. An </code>x<code>layer is a ResNet&apos;s BottleNeck layer with</code>reduction<code>fixed to</code>1<code>. While a </code>y<code>layer is a</code>x\` but with squeeze and excitation. Please refer to the
paper for a detailed explanation of how these layers were constructed.`,name:"layer_type"},{anchor:"transformers.RegNetConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;relu&quot;</code>) &#x2014;
The non-linear activation function in each block. If string, <code>&quot;gelu&quot;</code>, <code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code>
are supported.`,name:"hidden_act"},{anchor:"transformers.RegNetConfig.downsample_in_first_stage",description:`<strong>downsample_in_first_stage</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, the first stage will downsample the inputs using a <code>stride</code> of 2.`,name:"downsample_in_first_stage"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/regnet/configuration_regnet.py#L28"}}),$e=new Qt({props:{anchor:"transformers.RegNetConfig.example",$$slots:{default:[wd]},$$scope:{ctx:j}}}),pt=new K({}),ft=new A({props:{name:"class transformers.RegNetModel",anchor:"transformers.RegNetModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.RegNetModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21485/en/model_doc/regnet#transformers.RegNetConfig">RegNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/regnet/modeling_regnet.py#L331"}}),mt=new A({props:{name:"forward",anchor:"transformers.RegNetModel.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.RegNetModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21485/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/pr_21485/en/model_doc/mobilevit#transformers.MobileViTFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.RegNetModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.RegNetModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21485/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/regnet/modeling_regnet.py#L341",returnDescription:`
<p>A <code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21485/en/model_doc/regnet#transformers.RegNetConfig"
>RegNetConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state after a pooling operation on the spatial dimensions.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ye=new ko({props:{$$slots:{default:[$d]},$$scope:{ctx:j}}}),Ne=new Qt({props:{anchor:"transformers.RegNetModel.forward.example",$$slots:{default:[bd]},$$scope:{ctx:j}}}),ut=new K({}),_t=new A({props:{name:"class transformers.RegNetForImageClassification",anchor:"transformers.RegNetForImageClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.RegNetForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21485/en/model_doc/regnet#transformers.RegNetConfig">RegNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/regnet/modeling_regnet.py#L385"}}),$t=new A({props:{name:"forward",anchor:"transformers.RegNetForImageClassification.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.RegNetForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21485/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/pr_21485/en/model_doc/mobilevit#transformers.MobileViTFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.RegNetForImageClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.RegNetForImageClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21485/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.RegNetForImageClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/regnet/modeling_regnet.py#L398",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_21485/en/model_doc/regnet#transformers.RegNetConfig"
>RegNetConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</li>
<li><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</li>
<li><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each stage) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also
called feature maps) of the model at the output of each stage.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Te=new ko({props:{$$slots:{default:[yd]},$$scope:{ctx:j}}}),je=new Qt({props:{anchor:"transformers.RegNetForImageClassification.forward.example",$$slots:{default:[Nd]},$$scope:{ctx:j}}}),bt=new K({}),yt=new A({props:{name:"class transformers.TFRegNetModel",anchor:"transformers.TFRegNetModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFRegNetModel.This",description:`<strong>This</strong> model is a Tensorflow &#x2014;
[tf.keras.layers.Layer](https &#x2014;//<a href="http://www.tensorflow.org/api_docs/python/tf/keras/layers/Layer" rel="nofollow">www.tensorflow.org/api_docs/python/tf/keras/layers/Layer</a>) sub-class. Use it as a`,name:"This"},{anchor:"transformers.TFRegNetModel.regular",description:`<strong>regular</strong> Tensorflow Module and refer to the Tensorflow documentation for all matter related to general usage and &#x2014;
behavior. &#x2014;
config (<a href="/docs/transformers/pr_21485/en/model_doc/regnet#transformers.RegNetConfig">RegNetConfig</a>): Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"regular"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/regnet/modeling_tf_regnet.py#L405"}}),Nt=new A({props:{name:"call",anchor:"transformers.TFRegNetModel.call",parameters:[{name:"pixel_values",val:": Tensor"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:" = False"}],parametersDescription:[{anchor:"transformers.TFRegNetModel.call.pixel_values",description:`<strong>pixel_values</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21485/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<code>ConveNextImageProcessor.__call__</code> for details.`,name:"pixel_values"},{anchor:"transformers.TFRegNetModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFRegNetModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21485/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/regnet/modeling_tf_regnet.py#L410",returnDescription:`
<p>A <code>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndNoAttention</code> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_21485/en/model_doc/regnet#transformers.RegNetConfig"
>RegNetConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state after a pooling operation on the spatial dimensions.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings, if the model has an embedding layer, + one for
the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndNoAttention</code> or <code>tuple(tf.Tensor)</code></p>
`}}),Re=new ko({props:{$$slots:{default:[xd]},$$scope:{ctx:j}}}),Ie=new Qt({props:{anchor:"transformers.TFRegNetModel.call.example",$$slots:{default:[Td]},$$scope:{ctx:j}}}),xt=new K({}),Tt=new A({props:{name:"class transformers.TFRegNetForImageClassification",anchor:"transformers.TFRegNetForImageClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFRegNetForImageClassification.This",description:`<strong>This</strong> model is a Tensorflow &#x2014;
[tf.keras.layers.Layer](https &#x2014;//<a href="http://www.tensorflow.org/api_docs/python/tf/keras/layers/Layer" rel="nofollow">www.tensorflow.org/api_docs/python/tf/keras/layers/Layer</a>) sub-class. Use it as a`,name:"This"},{anchor:"transformers.TFRegNetForImageClassification.regular",description:`<strong>regular</strong> Tensorflow Module and refer to the Tensorflow documentation for all matter related to general usage and &#x2014;
behavior. &#x2014;
config (<a href="/docs/transformers/pr_21485/en/model_doc/regnet#transformers.RegNetConfig">RegNetConfig</a>): Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"regular"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/regnet/modeling_tf_regnet.py#L464"}}),jt=new A({props:{name:"call",anchor:"transformers.TFRegNetForImageClassification.call",parameters:[{name:"pixel_values",val:": Tensor = None"},{name:"labels",val:": Tensor = None"},{name:"output_hidden_states",val:": bool = None"},{name:"return_dict",val:": bool = None"},{name:"training",val:" = False"}],parametersDescription:[{anchor:"transformers.TFRegNetForImageClassification.call.pixel_values",description:`<strong>pixel_values</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_21485/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<code>ConveNextImageProcessor.__call__</code> for details.`,name:"pixel_values"},{anchor:"transformers.TFRegNetForImageClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFRegNetForImageClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_21485/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.TFRegNetForImageClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/regnet/modeling_tf_regnet.py#L475",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_21485/en/model_doc/regnet#transformers.RegNetConfig"
>RegNetConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),ke=new ko({props:{$$slots:{default:[jd]},$$scope:{ctx:j}}}),Pe=new Qt({props:{anchor:"transformers.TFRegNetForImageClassification.call.example",$$slots:{default:[Fd]},$$scope:{ctx:j}}}),Ft=new K({}),Rt=new A({props:{name:"class transformers.FlaxRegNetModel",anchor:"transformers.FlaxRegNetModel",parameters:[{name:"config",val:": RegNetConfig"},{name:"input_shape",val:" = (1, 224, 224, 3)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxRegNetModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21485/en/model_doc/regnet#transformers.RegNetConfig">RegNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxRegNetModel.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/regnet/modeling_flax_regnet.py#L689"}}),qt=new A({props:{name:"__call__",anchor:"transformers.FlaxRegNetModel.__call__",parameters:[{name:"pixel_values",val:""},{name:"params",val:": dict = None"},{name:"train",val:": bool = False"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/regnet/modeling_flax_regnet.py#L596",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.regnet.configuration_regnet.RegNetConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21485/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Me=new ko({props:{$$slots:{default:[Rd]},$$scope:{ctx:j}}}),Ae=new Qt({props:{anchor:"transformers.FlaxRegNetModel.__call__.example",$$slots:{default:[Id]},$$scope:{ctx:j}}}),zt=new K({}),Dt=new A({props:{name:"class transformers.FlaxRegNetForImageClassification",anchor:"transformers.FlaxRegNetForImageClassification",parameters:[{name:"config",val:": RegNetConfig"},{name:"input_shape",val:" = (1, 224, 224, 3)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxRegNetForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_21485/en/model_doc/regnet#transformers.RegNetConfig">RegNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxRegNetForImageClassification.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/pr_21485/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/regnet/modeling_flax_regnet.py#L782"}}),Bt=new A({props:{name:"__call__",anchor:"transformers.FlaxRegNetForImageClassification.__call__",parameters:[{name:"pixel_values",val:""},{name:"params",val:": dict = None"},{name:"train",val:": bool = False"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],source:"https://github.com/huggingface/transformers/blob/vr_21485/src/transformers/models/regnet/modeling_flax_regnet.py#L596",returnDescription:`
<p>A <code>transformers.modeling_flax_outputs.FlaxImageClassifierOutputWithNoAttention</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.regnet.configuration_regnet.RegNetConfig'&gt;</code>) and inputs.</p>
<ul>
<li><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</li>
<li><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when</li>
<li><strong><code>config.output_hidden_states=True</code>):</strong>
Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings, if the model has an embedding layer, + one
for the output of each stage) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also
called feature maps) of the model at the output of each stage.</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_flax_outputs.FlaxImageClassifierOutputWithNoAttention</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ze=new ko({props:{$$slots:{default:[Ed]},$$scope:{ctx:j}}}),De=new Qt({props:{anchor:"transformers.FlaxRegNetForImageClassification.__call__.example",$$slots:{default:[kd]},$$scope:{ctx:j}}}),{c(){d=s("meta"),w=p(),u=s("h1"),h=s("a"),v=s("span"),$(n.$$.fragment),g=p(),F=s("span"),ya=l("RegNet"),ks=p(),X=s("h2"),ge=s("a"),Po=s("span"),$(Ke.$$.fragment),Na=p(),Co=s("span"),xa=l("Overview"),Ps=p(),he=s("p"),Ta=l("The RegNet model was proposed in "),Xe=s("a"),ja=l("Designing Network Design Spaces"),Fa=l(" by Ilija Radosavovic, Raj Prateek Kosaraju, Ross Girshick, Kaiming He, Piotr Doll\xE1r."),Cs=p(),eo=s("p"),Ra=l("The authors design search spaces to perform Neural Architecture Search (NAS). They first start from a high dimensional search space and iteratively reduce the search space by empirically applying constraints based on the best-performing models sampled by the current search space."),Ms=p(),to=s("p"),Ia=l("The abstract from the paper is the following:"),As=p(),oo=s("p"),Mo=s("em"),Ea=l("In this work, we present a new network design paradigm. Our goal is to help advance the understanding of network design and discover design principles that generalize across settings. Instead of focusing on designing individual network instances, we design network design spaces that parametrize populations of networks. The overall process is analogous to classic manual design of networks, but elevated to the design space level. Using our methodology we explore the structure aspect of network design and arrive at a low-dimensional design space consisting of simple, regular networks that we call RegNet. The core insight of the RegNet parametrization is surprisingly simple: widths and depths of good networks can be explained by a quantized linear function. We analyze the RegNet design space and arrive at interesting findings that do not match the current practice of network design. The RegNet design space provides simple and fast networks that work well across a wide range of flop regimes. Under comparable training settings and flops, the RegNet models outperform the popular EfficientNet models while being up to 5x faster on GPUs."),qs=p(),so=s("p"),ka=l("Tips:"),zs=p(),me=s("ul"),Qe=s("li"),Pa=l("One can use "),ao=s("a"),Ca=l("AutoImageProcessor"),Ma=l(" to prepare images for the model."),Aa=p(),ue=s("li"),qa=l("The huge 10B model from "),Ye=s("a"),za=l("Self-supervised Pretraining of Visual Features in the Wild"),Da=l(", trained on one billion Instagram images, is available on the "),Ze=s("a"),Oa=l("hub"),Ds=p(),E=s("p"),La=l("This model was contributed by "),et=s("a"),Sa=l("Francesco"),Ua=l(`. The TensorFlow version of the model
was contributed by `),tt=s("a"),Wa=l("sayakpaul"),Va=l(" and "),ot=s("a"),Ha=l("ariG23498"),Ba=l(`.
The original code can be found `),st=s("a"),Ja=l("here"),Ga=l("."),Os=p(),Q=s("h2"),_e=s("a"),Ao=s("span"),$(at.$$.fragment),Ka=p(),qo=s("span"),Xa=l("Resources"),Ls=p(),ro=s("p"),Qa=l("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with RegNet."),Ss=p(),$(rt.$$.fragment),Us=p(),ve=s("ul"),J=s("li"),no=s("a"),Ya=l("RegNetForImageClassification"),Za=l(" is supported by this "),nt=s("a"),er=l("example script"),tr=l(" and "),lt=s("a"),or=l("notebook"),sr=l("."),ar=p(),lo=s("li"),rr=l("See also: "),io=s("a"),nr=l("Image classification task guide"),Ws=p(),co=s("p"),lr=l("If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Vs=p(),Y=s("h2"),we=s("a"),zo=s("span"),$(it.$$.fragment),ir=p(),Do=s("span"),dr=l("RegNetConfig"),Hs=p(),C=s("div"),$(dt.$$.fragment),cr=p(),Z=s("p"),pr=l("This is the configuration class to store the configuration of a "),po=s("a"),fr=l("RegNetModel"),gr=l(`. It is used to instantiate a RegNet
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the RegNet
`),ct=s("a"),hr=l("facebook/regnet-y-040"),mr=l(" architecture."),ur=p(),ee=s("p"),_r=l("Configuration objects inherit from "),fo=s("a"),vr=l("PretrainedConfig"),wr=l(` and can be used to control the model outputs. Read the
documentation from `),go=s("a"),$r=l("PretrainedConfig"),br=l(" for more information."),yr=p(),$($e.$$.fragment),Bs=p(),te=s("h2"),be=s("a"),Oo=s("span"),$(pt.$$.fragment),Nr=p(),Lo=s("span"),xr=l("RegNetModel"),Js=p(),U=s("div"),$(ft.$$.fragment),Tr=p(),gt=s("p"),jr=l(`The bare RegNet model outputting raw features without any specific head on top.
This model is a PyTorch `),ht=s("a"),Fr=l("torch.nn.Module"),Rr=l(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Ir=p(),q=s("div"),$(mt.$$.fragment),Er=p(),oe=s("p"),kr=l("The "),ho=s("a"),Pr=l("RegNetModel"),Cr=l(" forward method, overrides the "),So=s("code"),Mr=l("__call__"),Ar=l(" special method."),qr=p(),$(ye.$$.fragment),zr=p(),$(Ne.$$.fragment),Gs=p(),se=s("h2"),xe=s("a"),Uo=s("span"),$(ut.$$.fragment),Dr=p(),Wo=s("span"),Or=l("RegNetForImageClassification"),Ks=p(),M=s("div"),$(_t.$$.fragment),Lr=p(),Vo=s("p"),Sr=l(`RegNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),Ur=p(),vt=s("p"),Wr=l("This model is a PyTorch "),wt=s("a"),Vr=l("torch.nn.Module"),Hr=l(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Br=p(),z=s("div"),$($t.$$.fragment),Jr=p(),ae=s("p"),Gr=l("The "),mo=s("a"),Kr=l("RegNetForImageClassification"),Xr=l(" forward method, overrides the "),Ho=s("code"),Qr=l("__call__"),Yr=l(" special method."),Zr=p(),$(Te.$$.fragment),en=p(),$(je.$$.fragment),Xs=p(),re=s("h2"),Fe=s("a"),Bo=s("span"),$(bt.$$.fragment),tn=p(),Jo=s("span"),on=l("TFRegNetModel"),Qs=p(),W=s("div"),$(yt.$$.fragment),sn=p(),Go=s("p"),an=l("The bare RegNet model outputting raw features without any specific head on top."),rn=p(),D=s("div"),$(Nt.$$.fragment),nn=p(),ne=s("p"),ln=l("The "),uo=s("a"),dn=l("TFRegNetModel"),cn=l(" forward method, overrides the "),Ko=s("code"),pn=l("__call__"),fn=l(" special method."),gn=p(),$(Re.$$.fragment),hn=p(),$(Ie.$$.fragment),Ys=p(),le=s("h2"),Ee=s("a"),Xo=s("span"),$(xt.$$.fragment),mn=p(),Qo=s("span"),un=l("TFRegNetForImageClassification"),Zs=p(),V=s("div"),$(Tt.$$.fragment),_n=p(),Yo=s("p"),vn=l(`RegNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),wn=p(),O=s("div"),$(jt.$$.fragment),$n=p(),ie=s("p"),bn=l("The "),_o=s("a"),yn=l("TFRegNetForImageClassification"),Nn=l(" forward method, overrides the "),Zo=s("code"),xn=l("__call__"),Tn=l(" special method."),jn=p(),$(ke.$$.fragment),Fn=p(),$(Pe.$$.fragment),ea=p(),de=s("h2"),Ce=s("a"),es=s("span"),$(Ft.$$.fragment),Rn=p(),ts=s("span"),In=l("FlaxRegNetModel"),ta=p(),R=s("div"),$(Rt.$$.fragment),En=p(),os=s("p"),kn=l("The bare RegNet model outputting raw features without any specific head on top."),Pn=p(),It=s("p"),Cn=l("This model inherits from "),vo=s("a"),Mn=l("FlaxPreTrainedModel"),An=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),qn=p(),Et=s("p"),zn=l("This model is also a Flax Linen "),kt=s("a"),Dn=l("flax.linen.Module"),On=l(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Ln=p(),ss=s("p"),Sn=l("Finally, this model supports inherent JAX features such as:"),Un=p(),H=s("ul"),as=s("li"),Pt=s("a"),Wn=l("Just-In-Time (JIT) compilation"),Vn=p(),rs=s("li"),Ct=s("a"),Hn=l("Automatic Differentiation"),Bn=p(),ns=s("li"),Mt=s("a"),Jn=l("Vectorization"),Gn=p(),ls=s("li"),At=s("a"),Kn=l("Parallelization"),Xn=p(),L=s("div"),$(qt.$$.fragment),Qn=p(),ce=s("p"),Yn=l("The "),is=s("code"),Zn=l("FlaxRegNetPreTrainedModel"),el=l(" forward method, overrides the "),ds=s("code"),tl=l("__call__"),ol=l(" special method."),sl=p(),$(Me.$$.fragment),al=p(),$(Ae.$$.fragment),oa=p(),pe=s("h2"),qe=s("a"),cs=s("span"),$(zt.$$.fragment),rl=p(),ps=s("span"),nl=l("FlaxRegNetForImageClassification"),sa=p(),I=s("div"),$(Dt.$$.fragment),ll=p(),fs=s("p"),il=l(`RegNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),dl=p(),Ot=s("p"),cl=l("This model inherits from "),wo=s("a"),pl=l("FlaxPreTrainedModel"),fl=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),gl=p(),Lt=s("p"),hl=l("This model is also a Flax Linen "),St=s("a"),ml=l("flax.linen.Module"),ul=l(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),_l=p(),gs=s("p"),vl=l("Finally, this model supports inherent JAX features such as:"),wl=p(),B=s("ul"),hs=s("li"),Ut=s("a"),$l=l("Just-In-Time (JIT) compilation"),bl=p(),ms=s("li"),Wt=s("a"),yl=l("Automatic Differentiation"),Nl=p(),us=s("li"),Vt=s("a"),xl=l("Vectorization"),Tl=p(),_s=s("li"),Ht=s("a"),jl=l("Parallelization"),Fl=p(),S=s("div"),$(Bt.$$.fragment),Rl=p(),fe=s("p"),Il=l("The "),vs=s("code"),El=l("FlaxRegNetPreTrainedModel"),kl=l(" forward method, overrides the "),ws=s("code"),Pl=l("__call__"),Cl=l(" special method."),Ml=p(),$(ze.$$.fragment),Al=p(),$(De.$$.fragment),this.h()},l(t){const m=ud('[data-svelte="svelte-1phssyn"]',document.head);d=a(m,"META",{name:!0,content:!0}),m.forEach(o),w=f(t),u=a(t,"H1",{class:!0});var Jt=r(u);h=a(Jt,"A",{id:!0,class:!0,href:!0});var $s=r(h);v=a($s,"SPAN",{});var bs=r(v);b(n.$$.fragment,bs),bs.forEach(o),$s.forEach(o),g=f(Jt),F=a(Jt,"SPAN",{});var ys=r(F);ya=i(ys,"RegNet"),ys.forEach(o),Jt.forEach(o),ks=f(t),X=a(t,"H2",{class:!0});var Gt=r(X);ge=a(Gt,"A",{id:!0,class:!0,href:!0});var Ns=r(ge);Po=a(Ns,"SPAN",{});var xs=r(Po);b(Ke.$$.fragment,xs),xs.forEach(o),Ns.forEach(o),Na=f(Gt),Co=a(Gt,"SPAN",{});var Ts=r(Co);xa=i(Ts,"Overview"),Ts.forEach(o),Gt.forEach(o),Ps=f(t),he=a(t,"P",{});var Kt=r(he);Ta=i(Kt,"The RegNet model was proposed in "),Xe=a(Kt,"A",{href:!0,rel:!0});var js=r(Xe);ja=i(js,"Designing Network Design Spaces"),js.forEach(o),Fa=i(Kt," by Ilija Radosavovic, Raj Prateek Kosaraju, Ross Girshick, Kaiming He, Piotr Doll\xE1r."),Kt.forEach(o),Cs=f(t),eo=a(t,"P",{});var Fs=r(eo);Ra=i(Fs,"The authors design search spaces to perform Neural Architecture Search (NAS). They first start from a high dimensional search space and iteratively reduce the search space by empirically applying constraints based on the best-performing models sampled by the current search space."),Fs.forEach(o),Ms=f(t),to=a(t,"P",{});var Rs=r(to);Ia=i(Rs,"The abstract from the paper is the following:"),Rs.forEach(o),As=f(t),oo=a(t,"P",{});var Is=r(oo);Mo=a(Is,"EM",{});var zl=r(Mo);Ea=i(zl,"In this work, we present a new network design paradigm. Our goal is to help advance the understanding of network design and discover design principles that generalize across settings. Instead of focusing on designing individual network instances, we design network design spaces that parametrize populations of networks. The overall process is analogous to classic manual design of networks, but elevated to the design space level. Using our methodology we explore the structure aspect of network design and arrive at a low-dimensional design space consisting of simple, regular networks that we call RegNet. The core insight of the RegNet parametrization is surprisingly simple: widths and depths of good networks can be explained by a quantized linear function. We analyze the RegNet design space and arrive at interesting findings that do not match the current practice of network design. The RegNet design space provides simple and fast networks that work well across a wide range of flop regimes. Under comparable training settings and flops, the RegNet models outperform the popular EfficientNet models while being up to 5x faster on GPUs."),zl.forEach(o),Is.forEach(o),qs=f(t),so=a(t,"P",{});var Dl=r(so);ka=i(Dl,"Tips:"),Dl.forEach(o),zs=f(t),me=a(t,"UL",{});var ra=r(me);Qe=a(ra,"LI",{});var na=r(Qe);Pa=i(na,"One can use "),ao=a(na,"A",{href:!0});var Ol=r(ao);Ca=i(Ol,"AutoImageProcessor"),Ol.forEach(o),Ma=i(na," to prepare images for the model."),na.forEach(o),Aa=f(ra),ue=a(ra,"LI",{});var Es=r(ue);qa=i(Es,"The huge 10B model from "),Ye=a(Es,"A",{href:!0,rel:!0});var Ll=r(Ye);za=i(Ll,"Self-supervised Pretraining of Visual Features in the Wild"),Ll.forEach(o),Da=i(Es,", trained on one billion Instagram images, is available on the "),Ze=a(Es,"A",{href:!0,rel:!0});var Sl=r(Ze);Oa=i(Sl,"hub"),Sl.forEach(o),Es.forEach(o),ra.forEach(o),Ds=f(t),E=a(t,"P",{});var G=r(E);La=i(G,"This model was contributed by "),et=a(G,"A",{href:!0,rel:!0});var Ul=r(et);Sa=i(Ul,"Francesco"),Ul.forEach(o),Ua=i(G,`. The TensorFlow version of the model
was contributed by `),tt=a(G,"A",{href:!0,rel:!0});var Wl=r(tt);Wa=i(Wl,"sayakpaul"),Wl.forEach(o),Va=i(G," and "),ot=a(G,"A",{href:!0,rel:!0});var Vl=r(ot);Ha=i(Vl,"ariG23498"),Vl.forEach(o),Ba=i(G,`.
The original code can be found `),st=a(G,"A",{href:!0,rel:!0});var Hl=r(st);Ja=i(Hl,"here"),Hl.forEach(o),Ga=i(G,"."),G.forEach(o),Os=f(t),Q=a(t,"H2",{class:!0});var la=r(Q);_e=a(la,"A",{id:!0,class:!0,href:!0});var Bl=r(_e);Ao=a(Bl,"SPAN",{});var Jl=r(Ao);b(at.$$.fragment,Jl),Jl.forEach(o),Bl.forEach(o),Ka=f(la),qo=a(la,"SPAN",{});var Gl=r(qo);Xa=i(Gl,"Resources"),Gl.forEach(o),la.forEach(o),Ls=f(t),ro=a(t,"P",{});var Kl=r(ro);Qa=i(Kl,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with RegNet."),Kl.forEach(o),Ss=f(t),b(rt.$$.fragment,t),Us=f(t),ve=a(t,"UL",{});var ia=r(ve);J=a(ia,"LI",{});var Xt=r(J);no=a(Xt,"A",{href:!0});var Xl=r(no);Ya=i(Xl,"RegNetForImageClassification"),Xl.forEach(o),Za=i(Xt," is supported by this "),nt=a(Xt,"A",{href:!0,rel:!0});var Ql=r(nt);er=i(Ql,"example script"),Ql.forEach(o),tr=i(Xt," and "),lt=a(Xt,"A",{href:!0,rel:!0});var Yl=r(lt);or=i(Yl,"notebook"),Yl.forEach(o),sr=i(Xt,"."),Xt.forEach(o),ar=f(ia),lo=a(ia,"LI",{});var ql=r(lo);rr=i(ql,"See also: "),io=a(ql,"A",{href:!0});var Zl=r(io);nr=i(Zl,"Image classification task guide"),Zl.forEach(o),ql.forEach(o),ia.forEach(o),Ws=f(t),co=a(t,"P",{});var ei=r(co);lr=i(ei,"If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),ei.forEach(o),Vs=f(t),Y=a(t,"H2",{class:!0});var da=r(Y);we=a(da,"A",{id:!0,class:!0,href:!0});var ti=r(we);zo=a(ti,"SPAN",{});var oi=r(zo);b(it.$$.fragment,oi),oi.forEach(o),ti.forEach(o),ir=f(da),Do=a(da,"SPAN",{});var si=r(Do);dr=i(si,"RegNetConfig"),si.forEach(o),da.forEach(o),Hs=f(t),C=a(t,"DIV",{class:!0});var Oe=r(C);b(dt.$$.fragment,Oe),cr=f(Oe),Z=a(Oe,"P",{});var $o=r(Z);pr=i($o,"This is the configuration class to store the configuration of a "),po=a($o,"A",{href:!0});var ai=r(po);fr=i(ai,"RegNetModel"),ai.forEach(o),gr=i($o,`. It is used to instantiate a RegNet
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the RegNet
`),ct=a($o,"A",{href:!0,rel:!0});var ri=r(ct);hr=i(ri,"facebook/regnet-y-040"),ri.forEach(o),mr=i($o," architecture."),$o.forEach(o),ur=f(Oe),ee=a(Oe,"P",{});var bo=r(ee);_r=i(bo,"Configuration objects inherit from "),fo=a(bo,"A",{href:!0});var ni=r(fo);vr=i(ni,"PretrainedConfig"),ni.forEach(o),wr=i(bo,` and can be used to control the model outputs. Read the
documentation from `),go=a(bo,"A",{href:!0});var li=r(go);$r=i(li,"PretrainedConfig"),li.forEach(o),br=i(bo," for more information."),bo.forEach(o),yr=f(Oe),b($e.$$.fragment,Oe),Oe.forEach(o),Bs=f(t),te=a(t,"H2",{class:!0});var ca=r(te);be=a(ca,"A",{id:!0,class:!0,href:!0});var ii=r(be);Oo=a(ii,"SPAN",{});var di=r(Oo);b(pt.$$.fragment,di),di.forEach(o),ii.forEach(o),Nr=f(ca),Lo=a(ca,"SPAN",{});var ci=r(Lo);xr=i(ci,"RegNetModel"),ci.forEach(o),ca.forEach(o),Js=f(t),U=a(t,"DIV",{class:!0});var yo=r(U);b(ft.$$.fragment,yo),Tr=f(yo),gt=a(yo,"P",{});var pa=r(gt);jr=i(pa,`The bare RegNet model outputting raw features without any specific head on top.
This model is a PyTorch `),ht=a(pa,"A",{href:!0,rel:!0});var pi=r(ht);Fr=i(pi,"torch.nn.Module"),pi.forEach(o),Rr=i(pa,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),pa.forEach(o),Ir=f(yo),q=a(yo,"DIV",{class:!0});var Le=r(q);b(mt.$$.fragment,Le),Er=f(Le),oe=a(Le,"P",{});var No=r(oe);kr=i(No,"The "),ho=a(No,"A",{href:!0});var fi=r(ho);Pr=i(fi,"RegNetModel"),fi.forEach(o),Cr=i(No," forward method, overrides the "),So=a(No,"CODE",{});var gi=r(So);Mr=i(gi,"__call__"),gi.forEach(o),Ar=i(No," special method."),No.forEach(o),qr=f(Le),b(ye.$$.fragment,Le),zr=f(Le),b(Ne.$$.fragment,Le),Le.forEach(o),yo.forEach(o),Gs=f(t),se=a(t,"H2",{class:!0});var fa=r(se);xe=a(fa,"A",{id:!0,class:!0,href:!0});var hi=r(xe);Uo=a(hi,"SPAN",{});var mi=r(Uo);b(ut.$$.fragment,mi),mi.forEach(o),hi.forEach(o),Dr=f(fa),Wo=a(fa,"SPAN",{});var ui=r(Wo);Or=i(ui,"RegNetForImageClassification"),ui.forEach(o),fa.forEach(o),Ks=f(t),M=a(t,"DIV",{class:!0});var Se=r(M);b(_t.$$.fragment,Se),Lr=f(Se),Vo=a(Se,"P",{});var _i=r(Vo);Sr=i(_i,`RegNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),_i.forEach(o),Ur=f(Se),vt=a(Se,"P",{});var ga=r(vt);Wr=i(ga,"This model is a PyTorch "),wt=a(ga,"A",{href:!0,rel:!0});var vi=r(wt);Vr=i(vi,"torch.nn.Module"),vi.forEach(o),Hr=i(ga,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ga.forEach(o),Br=f(Se),z=a(Se,"DIV",{class:!0});var Ue=r(z);b($t.$$.fragment,Ue),Jr=f(Ue),ae=a(Ue,"P",{});var xo=r(ae);Gr=i(xo,"The "),mo=a(xo,"A",{href:!0});var wi=r(mo);Kr=i(wi,"RegNetForImageClassification"),wi.forEach(o),Xr=i(xo," forward method, overrides the "),Ho=a(xo,"CODE",{});var $i=r(Ho);Qr=i($i,"__call__"),$i.forEach(o),Yr=i(xo," special method."),xo.forEach(o),Zr=f(Ue),b(Te.$$.fragment,Ue),en=f(Ue),b(je.$$.fragment,Ue),Ue.forEach(o),Se.forEach(o),Xs=f(t),re=a(t,"H2",{class:!0});var ha=r(re);Fe=a(ha,"A",{id:!0,class:!0,href:!0});var bi=r(Fe);Bo=a(bi,"SPAN",{});var yi=r(Bo);b(bt.$$.fragment,yi),yi.forEach(o),bi.forEach(o),tn=f(ha),Jo=a(ha,"SPAN",{});var Ni=r(Jo);on=i(Ni,"TFRegNetModel"),Ni.forEach(o),ha.forEach(o),Qs=f(t),W=a(t,"DIV",{class:!0});var To=r(W);b(yt.$$.fragment,To),sn=f(To),Go=a(To,"P",{});var xi=r(Go);an=i(xi,"The bare RegNet model outputting raw features without any specific head on top."),xi.forEach(o),rn=f(To),D=a(To,"DIV",{class:!0});var We=r(D);b(Nt.$$.fragment,We),nn=f(We),ne=a(We,"P",{});var jo=r(ne);ln=i(jo,"The "),uo=a(jo,"A",{href:!0});var Ti=r(uo);dn=i(Ti,"TFRegNetModel"),Ti.forEach(o),cn=i(jo," forward method, overrides the "),Ko=a(jo,"CODE",{});var ji=r(Ko);pn=i(ji,"__call__"),ji.forEach(o),fn=i(jo," special method."),jo.forEach(o),gn=f(We),b(Re.$$.fragment,We),hn=f(We),b(Ie.$$.fragment,We),We.forEach(o),To.forEach(o),Ys=f(t),le=a(t,"H2",{class:!0});var ma=r(le);Ee=a(ma,"A",{id:!0,class:!0,href:!0});var Fi=r(Ee);Xo=a(Fi,"SPAN",{});var Ri=r(Xo);b(xt.$$.fragment,Ri),Ri.forEach(o),Fi.forEach(o),mn=f(ma),Qo=a(ma,"SPAN",{});var Ii=r(Qo);un=i(Ii,"TFRegNetForImageClassification"),Ii.forEach(o),ma.forEach(o),Zs=f(t),V=a(t,"DIV",{class:!0});var Fo=r(V);b(Tt.$$.fragment,Fo),_n=f(Fo),Yo=a(Fo,"P",{});var Ei=r(Yo);vn=i(Ei,`RegNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),Ei.forEach(o),wn=f(Fo),O=a(Fo,"DIV",{class:!0});var Ve=r(O);b(jt.$$.fragment,Ve),$n=f(Ve),ie=a(Ve,"P",{});var Ro=r(ie);bn=i(Ro,"The "),_o=a(Ro,"A",{href:!0});var ki=r(_o);yn=i(ki,"TFRegNetForImageClassification"),ki.forEach(o),Nn=i(Ro," forward method, overrides the "),Zo=a(Ro,"CODE",{});var Pi=r(Zo);xn=i(Pi,"__call__"),Pi.forEach(o),Tn=i(Ro," special method."),Ro.forEach(o),jn=f(Ve),b(ke.$$.fragment,Ve),Fn=f(Ve),b(Pe.$$.fragment,Ve),Ve.forEach(o),Fo.forEach(o),ea=f(t),de=a(t,"H2",{class:!0});var ua=r(de);Ce=a(ua,"A",{id:!0,class:!0,href:!0});var Ci=r(Ce);es=a(Ci,"SPAN",{});var Mi=r(es);b(Ft.$$.fragment,Mi),Mi.forEach(o),Ci.forEach(o),Rn=f(ua),ts=a(ua,"SPAN",{});var Ai=r(ts);In=i(Ai,"FlaxRegNetModel"),Ai.forEach(o),ua.forEach(o),ta=f(t),R=a(t,"DIV",{class:!0});var k=r(R);b(Rt.$$.fragment,k),En=f(k),os=a(k,"P",{});var qi=r(os);kn=i(qi,"The bare RegNet model outputting raw features without any specific head on top."),qi.forEach(o),Pn=f(k),It=a(k,"P",{});var _a=r(It);Cn=i(_a,"This model inherits from "),vo=a(_a,"A",{href:!0});var zi=r(vo);Mn=i(zi,"FlaxPreTrainedModel"),zi.forEach(o),An=i(_a,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),_a.forEach(o),qn=f(k),Et=a(k,"P",{});var va=r(Et);zn=i(va,"This model is also a Flax Linen "),kt=a(va,"A",{href:!0,rel:!0});var Di=r(kt);Dn=i(Di,"flax.linen.Module"),Di.forEach(o),On=i(va,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),va.forEach(o),Ln=f(k),ss=a(k,"P",{});var Oi=r(ss);Sn=i(Oi,"Finally, this model supports inherent JAX features such as:"),Oi.forEach(o),Un=f(k),H=a(k,"UL",{});var He=r(H);as=a(He,"LI",{});var Li=r(as);Pt=a(Li,"A",{href:!0,rel:!0});var Si=r(Pt);Wn=i(Si,"Just-In-Time (JIT) compilation"),Si.forEach(o),Li.forEach(o),Vn=f(He),rs=a(He,"LI",{});var Ui=r(rs);Ct=a(Ui,"A",{href:!0,rel:!0});var Wi=r(Ct);Hn=i(Wi,"Automatic Differentiation"),Wi.forEach(o),Ui.forEach(o),Bn=f(He),ns=a(He,"LI",{});var Vi=r(ns);Mt=a(Vi,"A",{href:!0,rel:!0});var Hi=r(Mt);Jn=i(Hi,"Vectorization"),Hi.forEach(o),Vi.forEach(o),Gn=f(He),ls=a(He,"LI",{});var Bi=r(ls);At=a(Bi,"A",{href:!0,rel:!0});var Ji=r(At);Kn=i(Ji,"Parallelization"),Ji.forEach(o),Bi.forEach(o),He.forEach(o),Xn=f(k),L=a(k,"DIV",{class:!0});var Be=r(L);b(qt.$$.fragment,Be),Qn=f(Be),ce=a(Be,"P",{});var Io=r(ce);Yn=i(Io,"The "),is=a(Io,"CODE",{});var Gi=r(is);Zn=i(Gi,"FlaxRegNetPreTrainedModel"),Gi.forEach(o),el=i(Io," forward method, overrides the "),ds=a(Io,"CODE",{});var Ki=r(ds);tl=i(Ki,"__call__"),Ki.forEach(o),ol=i(Io," special method."),Io.forEach(o),sl=f(Be),b(Me.$$.fragment,Be),al=f(Be),b(Ae.$$.fragment,Be),Be.forEach(o),k.forEach(o),oa=f(t),pe=a(t,"H2",{class:!0});var wa=r(pe);qe=a(wa,"A",{id:!0,class:!0,href:!0});var Xi=r(qe);cs=a(Xi,"SPAN",{});var Qi=r(cs);b(zt.$$.fragment,Qi),Qi.forEach(o),Xi.forEach(o),rl=f(wa),ps=a(wa,"SPAN",{});var Yi=r(ps);nl=i(Yi,"FlaxRegNetForImageClassification"),Yi.forEach(o),wa.forEach(o),sa=f(t),I=a(t,"DIV",{class:!0});var P=r(I);b(Dt.$$.fragment,P),ll=f(P),fs=a(P,"P",{});var Zi=r(fs);il=i(Zi,`RegNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),Zi.forEach(o),dl=f(P),Ot=a(P,"P",{});var $a=r(Ot);cl=i($a,"This model inherits from "),wo=a($a,"A",{href:!0});var ed=r(wo);pl=i(ed,"FlaxPreTrainedModel"),ed.forEach(o),fl=i($a,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),$a.forEach(o),gl=f(P),Lt=a(P,"P",{});var ba=r(Lt);hl=i(ba,"This model is also a Flax Linen "),St=a(ba,"A",{href:!0,rel:!0});var td=r(St);ml=i(td,"flax.linen.Module"),td.forEach(o),ul=i(ba,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),ba.forEach(o),_l=f(P),gs=a(P,"P",{});var od=r(gs);vl=i(od,"Finally, this model supports inherent JAX features such as:"),od.forEach(o),wl=f(P),B=a(P,"UL",{});var Je=r(B);hs=a(Je,"LI",{});var sd=r(hs);Ut=a(sd,"A",{href:!0,rel:!0});var ad=r(Ut);$l=i(ad,"Just-In-Time (JIT) compilation"),ad.forEach(o),sd.forEach(o),bl=f(Je),ms=a(Je,"LI",{});var rd=r(ms);Wt=a(rd,"A",{href:!0,rel:!0});var nd=r(Wt);yl=i(nd,"Automatic Differentiation"),nd.forEach(o),rd.forEach(o),Nl=f(Je),us=a(Je,"LI",{});var ld=r(us);Vt=a(ld,"A",{href:!0,rel:!0});var id=r(Vt);xl=i(id,"Vectorization"),id.forEach(o),ld.forEach(o),Tl=f(Je),_s=a(Je,"LI",{});var dd=r(_s);Ht=a(dd,"A",{href:!0,rel:!0});var cd=r(Ht);jl=i(cd,"Parallelization"),cd.forEach(o),dd.forEach(o),Je.forEach(o),Fl=f(P),S=a(P,"DIV",{class:!0});var Ge=r(S);b(Bt.$$.fragment,Ge),Rl=f(Ge),fe=a(Ge,"P",{});var Eo=r(fe);Il=i(Eo,"The "),vs=a(Eo,"CODE",{});var pd=r(vs);El=i(pd,"FlaxRegNetPreTrainedModel"),pd.forEach(o),kl=i(Eo," forward method, overrides the "),ws=a(Eo,"CODE",{});var fd=r(ws);Pl=i(fd,"__call__"),fd.forEach(o),Cl=i(Eo," special method."),Eo.forEach(o),Ml=f(Ge),b(ze.$$.fragment,Ge),Al=f(Ge),b(De.$$.fragment,Ge),Ge.forEach(o),P.forEach(o),this.h()},h(){c(d,"name","hf:doc:metadata"),c(d,"content",JSON.stringify(Cd)),c(h,"id","regnet"),c(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(h,"href","#regnet"),c(u,"class","relative group"),c(ge,"id","overview"),c(ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ge,"href","#overview"),c(X,"class","relative group"),c(Xe,"href","https://arxiv.org/abs/2003.13678"),c(Xe,"rel","nofollow"),c(ao,"href","/docs/transformers/pr_21485/en/model_doc/auto#transformers.AutoImageProcessor"),c(Ye,"href","https://arxiv.org/abs/2103.01988"),c(Ye,"rel","nofollow"),c(Ze,"href","https://huggingface.co/facebook/regnet-y-10b-seer"),c(Ze,"rel","nofollow"),c(et,"href","https://huggingface.co/Francesco"),c(et,"rel","nofollow"),c(tt,"href","https://huggingface.com/sayakpaul"),c(tt,"rel","nofollow"),c(ot,"href","https://huggingface.com/ariG23498"),c(ot,"rel","nofollow"),c(st,"href","https://github.com/facebookresearch/pycls"),c(st,"rel","nofollow"),c(_e,"id","resources"),c(_e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(_e,"href","#resources"),c(Q,"class","relative group"),c(no,"href","/docs/transformers/pr_21485/en/model_doc/regnet#transformers.RegNetForImageClassification"),c(nt,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/image-classification"),c(nt,"rel","nofollow"),c(lt,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/image_classification.ipynb"),c(lt,"rel","nofollow"),c(io,"href","../tasks/image_classification"),c(we,"id","transformers.RegNetConfig"),c(we,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(we,"href","#transformers.RegNetConfig"),c(Y,"class","relative group"),c(po,"href","/docs/transformers/pr_21485/en/model_doc/regnet#transformers.RegNetModel"),c(ct,"href","https://huggingface.co/facebook/regnet-y-040"),c(ct,"rel","nofollow"),c(fo,"href","/docs/transformers/pr_21485/en/main_classes/configuration#transformers.PretrainedConfig"),c(go,"href","/docs/transformers/pr_21485/en/main_classes/configuration#transformers.PretrainedConfig"),c(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(be,"id","transformers.RegNetModel"),c(be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(be,"href","#transformers.RegNetModel"),c(te,"class","relative group"),c(ht,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(ht,"rel","nofollow"),c(ho,"href","/docs/transformers/pr_21485/en/model_doc/regnet#transformers.RegNetModel"),c(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(xe,"id","transformers.RegNetForImageClassification"),c(xe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(xe,"href","#transformers.RegNetForImageClassification"),c(se,"class","relative group"),c(wt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(wt,"rel","nofollow"),c(mo,"href","/docs/transformers/pr_21485/en/model_doc/regnet#transformers.RegNetForImageClassification"),c(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Fe,"id","transformers.TFRegNetModel"),c(Fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Fe,"href","#transformers.TFRegNetModel"),c(re,"class","relative group"),c(uo,"href","/docs/transformers/pr_21485/en/model_doc/regnet#transformers.TFRegNetModel"),c(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ee,"id","transformers.TFRegNetForImageClassification"),c(Ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ee,"href","#transformers.TFRegNetForImageClassification"),c(le,"class","relative group"),c(_o,"href","/docs/transformers/pr_21485/en/model_doc/regnet#transformers.TFRegNetForImageClassification"),c(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ce,"id","transformers.FlaxRegNetModel"),c(Ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ce,"href","#transformers.FlaxRegNetModel"),c(de,"class","relative group"),c(vo,"href","/docs/transformers/pr_21485/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(kt,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(kt,"rel","nofollow"),c(Pt,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(Pt,"rel","nofollow"),c(Ct,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(Ct,"rel","nofollow"),c(Mt,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(Mt,"rel","nofollow"),c(At,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(At,"rel","nofollow"),c(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(qe,"id","transformers.FlaxRegNetForImageClassification"),c(qe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(qe,"href","#transformers.FlaxRegNetForImageClassification"),c(pe,"class","relative group"),c(wo,"href","/docs/transformers/pr_21485/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(St,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(St,"rel","nofollow"),c(Ut,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(Ut,"rel","nofollow"),c(Wt,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(Wt,"rel","nofollow"),c(Vt,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(Vt,"rel","nofollow"),c(Ht,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(Ht,"rel","nofollow"),c(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,m){e(document.head,d),_(t,w,m),_(t,u,m),e(u,h),e(h,v),y(n,v,null),e(u,g),e(u,F),e(F,ya),_(t,ks,m),_(t,X,m),e(X,ge),e(ge,Po),y(Ke,Po,null),e(X,Na),e(X,Co),e(Co,xa),_(t,Ps,m),_(t,he,m),e(he,Ta),e(he,Xe),e(Xe,ja),e(he,Fa),_(t,Cs,m),_(t,eo,m),e(eo,Ra),_(t,Ms,m),_(t,to,m),e(to,Ia),_(t,As,m),_(t,oo,m),e(oo,Mo),e(Mo,Ea),_(t,qs,m),_(t,so,m),e(so,ka),_(t,zs,m),_(t,me,m),e(me,Qe),e(Qe,Pa),e(Qe,ao),e(ao,Ca),e(Qe,Ma),e(me,Aa),e(me,ue),e(ue,qa),e(ue,Ye),e(Ye,za),e(ue,Da),e(ue,Ze),e(Ze,Oa),_(t,Ds,m),_(t,E,m),e(E,La),e(E,et),e(et,Sa),e(E,Ua),e(E,tt),e(tt,Wa),e(E,Va),e(E,ot),e(ot,Ha),e(E,Ba),e(E,st),e(st,Ja),e(E,Ga),_(t,Os,m),_(t,Q,m),e(Q,_e),e(_e,Ao),y(at,Ao,null),e(Q,Ka),e(Q,qo),e(qo,Xa),_(t,Ls,m),_(t,ro,m),e(ro,Qa),_(t,Ss,m),y(rt,t,m),_(t,Us,m),_(t,ve,m),e(ve,J),e(J,no),e(no,Ya),e(J,Za),e(J,nt),e(nt,er),e(J,tr),e(J,lt),e(lt,or),e(J,sr),e(ve,ar),e(ve,lo),e(lo,rr),e(lo,io),e(io,nr),_(t,Ws,m),_(t,co,m),e(co,lr),_(t,Vs,m),_(t,Y,m),e(Y,we),e(we,zo),y(it,zo,null),e(Y,ir),e(Y,Do),e(Do,dr),_(t,Hs,m),_(t,C,m),y(dt,C,null),e(C,cr),e(C,Z),e(Z,pr),e(Z,po),e(po,fr),e(Z,gr),e(Z,ct),e(ct,hr),e(Z,mr),e(C,ur),e(C,ee),e(ee,_r),e(ee,fo),e(fo,vr),e(ee,wr),e(ee,go),e(go,$r),e(ee,br),e(C,yr),y($e,C,null),_(t,Bs,m),_(t,te,m),e(te,be),e(be,Oo),y(pt,Oo,null),e(te,Nr),e(te,Lo),e(Lo,xr),_(t,Js,m),_(t,U,m),y(ft,U,null),e(U,Tr),e(U,gt),e(gt,jr),e(gt,ht),e(ht,Fr),e(gt,Rr),e(U,Ir),e(U,q),y(mt,q,null),e(q,Er),e(q,oe),e(oe,kr),e(oe,ho),e(ho,Pr),e(oe,Cr),e(oe,So),e(So,Mr),e(oe,Ar),e(q,qr),y(ye,q,null),e(q,zr),y(Ne,q,null),_(t,Gs,m),_(t,se,m),e(se,xe),e(xe,Uo),y(ut,Uo,null),e(se,Dr),e(se,Wo),e(Wo,Or),_(t,Ks,m),_(t,M,m),y(_t,M,null),e(M,Lr),e(M,Vo),e(Vo,Sr),e(M,Ur),e(M,vt),e(vt,Wr),e(vt,wt),e(wt,Vr),e(vt,Hr),e(M,Br),e(M,z),y($t,z,null),e(z,Jr),e(z,ae),e(ae,Gr),e(ae,mo),e(mo,Kr),e(ae,Xr),e(ae,Ho),e(Ho,Qr),e(ae,Yr),e(z,Zr),y(Te,z,null),e(z,en),y(je,z,null),_(t,Xs,m),_(t,re,m),e(re,Fe),e(Fe,Bo),y(bt,Bo,null),e(re,tn),e(re,Jo),e(Jo,on),_(t,Qs,m),_(t,W,m),y(yt,W,null),e(W,sn),e(W,Go),e(Go,an),e(W,rn),e(W,D),y(Nt,D,null),e(D,nn),e(D,ne),e(ne,ln),e(ne,uo),e(uo,dn),e(ne,cn),e(ne,Ko),e(Ko,pn),e(ne,fn),e(D,gn),y(Re,D,null),e(D,hn),y(Ie,D,null),_(t,Ys,m),_(t,le,m),e(le,Ee),e(Ee,Xo),y(xt,Xo,null),e(le,mn),e(le,Qo),e(Qo,un),_(t,Zs,m),_(t,V,m),y(Tt,V,null),e(V,_n),e(V,Yo),e(Yo,vn),e(V,wn),e(V,O),y(jt,O,null),e(O,$n),e(O,ie),e(ie,bn),e(ie,_o),e(_o,yn),e(ie,Nn),e(ie,Zo),e(Zo,xn),e(ie,Tn),e(O,jn),y(ke,O,null),e(O,Fn),y(Pe,O,null),_(t,ea,m),_(t,de,m),e(de,Ce),e(Ce,es),y(Ft,es,null),e(de,Rn),e(de,ts),e(ts,In),_(t,ta,m),_(t,R,m),y(Rt,R,null),e(R,En),e(R,os),e(os,kn),e(R,Pn),e(R,It),e(It,Cn),e(It,vo),e(vo,Mn),e(It,An),e(R,qn),e(R,Et),e(Et,zn),e(Et,kt),e(kt,Dn),e(Et,On),e(R,Ln),e(R,ss),e(ss,Sn),e(R,Un),e(R,H),e(H,as),e(as,Pt),e(Pt,Wn),e(H,Vn),e(H,rs),e(rs,Ct),e(Ct,Hn),e(H,Bn),e(H,ns),e(ns,Mt),e(Mt,Jn),e(H,Gn),e(H,ls),e(ls,At),e(At,Kn),e(R,Xn),e(R,L),y(qt,L,null),e(L,Qn),e(L,ce),e(ce,Yn),e(ce,is),e(is,Zn),e(ce,el),e(ce,ds),e(ds,tl),e(ce,ol),e(L,sl),y(Me,L,null),e(L,al),y(Ae,L,null),_(t,oa,m),_(t,pe,m),e(pe,qe),e(qe,cs),y(zt,cs,null),e(pe,rl),e(pe,ps),e(ps,nl),_(t,sa,m),_(t,I,m),y(Dt,I,null),e(I,ll),e(I,fs),e(fs,il),e(I,dl),e(I,Ot),e(Ot,cl),e(Ot,wo),e(wo,pl),e(Ot,fl),e(I,gl),e(I,Lt),e(Lt,hl),e(Lt,St),e(St,ml),e(Lt,ul),e(I,_l),e(I,gs),e(gs,vl),e(I,wl),e(I,B),e(B,hs),e(hs,Ut),e(Ut,$l),e(B,bl),e(B,ms),e(ms,Wt),e(Wt,yl),e(B,Nl),e(B,us),e(us,Vt),e(Vt,xl),e(B,Tl),e(B,_s),e(_s,Ht),e(Ht,jl),e(I,Fl),e(I,S),y(Bt,S,null),e(S,Rl),e(S,fe),e(fe,Il),e(fe,vs),e(vs,El),e(fe,kl),e(fe,ws),e(ws,Pl),e(fe,Cl),e(S,Ml),y(ze,S,null),e(S,Al),y(De,S,null),aa=!0},p(t,[m]){const Jt={};m&2&&(Jt.$$scope={dirty:m,ctx:t}),$e.$set(Jt);const $s={};m&2&&($s.$$scope={dirty:m,ctx:t}),ye.$set($s);const bs={};m&2&&(bs.$$scope={dirty:m,ctx:t}),Ne.$set(bs);const ys={};m&2&&(ys.$$scope={dirty:m,ctx:t}),Te.$set(ys);const Gt={};m&2&&(Gt.$$scope={dirty:m,ctx:t}),je.$set(Gt);const Ns={};m&2&&(Ns.$$scope={dirty:m,ctx:t}),Re.$set(Ns);const xs={};m&2&&(xs.$$scope={dirty:m,ctx:t}),Ie.$set(xs);const Ts={};m&2&&(Ts.$$scope={dirty:m,ctx:t}),ke.$set(Ts);const Kt={};m&2&&(Kt.$$scope={dirty:m,ctx:t}),Pe.$set(Kt);const js={};m&2&&(js.$$scope={dirty:m,ctx:t}),Me.$set(js);const Fs={};m&2&&(Fs.$$scope={dirty:m,ctx:t}),Ae.$set(Fs);const Rs={};m&2&&(Rs.$$scope={dirty:m,ctx:t}),ze.$set(Rs);const Is={};m&2&&(Is.$$scope={dirty:m,ctx:t}),De.$set(Is)},i(t){aa||(N(n.$$.fragment,t),N(Ke.$$.fragment,t),N(at.$$.fragment,t),N(rt.$$.fragment,t),N(it.$$.fragment,t),N(dt.$$.fragment,t),N($e.$$.fragment,t),N(pt.$$.fragment,t),N(ft.$$.fragment,t),N(mt.$$.fragment,t),N(ye.$$.fragment,t),N(Ne.$$.fragment,t),N(ut.$$.fragment,t),N(_t.$$.fragment,t),N($t.$$.fragment,t),N(Te.$$.fragment,t),N(je.$$.fragment,t),N(bt.$$.fragment,t),N(yt.$$.fragment,t),N(Nt.$$.fragment,t),N(Re.$$.fragment,t),N(Ie.$$.fragment,t),N(xt.$$.fragment,t),N(Tt.$$.fragment,t),N(jt.$$.fragment,t),N(ke.$$.fragment,t),N(Pe.$$.fragment,t),N(Ft.$$.fragment,t),N(Rt.$$.fragment,t),N(qt.$$.fragment,t),N(Me.$$.fragment,t),N(Ae.$$.fragment,t),N(zt.$$.fragment,t),N(Dt.$$.fragment,t),N(Bt.$$.fragment,t),N(ze.$$.fragment,t),N(De.$$.fragment,t),aa=!0)},o(t){x(n.$$.fragment,t),x(Ke.$$.fragment,t),x(at.$$.fragment,t),x(rt.$$.fragment,t),x(it.$$.fragment,t),x(dt.$$.fragment,t),x($e.$$.fragment,t),x(pt.$$.fragment,t),x(ft.$$.fragment,t),x(mt.$$.fragment,t),x(ye.$$.fragment,t),x(Ne.$$.fragment,t),x(ut.$$.fragment,t),x(_t.$$.fragment,t),x($t.$$.fragment,t),x(Te.$$.fragment,t),x(je.$$.fragment,t),x(bt.$$.fragment,t),x(yt.$$.fragment,t),x(Nt.$$.fragment,t),x(Re.$$.fragment,t),x(Ie.$$.fragment,t),x(xt.$$.fragment,t),x(Tt.$$.fragment,t),x(jt.$$.fragment,t),x(ke.$$.fragment,t),x(Pe.$$.fragment,t),x(Ft.$$.fragment,t),x(Rt.$$.fragment,t),x(qt.$$.fragment,t),x(Me.$$.fragment,t),x(Ae.$$.fragment,t),x(zt.$$.fragment,t),x(Dt.$$.fragment,t),x(Bt.$$.fragment,t),x(ze.$$.fragment,t),x(De.$$.fragment,t),aa=!1},d(t){o(d),t&&o(w),t&&o(u),T(n),t&&o(ks),t&&o(X),T(Ke),t&&o(Ps),t&&o(he),t&&o(Cs),t&&o(eo),t&&o(Ms),t&&o(to),t&&o(As),t&&o(oo),t&&o(qs),t&&o(so),t&&o(zs),t&&o(me),t&&o(Ds),t&&o(E),t&&o(Os),t&&o(Q),T(at),t&&o(Ls),t&&o(ro),t&&o(Ss),T(rt,t),t&&o(Us),t&&o(ve),t&&o(Ws),t&&o(co),t&&o(Vs),t&&o(Y),T(it),t&&o(Hs),t&&o(C),T(dt),T($e),t&&o(Bs),t&&o(te),T(pt),t&&o(Js),t&&o(U),T(ft),T(mt),T(ye),T(Ne),t&&o(Gs),t&&o(se),T(ut),t&&o(Ks),t&&o(M),T(_t),T($t),T(Te),T(je),t&&o(Xs),t&&o(re),T(bt),t&&o(Qs),t&&o(W),T(yt),T(Nt),T(Re),T(Ie),t&&o(Ys),t&&o(le),T(xt),t&&o(Zs),t&&o(V),T(Tt),T(jt),T(ke),T(Pe),t&&o(ea),t&&o(de),T(Ft),t&&o(ta),t&&o(R),T(Rt),T(qt),T(Me),T(Ae),t&&o(oa),t&&o(pe),T(zt),t&&o(sa),t&&o(I),T(Dt),T(Bt),T(ze),T(De)}}}const Cd={local:"regnet",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.RegNetConfig",title:"RegNetConfig"},{local:"transformers.RegNetModel",title:"RegNetModel"},{local:"transformers.RegNetForImageClassification",title:"RegNetForImageClassification"},{local:"transformers.TFRegNetModel",title:"TFRegNetModel"},{local:"transformers.TFRegNetForImageClassification",title:"TFRegNetForImageClassification"},{local:"transformers.FlaxRegNetModel",title:"FlaxRegNetModel"},{local:"transformers.FlaxRegNetForImageClassification",title:"FlaxRegNetForImageClassification"}],title:"RegNet"};function Md(j){return _d(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ud extends gd{constructor(d){super();hd(this,d,Md,Pd,md,{})}}export{Ud as default,Cd as metadata};
